#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/ADXL345_driver.c"
#line 1 "c:/c4w/mikroc pro for arm/include/built_in.h"
#line 24 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/ADXL345_driver.c"
static char data_[10];
#line 32 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/ADXL345_driver.c"
static void ADXL345_Write(unsigned short address, unsigned short data1) {
 I2C_Enable();
 I2C_Master_Slave_Addr_Set( 0x1D , _I2C_DIR_MASTER_TRANSMIT);
 I2C_Write(address,_I2C_MASTER_MODE_BURST_SEND_START);
 I2C_Write(data1,_I2C_MASTER_MODE_BURST_SEND_FINISH);
 I2C_Disable();
}
#line 47 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/ADXL345_driver.c"
void ADXL345_Read(int *data_X, int *data_Y, int *data_Z){
 I2C_Enable();
 I2C_Master_Slave_Addr_Set( 0x1D , _I2C_DIR_MASTER_TRANSMIT);
 I2C_Write( 0x32 , _I2C_MASTER_MODE_SINGLE_SEND);
 I2C_Master_Slave_Addr_Set( 0x1D , _I2C_DIR_MASTER_RECEIVE);
 I2C_Read(&data_[0], _I2C_MASTER_MODE_BURST_RECEIVE_START);
 I2C_Read(&data_[1], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
 I2C_Read(&data_[2], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
 I2C_Read(&data_[3], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
 I2C_Read(&data_[4], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
 I2C_Read(&data_[5], _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
 I2C_Disable();

 *data_X = data_[0] + (data_[1] << 8);
 *data_Y = data_[2] + (data_[3] << 8);
 *data_Z = data_[4] + (data_[5] << 8);
}
#line 72 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/ADXL345_driver.c"
static unsigned short ADXL345_Read_Register(unsigned short address) {
 unsigned short tmp = 0;
 I2C_Enable();
 I2C_Master_Slave_Addr_Set( 0x1D , _I2C_DIR_MASTER_TRANSMIT);
 I2C_Write(address, _I2C_MASTER_MODE_SINGLE_SEND);
 I2C_Master_Slave_Addr_Set( 0x1D , _I2C_DIR_MASTER_RECEIVE);
 I2C_Read(&tmp, _I2C_MASTER_MODE_SINGLE_RECEIVE);
 I2C_Disable();

 return tmp;
}
#line 91 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/ADXL345_driver.c"
char ADXL345_Init() {
 char id = 0x00;

 ADXL345_Write(0x2D, 0x00);
 id = ADXL345_Read_Register(0x00);
 if (id != 0xE5) {
 return  0x02 ;
 }
 else {
 ADXL345_Write( 0x31 , 0x08);
 ADXL345_Write( 0x2C , 0x0A);
 ADXL345_Write( 0x38 , 0x80);
 ADXL345_Write( 0x2D , 0x08);
 return 0x00;
 }
}
