ADXL345_main_Accel_Average:
;ADXL345_main.c,37 :: 		static void Accel_Average() {
SUB	SP, SP, #20
STR	LR, [SP, #0]
;ADXL345_main.c,41 :: 		sx = sy = sz = 0;
; sz start address is: 16 (R4)
MOVS	R4, #0
SXTH	R4, R4
; sy start address is: 20 (R5)
MOVW	R5, #0
SXTH	R5, R5
; sx start address is: 24 (R6)
MOVW	R6, #0
SXTH	R6, R6
;ADXL345_main.c,44 :: 		for (i=0; i<16; i++) {
; i start address is: 12 (R3)
MOVS	R3, #0
SXTH	R3, R3
; sx end address is: 24 (R6)
; sy end address is: 20 (R5)
; sz end address is: 16 (R4)
; i end address is: 12 (R3)
L_ADXL345_main_Accel_Average0:
; i start address is: 12 (R3)
; sx start address is: 24 (R6)
; sy start address is: 20 (R5)
; sz start address is: 16 (R4)
CMP	R3, #16
IT	GE
BGE	L_ADXL345_main_Accel_Average1
;ADXL345_main.c,45 :: 		ADXL345_Read(&xx, &yy, &zz);
ADD	R2, SP, #16
ADD	R1, SP, #14
ADD	R0, SP, #12
STRH	R4, [SP, #4]
STRH	R5, [SP, #6]
STRH	R6, [SP, #8]
STRH	R3, [SP, #10]
BL	_ADXL345_Read+0
LDRSH	R3, [SP, #10]
LDRSH	R6, [SP, #8]
LDRSH	R5, [SP, #6]
LDRSH	R4, [SP, #4]
;ADXL345_main.c,46 :: 		sx += xx;
LDRSH	R0, [SP, #12]
ADDS	R6, R6, R0
SXTH	R6, R6
;ADXL345_main.c,47 :: 		sy += yy;
LDRSH	R0, [SP, #14]
ADDS	R5, R5, R0
SXTH	R5, R5
;ADXL345_main.c,48 :: 		sz += zz;
LDRSH	R0, [SP, #16]
ADDS	R4, R4, R0
SXTH	R4, R4
;ADXL345_main.c,44 :: 		for (i=0; i<16; i++) {
ADDS	R3, R3, #1
SXTH	R3, R3
;ADXL345_main.c,49 :: 		}
; i end address is: 12 (R3)
IT	AL
BAL	L_ADXL345_main_Accel_Average0
L_ADXL345_main_Accel_Average1:
;ADXL345_main.c,51 :: 		readings[0] = sx / 16;
ASRS	R1, R6, #4
; sx end address is: 24 (R6)
MOVW	R0, #lo_addr(ADXL345_main_readings+0)
MOVT	R0, #hi_addr(ADXL345_main_readings+0)
STRH	R1, [R0, #0]
;ADXL345_main.c,52 :: 		readings[1] = sy / 16;
ASRS	R1, R5, #4
; sy end address is: 20 (R5)
MOVW	R0, #lo_addr(ADXL345_main_readings+2)
MOVT	R0, #hi_addr(ADXL345_main_readings+2)
STRH	R1, [R0, #0]
;ADXL345_main.c,53 :: 		readings[2] = sz / 16;
ASRS	R1, R4, #4
; sz end address is: 16 (R4)
MOVW	R0, #lo_addr(ADXL345_main_readings+4)
MOVT	R0, #hi_addr(ADXL345_main_readings+4)
STRH	R1, [R0, #0]
;ADXL345_main.c,54 :: 		}
L_end_Accel_Average:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of ADXL345_main_Accel_Average
ADXL345_main_Display_Value:
;ADXL345_main.c,63 :: 		static void Display_Value(TLabel *label, int val) {
; val start address is: 4 (R1)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STR	R0, [SP, #28]
SXTH	R7, R1
; val end address is: 4 (R1)
; val start address is: 28 (R7)
;ADXL345_main.c,67 :: 		ptr = label->Caption;
LDR	R2, [SP, #28]
ADDS	R2, #16
LDR	R2, [R2, #0]
STR	R2, [SP, #24]
;ADXL345_main.c,68 :: 		TFTIntern_Set_Pen(Accelerometer.Color,  0);
MOVW	R2, #lo_addr(_Accelerometer+0)
MOVT	R2, #hi_addr(_Accelerometer+0)
LDRH	R2, [R2, #0]
MOVS	R1, #0
MOV	R0, R2
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,69 :: 		TFTIntern_Set_Brush(1, Accelerometer.Color, 0, 0, 0, 0);
MOVS	R4, #0
MOVS	R3, #0
MOVW	R2, #lo_addr(_Accelerometer+0)
MOVT	R2, #hi_addr(_Accelerometer+0)
LDRH	R2, [R2, #0]
PUSH	(R4)
PUSH	(R3)
MOVS	R3, #0
UXTH	R1, R2
MOVS	R2, #0
MOVS	R0, #1
BL	_TFTIntern_Set_Brush+0
ADD	SP, SP, #8
;ADXL345_main.c,70 :: 		IntToStr(val & 0xFFFC, text);
ADD	R3, SP, #4
MOVW	R2, #65532
AND	R2, R7, R2, LSL #0
; val end address is: 28 (R7)
MOV	R1, R3
SXTH	R0, R2
BL	_IntToStr+0
;ADXL345_main.c,71 :: 		strcpy(text1, ptr);
ADD	R2, SP, #11
LDR	R1, [SP, #24]
MOV	R0, R2
BL	_strcpy+0
;ADXL345_main.c,72 :: 		strcat(text1, text);
ADD	R3, SP, #4
ADD	R2, SP, #11
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;ADXL345_main.c,73 :: 		TFTIntern_Rectangle(label->Left, Label->Top, label->Left + 100, Label->Top + 30);
LDR	R2, [SP, #28]
ADDS	R2, #8
LDRH	R3, [R2, #0]
ADDW	R5, R3, #30
LDR	R2, [SP, #28]
ADDS	R2, R2, #6
LDRH	R2, [R2, #0]
ADDW	R4, R2, #100
SXTH	R3, R3
SXTH	R2, R2
SXTH	R1, R3
SXTH	R3, R5
SXTH	R0, R2
SXTH	R2, R4
BL	_TFTIntern_Rectangle+0
;ADXL345_main.c,74 :: 		label->Caption = text1;
LDR	R2, [SP, #28]
ADDW	R3, R2, #16
ADD	R2, SP, #11
STR	R2, [R3, #0]
;ADXL345_main.c,75 :: 		Drawlabel(label);
LDR	R0, [SP, #28]
BL	_DrawLabel+0
;ADXL345_main.c,76 :: 		label->Caption = ptr;
LDR	R2, [SP, #28]
ADDW	R3, R2, #16
LDR	R2, [SP, #24]
STR	R2, [R3, #0]
;ADXL345_main.c,77 :: 		}
L_end_Display_Value:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of ADXL345_main_Display_Value
ADXL345_main_Scroll_ACCEL:
;ADXL345_main.c,86 :: 		static void Scroll_ACCEL(char Adir) {
; Adir start address is: 0 (R0)
; Adir end address is: 0 (R0)
; Adir start address is: 0 (R0)
;ADXL345_main.c,88 :: 		if (Adir == _ACCEL_UP) {
CMP	R0, #1
IT	NE
BNE	L_ADXL345_main_Scroll_ACCEL3
; Adir end address is: 0 (R0)
;ADXL345_main.c,89 :: 		if (_disp_accel_scroll != 0)
MOVW	R1, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R1, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L_ADXL345_main_Scroll_ACCEL4
;ADXL345_main.c,90 :: 		_disp_accel_scroll--;
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R1, [R2, #0]
SUBS	R1, R1, #1
STRH	R1, [R2, #0]
IT	AL
BAL	L_ADXL345_main_Scroll_ACCEL5
L_ADXL345_main_Scroll_ACCEL4:
;ADXL345_main.c,92 :: 		_disp_accel_scroll = _SCROLL_ACCEL_HEIGHT - 1;
MOVW	R2, #389
SXTH	R2, R2
MOVW	R1, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R1, #hi_addr(ADXL345_main__disp_accel_scroll+0)
STRH	R2, [R1, #0]
;ADXL345_main.c,93 :: 		}
L_ADXL345_main_Scroll_ACCEL5:
;ADXL345_main.c,94 :: 		}
IT	AL
BAL	L_ADXL345_main_Scroll_ACCEL6
L_ADXL345_main_Scroll_ACCEL3:
;ADXL345_main.c,96 :: 		if (_disp_accel_scroll != _SCROLL_ACCEL_HEIGHT - 1)
MOVW	R1, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R1, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R1, #0]
MOVW	R1, #389
CMP	R2, R1
IT	EQ
BEQ	L_ADXL345_main_Scroll_ACCEL7
;ADXL345_main.c,97 :: 		_disp_accel_scroll++;
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R1, [R2, #0]
ADDS	R1, R1, #1
STRH	R1, [R2, #0]
IT	AL
BAL	L_ADXL345_main_Scroll_ACCEL8
L_ADXL345_main_Scroll_ACCEL7:
;ADXL345_main.c,99 :: 		_disp_accel_scroll = 0;
MOVS	R2, #0
SXTH	R2, R2
MOVW	R1, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R1, #hi_addr(ADXL345_main__disp_accel_scroll+0)
STRH	R2, [R1, #0]
;ADXL345_main.c,100 :: 		}
L_ADXL345_main_Scroll_ACCEL8:
;ADXL345_main.c,101 :: 		}
L_ADXL345_main_Scroll_ACCEL6:
;ADXL345_main.c,102 :: 		}
L_end_Scroll_ACCEL:
BX	LR
; end of ADXL345_main_Scroll_ACCEL
ADXL345_main_WriteGraph:
;ADXL345_main.c,111 :: 		static void WriteGraph(TAccel_values *old, TAccel_values *new){
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R0, [SP, #4]
STR	R1, [SP, #8]
;ADXL345_main.c,115 :: 		TFTIntern_Set_Pen(Box1.COlor, 1);
MOVW	R2, #lo_addr(_Box1+28)
MOVT	R2, #hi_addr(_Box1+28)
LDRH	R2, [R2, #0]
MOVS	R1, #1
MOV	R0, R2
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,116 :: 		TFTIntern_H_Line(0, 800, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
MOVW	R1, #800
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFTIntern_H_Line+0
;ADXL345_main.c,119 :: 		TFTIntern_Set_Pen(CL_RED_Intern, 2);
MOVS	R1, #2
MOVW	R0, #63488
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,120 :: 		temp1 = ((unsigned long)old->Xvalue * 80) / 256 + 200;
LDR	R2, [SP, #4]
LDRSH	R2, [R2, #0]
SXTH	R3, R2
MOVS	R2, #80
MULS	R2, R3, R2
LSRS	R2, R2, #8
ADDW	R6, R2, #200
;ADXL345_main.c,121 :: 		temp2 = ((unsigned long)new->Xvalue * 80) / 256 + 200;
LDR	R2, [SP, #8]
LDRSH	R2, [R2, #0]
SXTH	R3, R2
MOVS	R2, #80
MULS	R2, R3, R2
LSRS	R2, R2, #8
ADDW	R5, R2, #200
;ADXL345_main.c,122 :: 		TFTIntern_Line(temp1, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE, temp2, _disp_accel_scroll + 1 + _SCROLL_ACCEL_FIRST_LINE);
MOVW	R4, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R4, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R4, #0]
ADDS	R2, R2, #1
SXTH	R2, R2
ADDW	R3, R2, #50
MOV	R2, R4
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R1, R2
SXTH	R2, R5
SXTH	R0, R6
BL	_TFTIntern_Line+0
;ADXL345_main.c,125 :: 		TFTIntern_Set_Pen(CL_BLUE_Intern, 2);
MOVS	R1, #2
MOVW	R0, #31
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,126 :: 		temp1 = ((unsigned long)old->Yvalue * 80) / 256 + 400;
LDR	R2, [SP, #4]
ADDS	R2, R2, #2
LDRSH	R2, [R2, #0]
SXTH	R3, R2
MOVS	R2, #80
MULS	R2, R3, R2
LSRS	R2, R2, #8
ADD	R6, R2, #400
;ADXL345_main.c,127 :: 		temp2 = ((unsigned long)new->Yvalue * 80) / 256 + 400;
LDR	R2, [SP, #8]
ADDS	R2, R2, #2
LDRSH	R2, [R2, #0]
SXTH	R3, R2
MOVS	R2, #80
MULS	R2, R3, R2
LSRS	R2, R2, #8
ADD	R5, R2, #400
;ADXL345_main.c,128 :: 		TFTIntern_Line(temp1, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE, temp2, _disp_accel_scroll + 1 + _SCROLL_ACCEL_FIRST_LINE);
MOVW	R4, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R4, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R4, #0]
ADDS	R2, R2, #1
SXTH	R2, R2
ADDW	R3, R2, #50
MOV	R2, R4
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R1, R2
SXTH	R2, R5
SXTH	R0, R6
BL	_TFTIntern_Line+0
;ADXL345_main.c,131 :: 		TFTIntern_Set_Pen(CL_GREEN_Intern, 2);
MOVS	R1, #2
MOVW	R0, #1024
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,132 :: 		temp1 = ((unsigned long)old->Zvalue * 80) / 256 + 600;
LDR	R2, [SP, #4]
ADDS	R2, R2, #4
LDRSH	R2, [R2, #0]
SXTH	R3, R2
MOVS	R2, #80
MULS	R2, R3, R2
LSRS	R2, R2, #8
ADD	R6, R2, #600
;ADXL345_main.c,133 :: 		temp2 = ((unsigned long)new->Zvalue * 80) / 256 + 600;
LDR	R2, [SP, #8]
ADDS	R2, R2, #4
LDRSH	R2, [R2, #0]
SXTH	R3, R2
MOVS	R2, #80
MULS	R2, R3, R2
LSRS	R2, R2, #8
ADD	R5, R2, #600
;ADXL345_main.c,134 :: 		TFTIntern_Line(temp1, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE, temp2, _disp_accel_scroll + 1 + _SCROLL_ACCEL_FIRST_LINE);
MOVW	R4, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R4, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R4, #0]
ADDS	R2, R2, #1
SXTH	R2, R2
ADDW	R3, R2, #50
MOV	R2, R4
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R1, R2
SXTH	R2, R5
SXTH	R0, R6
BL	_TFTIntern_Line+0
;ADXL345_main.c,137 :: 		TFTIntern_Dot(200, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE, CL_GRAY_Intern);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R1, R2
MOVW	R2, #33808
MOVS	R0, #200
SXTH	R0, R0
BL	_TFTIntern_Dot+0
;ADXL345_main.c,138 :: 		TFTIntern_Dot(400, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE, CL_GRAY_Intern);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R1, R2
MOVW	R2, #33808
MOVW	R0, #400
SXTH	R0, R0
BL	_TFTIntern_Dot+0
;ADXL345_main.c,139 :: 		TFTIntern_Dot(600, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE, CL_GRAY_Intern);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R1, R2
MOVW	R2, #33808
MOVW	R0, #600
SXTH	R0, R0
BL	_TFTIntern_Dot+0
;ADXL345_main.c,141 :: 		TFTIntern_Set_Pen(Box1.COlor, 2);
MOVW	R2, #lo_addr(_Box1+28)
MOVT	R2, #hi_addr(_Box1+28)
LDRH	R2, [R2, #0]
MOVS	R1, #2
MOV	R0, R2
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,142 :: 		if (_disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE + 5 < _SCROLL_ACCEL_LAST_LINE){
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R2, R2
ADDS	R2, R2, #5
SXTH	R2, R2
CMP	R2, #440
IT	GE
BGE	L_ADXL345_main_WriteGraph9
;ADXL345_main.c,143 :: 		TFTIntern_H_Line(0, 800, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE + 2);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R2, R2
ADDS	R2, R2, #2
MOVW	R1, #800
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFTIntern_H_Line+0
;ADXL345_main.c,144 :: 		TFTIntern_H_Line(0, 800, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE + 3);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R2, R2
ADDS	R2, R2, #3
MOVW	R1, #800
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFTIntern_H_Line+0
;ADXL345_main.c,145 :: 		TFTIntern_H_Line(0, 800, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE + 4);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R2, R2
ADDS	R2, R2, #4
MOVW	R1, #800
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFTIntern_H_Line+0
;ADXL345_main.c,146 :: 		TFTIntern_Set_Pen(CL_GRAY_Intern, 2);
MOVS	R1, #2
MOVW	R0, #33808
BL	_TFTIntern_Set_Pen+0
;ADXL345_main.c,147 :: 		TFTIntern_H_Line(0, 800, _disp_accel_scroll + _SCROLL_ACCEL_FIRST_LINE + 5);
MOVW	R2, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R2, #hi_addr(ADXL345_main__disp_accel_scroll+0)
LDRSH	R2, [R2, #0]
ADDS	R2, #50
SXTH	R2, R2
ADDS	R2, R2, #5
MOVW	R1, #800
SXTH	R1, R1
MOVS	R0, #0
SXTH	R0, R0
BL	_TFTIntern_H_Line+0
;ADXL345_main.c,148 :: 		}
L_ADXL345_main_WriteGraph9:
;ADXL345_main.c,149 :: 		}
L_end_WriteGraph:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of ADXL345_main_WriteGraph
_ACCEL_Start:
;ADXL345_main.c,158 :: 		void ACCEL_Start() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADXL345_main.c,160 :: 		_disp_accel_scroll = 0;
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(ADXL345_main__disp_accel_scroll+0)
MOVT	R0, #hi_addr(ADXL345_main__disp_accel_scroll+0)
STRH	R1, [R0, #0]
;ADXL345_main.c,161 :: 		Accel_counter = 0;
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(ADXL345_main_Accel_counter+0)
MOVT	R0, #hi_addr(ADXL345_main_Accel_counter+0)
STRH	R1, [R0, #0]
;ADXL345_main.c,164 :: 		I2C2_Init_Advanced(400000, &_GPIO_MODULE_I2C2_P56);
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C2_P56+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C2_P56+0)
MOVW	R0, #6784
MOVT	R0, #6
BL	_I2C2_Init_Advanced+0
;ADXL345_main.c,165 :: 		Delay_ms(100);
MOVW	R7, #2302
MOVT	R7, #61
NOP
NOP
L_ACCEL_Start10:
SUBS	R7, R7, #1
BNE	L_ACCEL_Start10
NOP
NOP
NOP
;ADXL345_main.c,167 :: 		if (ADXL345_Init() == 0) {
BL	_ADXL345_Init+0
CMP	R0, #0
IT	NE
BNE	L_ACCEL_Start12
;ADXL345_main.c,168 :: 		Delay_ms(100);
MOVW	R7, #2302
MOVT	R7, #61
NOP
NOP
L_ACCEL_Start13:
SUBS	R7, R7, #1
BNE	L_ACCEL_Start13
NOP
NOP
NOP
;ADXL345_main.c,169 :: 		}
L_ACCEL_Start12:
;ADXL345_main.c,170 :: 		}
L_end_ACCEL_Start:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ACCEL_Start
ADXL345_main_ACCEL_Test:
;ADXL345_main.c,180 :: 		static void ACCEL_Test(TAccel_values *values) {
; values start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; values end address is: 0 (R0)
; values start address is: 0 (R0)
;ADXL345_main.c,181 :: 		Accel_Average();               // Calculate average X, Y and Z reads
STR	R0, [SP, #4]
BL	ADXL345_main_Accel_Average+0
LDR	R0, [SP, #4]
;ADXL345_main.c,183 :: 		values->Xvalue = readings[0];
MOVW	R1, #lo_addr(ADXL345_main_readings+0)
MOVT	R1, #hi_addr(ADXL345_main_readings+0)
LDRSH	R1, [R1, #0]
STRH	R1, [R0, #0]
;ADXL345_main.c,184 :: 		values->Yvalue = readings[1];
ADDS	R2, R0, #2
MOVW	R1, #lo_addr(ADXL345_main_readings+2)
MOVT	R1, #hi_addr(ADXL345_main_readings+2)
LDRSH	R1, [R1, #0]
STRH	R1, [R2, #0]
;ADXL345_main.c,185 :: 		values->Zvalue = readings[2];
ADDS	R2, R0, #4
; values end address is: 0 (R0)
MOVW	R1, #lo_addr(ADXL345_main_readings+4)
MOVT	R1, #hi_addr(ADXL345_main_readings+4)
LDRSH	R1, [R1, #0]
STRH	R1, [R2, #0]
;ADXL345_main.c,186 :: 		}
L_end_ACCEL_Test:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of ADXL345_main_ACCEL_Test
_doAccel:
;ADXL345_main.c,195 :: 		void doAccel(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADXL345_main.c,197 :: 		if ((Accel_counter++) % 100 == 0){
MOVW	R1, #lo_addr(ADXL345_main_Accel_counter+0)
MOVT	R1, #hi_addr(ADXL345_main_Accel_counter+0)
LDRSH	R2, [R1, #0]
MOV	R0, R1
LDRSH	R0, [R0, #0]
ADDS	R0, R0, #1
STRH	R0, [R1, #0]
MOVS	R1, #100
SXTH	R1, R1
SDIV	R0, R2, R1
MLS	R0, R1, R0, R2
SXTH	R0, R0
CMP	R0, #0
IT	NE
BNE	L_doAccel15
;ADXL345_main.c,198 :: 		ACCEL_Test(&Accel_vals);
MOVW	R0, #lo_addr(ADXL345_main_Accel_vals+0)
MOVT	R0, #hi_addr(ADXL345_main_Accel_vals+0)
BL	ADXL345_main_ACCEL_Test+0
;ADXL345_main.c,199 :: 		Scroll_ACCEL(_ACCEL_Down);
MOVS	R0, #0
BL	ADXL345_main_Scroll_ACCEL+0
;ADXL345_main.c,200 :: 		WriteGraph(&Old_Accel_vals, &Accel_vals);
MOVW	R1, #lo_addr(ADXL345_main_Accel_vals+0)
MOVT	R1, #hi_addr(ADXL345_main_Accel_vals+0)
MOVW	R0, #lo_addr(ADXL345_main_Old_Accel_vals+0)
MOVT	R0, #hi_addr(ADXL345_main_Old_Accel_vals+0)
BL	ADXL345_main_WriteGraph+0
;ADXL345_main.c,201 :: 		Old_accel_vals = Accel_vals;
MOV	R3, #6
MOVW	R2, #lo_addr(ADXL345_main_Old_Accel_vals+0)
MOVT	R2, #hi_addr(ADXL345_main_Old_Accel_vals+0)
MOVW	R1, #lo_addr(ADXL345_main_Accel_vals+0)
MOVT	R1, #hi_addr(ADXL345_main_Accel_vals+0)
L_doAccel16:
LDRB	R0, [R1, #0]
STRB	R0, [R2, #0]
SUBS	R3, R3, #1
ADDS	R1, R1, #1
ADDS	R2, R2, #1
CMP	R3, #0
IT	NE
BNE	L_doAccel16
;ADXL345_main.c,203 :: 		if (Accel_counter > 2000){
MOVW	R0, #lo_addr(ADXL345_main_Accel_counter+0)
MOVT	R0, #hi_addr(ADXL345_main_Accel_counter+0)
LDRSH	R0, [R0, #0]
CMP	R0, #2000
IT	LE
BLE	L_doAccel17
;ADXL345_main.c,204 :: 		Display_Value(&LAbel2, Accel_vals.Xvalue);
MOVW	R0, #lo_addr(ADXL345_main_Accel_vals+0)
MOVT	R0, #hi_addr(ADXL345_main_Accel_vals+0)
LDRSH	R0, [R0, #0]
SXTH	R1, R0
MOVW	R0, #lo_addr(_Label2+0)
MOVT	R0, #hi_addr(_Label2+0)
BL	ADXL345_main_Display_Value+0
;ADXL345_main.c,205 :: 		Display_Value(&LAbel3, Accel_vals.Yvalue);
MOVW	R0, #lo_addr(ADXL345_main_Accel_vals+2)
MOVT	R0, #hi_addr(ADXL345_main_Accel_vals+2)
LDRSH	R0, [R0, #0]
SXTH	R1, R0
MOVW	R0, #lo_addr(_Label3+0)
MOVT	R0, #hi_addr(_Label3+0)
BL	ADXL345_main_Display_Value+0
;ADXL345_main.c,206 :: 		Display_Value(&LAbel4, Accel_vals.Zvalue);
MOVW	R0, #lo_addr(ADXL345_main_Accel_vals+4)
MOVT	R0, #hi_addr(ADXL345_main_Accel_vals+4)
LDRSH	R0, [R0, #0]
SXTH	R1, R0
MOVW	R0, #lo_addr(_Label4+0)
MOVT	R0, #hi_addr(_Label4+0)
BL	ADXL345_main_Display_Value+0
;ADXL345_main.c,207 :: 		Accel_counter = 0;
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(ADXL345_main_Accel_counter+0)
MOVT	R0, #hi_addr(ADXL345_main_Accel_counter+0)
STRH	R1, [R0, #0]
;ADXL345_main.c,208 :: 		}
L_doAccel17:
;ADXL345_main.c,209 :: 		}
L_doAccel15:
;ADXL345_main.c,210 :: 		}
L_end_doAccel:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _doAccel
