_Power_Man_Init:
;Power_management.c,31 :: 		void Power_Man_Init() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Power_management.c,32 :: 		GPIO_Analog_Input(&GPIO_PORTK, _GPIO_PINMASK_3);
MOVS	R1, #8
MOVW	R0, #lo_addr(GPIO_PORTK+0)
MOVT	R0, #hi_addr(GPIO_PORTK+0)
BL	_GPIO_Analog_Input+0
;Power_management.c,33 :: 		ADC_Set_Input_Channel(_ADC_CHANNEL_19);
MOV	R0, #524288
BL	_ADC_Set_Input_Channel+0
;Power_management.c,34 :: 		ADC1_Init_Advanced(_ADC_EXTERNAL_REF);                       // Initialize ADC
MOVS	R0, #1
BL	_ADC1_Init_Advanced+0
;Power_management.c,36 :: 		GPIO_Config(&GPIO_PORTB_AHB, _GPIO_PINMASK_1, _GPIO_DIR_INPUT, _GPIO_CFG_DIGITAL_ENABLE | _GPIO_CFG_PULL_DOWN | _GPIO_CFG_DRIVE_2mA, 0);
MOVS	R0, #0
PUSH	(R0)
MOVW	R3, #274
MOVS	R2, #0
MOVS	R1, #2
MOVW	R0, #lo_addr(GPIO_PORTB_AHB+0)
MOVT	R0, #hi_addr(GPIO_PORTB_AHB+0)
BL	_GPIO_Config+0
ADD	SP, SP, #4
;Power_management.c,38 :: 		GPIO_Digital_Input(&GPIO_PORTN, _GPIO_PINMASK_4);            // DC_VBUS
MOVS	R1, #16
MOVW	R0, #lo_addr(GPIO_PORTN+0)
MOVT	R0, #hi_addr(GPIO_PORTN+0)
BL	_GPIO_Digital_Input+0
;Power_management.c,39 :: 		GPIO_Digital_Input(&GPIO_PORTQ, _GPIO_PINMASK_6 | _GPIO_PINMASK_7);            // BAT_STAT1 & BAT_STAT2
MOVS	R1, #192
MOVW	R0, #lo_addr(GPIO_PORTQ+0)
MOVT	R0, #hi_addr(GPIO_PORTQ+0)
BL	_GPIO_Digital_Input+0
;Power_management.c,41 :: 		Power_State_Old.Battery_state = -1;
MOVS	R1, #-1
MOVW	R0, #lo_addr(_Power_State_Old+0)
MOVT	R0, #hi_addr(_Power_State_Old+0)
STRB	R1, [R0, #0]
;Power_management.c,42 :: 		Power_State_Old.Source = -1;
MOVS	R1, #-1
MOVW	R0, #lo_addr(_Power_State_Old+1)
MOVT	R0, #hi_addr(_Power_State_Old+1)
STRB	R1, [R0, #0]
;Power_management.c,43 :: 		Power_State_Old.ui_Voltage = -1;
MOV	R1, #-1
MOVW	R0, #lo_addr(_Power_State_Old+4)
MOVT	R0, #hi_addr(_Power_State_Old+4)
STR	R1, [R0, #0]
;Power_management.c,44 :: 		}
L_end_Power_Man_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Power_Man_Init
Power_management_ui_ReadBatteryVoltage:
;Power_management.c,53 :: 		static unsigned int ui_ReadBatteryVoltage() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Power_management.c,57 :: 		for(cntr=0, ui_voltage=0; cntr<8; cntr++) {
; cntr start address is: 16 (R4)
MOVS	R4, #0
; ui_voltage start address is: 20 (R5)
MOVS	R5, #0
; ui_voltage end address is: 20 (R5)
; cntr end address is: 16 (R4)
L_Power_management_ui_ReadBatteryVoltage0:
; ui_voltage start address is: 20 (R5)
; cntr start address is: 16 (R4)
CMP	R4, #8
IT	CS
BCS	L_Power_management_ui_ReadBatteryVoltage1
;Power_management.c,58 :: 		ui_voltage += ADC1_Get_Sample(19);
MOVS	R0, #19
BL	_ADC1_Get_Sample+0
ADDS	R5, R5, R0
UXTH	R5, R5
;Power_management.c,59 :: 		Delay_10ms();
BL	_Delay_10ms+0
;Power_management.c,57 :: 		for(cntr=0, ui_voltage=0; cntr<8; cntr++) {
ADDS	R4, R4, #1
UXTB	R4, R4
;Power_management.c,60 :: 		}
; cntr end address is: 16 (R4)
IT	AL
BAL	L_Power_management_ui_ReadBatteryVoltage0
L_Power_management_ui_ReadBatteryVoltage1:
;Power_management.c,61 :: 		return ui_voltage >> 3;
LSRS	R0, R5, #3
; ui_voltage end address is: 20 (R5)
;Power_management.c,62 :: 		}
L_end_ui_ReadBatteryVoltage:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of Power_management_ui_ReadBatteryVoltage
Power_management_f_ReadBatteryVoltage:
;Power_management.c,71 :: 		static unsigned long f_ReadBatteryVoltage() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Power_management.c,74 :: 		ui_voltage = ui_ReadBatteryVoltage();
BL	Power_management_ui_ReadBatteryVoltage+0
;Power_management.c,75 :: 		return (unsigned long)ui_voltage*15;         // 3*2.048/4096 * 10000
SXTH	R1, R0
MOVS	R0, #15
MULS	R0, R1, R0
;Power_management.c,76 :: 		}
L_end_f_ReadBatteryVoltage:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of Power_management_f_ReadBatteryVoltage
Power_management_GetPowerStatus:
;Power_management.c,85 :: 		static void GetPowerStatus() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Power_management.c,87 :: 		Power_State.ui_Voltage  = f_ReadBatteryVoltage();
BL	Power_management_f_ReadBatteryVoltage+0
MOVW	R1, #lo_addr(_Power_State+4)
MOVT	R1, #hi_addr(_Power_State+4)
STR	R0, [R1, #0]
;Power_management.c,89 :: 		if (DC_VBUS==0)
MOVW	R1, #lo_addr(DC_VBUS+0)
MOVT	R1, #hi_addr(DC_VBUS+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_Power_management_GetPowerStatus3
;Power_management.c,90 :: 		Power_State.Source = SRC_DC;      // Works if Vdc>5V(Vusb), if Vdc<Vusb priority is changed
MOVS	R1, #2
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
STRB	R1, [R0, #0]
IT	AL
BAL	L_Power_management_GetPowerStatus4
L_Power_management_GetPowerStatus3:
;Power_management.c,92 :: 		if (USB_VBUS==1)
MOVW	R1, #lo_addr(USB_VBUS+0)
MOVT	R1, #hi_addr(USB_VBUS+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_Power_management_GetPowerStatus5
;Power_management.c,93 :: 		Power_State.Source = SRC_USB;
MOVS	R1, #1
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
STRB	R1, [R0, #0]
IT	AL
BAL	L_Power_management_GetPowerStatus6
L_Power_management_GetPowerStatus5:
;Power_management.c,95 :: 		Power_State.Source = SRC_BATTERY;
MOVS	R1, #0
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
STRB	R1, [R0, #0]
L_Power_management_GetPowerStatus6:
;Power_management.c,96 :: 		}
L_Power_management_GetPowerStatus4:
;Power_management.c,98 :: 		if (BAT_STAT1 == 1)
MOVW	R1, #lo_addr(BAT_STAT1+0)
MOVT	R1, #hi_addr(BAT_STAT1+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_Power_management_GetPowerStatus7
;Power_management.c,100 :: 		if (BAT_STAT2 == 1)
MOVW	R1, #lo_addr(BAT_STAT2+0)
MOVT	R1, #hi_addr(BAT_STAT2+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_Power_management_GetPowerStatus8
;Power_management.c,101 :: 		if (Power_State.Source == SRC_BATTERY)
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_Power_management_GetPowerStatus9
;Power_management.c,102 :: 		Power_State.Battery_state = BAT_DISCHARGING;
MOVS	R1, #1
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
STRB	R1, [R0, #0]
IT	AL
BAL	L_Power_management_GetPowerStatus10
L_Power_management_GetPowerStatus9:
;Power_management.c,104 :: 		Power_State.Battery_state = BAT_UNPLUGGED;
MOVS	R1, #2
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
STRB	R1, [R0, #0]
L_Power_management_GetPowerStatus10:
IT	AL
BAL	L_Power_management_GetPowerStatus11
L_Power_management_GetPowerStatus8:
;Power_management.c,106 :: 		Power_State.Battery_state = BAT_FULL;
MOVS	R1, #3
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
STRB	R1, [R0, #0]
L_Power_management_GetPowerStatus11:
;Power_management.c,107 :: 		}
IT	AL
BAL	L_Power_management_GetPowerStatus12
L_Power_management_GetPowerStatus7:
;Power_management.c,110 :: 		if (BAT_STAT2 == 1)
MOVW	R1, #lo_addr(BAT_STAT2+0)
MOVT	R1, #hi_addr(BAT_STAT2+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_Power_management_GetPowerStatus13
;Power_management.c,111 :: 		Power_State.Battery_state = BAT_CHARGING;
MOVS	R1, #0
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
STRB	R1, [R0, #0]
IT	AL
BAL	L_Power_management_GetPowerStatus14
L_Power_management_GetPowerStatus13:
;Power_management.c,113 :: 		Power_State.Battery_state = BAT_UNPLUGGED; //BAT_BADBATTERY;
MOVS	R1, #2
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
STRB	R1, [R0, #0]
L_Power_management_GetPowerStatus14:
;Power_management.c,114 :: 		}
L_Power_management_GetPowerStatus12:
;Power_management.c,115 :: 		}
L_end_GetPowerStatus:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of Power_management_GetPowerStatus
_checkPowerM:
;Power_management.c,124 :: 		void checkPowerM(){
SUB	SP, SP, #8
STR	LR, [SP, #0]
;Power_management.c,127 :: 		GetPowerStatus();
BL	Power_management_GetPowerStatus+0
;Power_management.c,129 :: 		if (Power_State.Battery_state != Power_State_Old.Battery_state) {
MOVW	R0, #lo_addr(_Power_State_Old+0)
MOVT	R0, #hi_addr(_Power_State_Old+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_checkPowerM15
;Power_management.c,130 :: 		switch (Power_State.Battery_state) {
IT	AL
BAL	L_checkPowerM16
;Power_management.c,131 :: 		case BAT_CHARGING   : {
L_checkPowerM18:
;Power_management.c,134 :: 		}; break;
IT	AL
BAL	L_checkPowerM17
;Power_management.c,135 :: 		case BAT_DISCHARGING: {
L_checkPowerM19:
;Power_management.c,138 :: 		}; break;
IT	AL
BAL	L_checkPowerM17
;Power_management.c,139 :: 		case BAT_FULL       : {
L_checkPowerM20:
;Power_management.c,142 :: 		}; break;
IT	AL
BAL	L_checkPowerM17
;Power_management.c,143 :: 		case BAT_UNPLUGGED  : {
L_checkPowerM21:
;Power_management.c,146 :: 		}; break;
IT	AL
BAL	L_checkPowerM17
;Power_management.c,147 :: 		case BAT_BADBATTERY  : {
L_checkPowerM22:
;Power_management.c,150 :: 		}; break;
IT	AL
BAL	L_checkPowerM17
;Power_management.c,151 :: 		}
L_checkPowerM16:
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_checkPowerM18
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_checkPowerM19
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #3
IT	EQ
BEQ	L_checkPowerM20
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_checkPowerM21
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R0, [R0, #0]
CMP	R0, #4
IT	EQ
BEQ	L_checkPowerM22
L_checkPowerM17:
;Power_management.c,152 :: 		Power_State_Old.Battery_state = Power_State.Battery_state;
MOVW	R0, #lo_addr(_Power_State+0)
MOVT	R0, #hi_addr(_Power_State+0)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Power_State_Old+0)
MOVT	R0, #hi_addr(_Power_State_Old+0)
STRB	R1, [R0, #0]
;Power_management.c,153 :: 		}
L_checkPowerM15:
;Power_management.c,155 :: 		if (Power_State.Source != Power_State_Old.Source) {
MOVW	R0, #lo_addr(_Power_State_Old+1)
MOVT	R0, #hi_addr(_Power_State_Old+1)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
LDRB	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_checkPowerM23
;Power_management.c,156 :: 		switch (Power_State.Source) {
IT	AL
BAL	L_checkPowerM24
;Power_management.c,157 :: 		case SRC_BATTERY: {
L_checkPowerM26:
;Power_management.c,160 :: 		}; break;
IT	AL
BAL	L_checkPowerM25
;Power_management.c,161 :: 		case SRC_DC     : {
L_checkPowerM27:
;Power_management.c,164 :: 		}; break;
IT	AL
BAL	L_checkPowerM25
;Power_management.c,165 :: 		case SRC_USB    : {
L_checkPowerM28:
;Power_management.c,168 :: 		}; break;
IT	AL
BAL	L_checkPowerM25
;Power_management.c,169 :: 		}
L_checkPowerM24:
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_checkPowerM26
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_checkPowerM27
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_checkPowerM28
L_checkPowerM25:
;Power_management.c,170 :: 		Power_State_Old.Source = Power_State.Source;
MOVW	R0, #lo_addr(_Power_State+1)
MOVT	R0, #hi_addr(_Power_State+1)
LDRB	R1, [R0, #0]
MOVW	R0, #lo_addr(_Power_State_Old+1)
MOVT	R0, #hi_addr(_Power_State_Old+1)
STRB	R1, [R0, #0]
;Power_management.c,171 :: 		}
L_checkPowerM23:
;Power_management.c,175 :: 		Bar_Width = ((signed int)Power_State.ui_Voltage - 29000) / 300;
MOVW	R0, #lo_addr(_Power_State+4)
MOVT	R0, #hi_addr(_Power_State+4)
LDRSH	R1, [R0, #0]
MOVW	R0, #29000
SXTH	R0, R0
SUB	R1, R1, R0
SXTH	R1, R1
MOVW	R0, #300
SXTH	R0, R0
SDIV	R0, R1, R0
SXTH	R0, R0
; Bar_Width start address is: 4 (R1)
SXTH	R1, R0
;Power_management.c,176 :: 		if (Bar_Width > 40)
CMP	R0, #40
IT	LE
BLE	L__checkPowerM33
; Bar_Width end address is: 4 (R1)
;Power_management.c,177 :: 		Bar_Width = 40;
; Bar_Width start address is: 12 (R3)
MOVS	R3, #40
SXTH	R3, R3
; Bar_Width end address is: 12 (R3)
IT	AL
BAL	L_checkPowerM29
L__checkPowerM33:
;Power_management.c,176 :: 		if (Bar_Width > 40)
SXTH	R3, R1
;Power_management.c,177 :: 		Bar_Width = 40;
L_checkPowerM29:
;Power_management.c,178 :: 		if (Bar_width < 1)
; Bar_Width start address is: 12 (R3)
CMP	R3, #1
IT	GE
BGE	L__checkPowerM34
;Power_management.c,179 :: 		Bar_Width = 1;
MOVS	R3, #1
SXTH	R3, R3
; Bar_Width end address is: 12 (R3)
IT	AL
BAL	L_checkPowerM30
L__checkPowerM34:
;Power_management.c,178 :: 		if (Bar_width < 1)
;Power_management.c,179 :: 		Bar_Width = 1;
L_checkPowerM30:
;Power_management.c,181 :: 		if (Power_State.ui_Voltage > 330)
; Bar_Width start address is: 12 (R3)
MOVW	R0, #lo_addr(_Power_State+4)
MOVT	R0, #hi_addr(_Power_State+4)
LDR	R0, [R0, #0]
CMP	R0, #330
IT	LS
BLS	L_checkPowerM31
;Power_management.c,182 :: 		TFTIntern_Set_Brush(1, CL_WHITE_Intern, 0, 0, 0, 0);
MOVS	R1, #0
MOVS	R0, #0
STRH	R3, [SP, #4]
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65535
MOVS	R0, #1
BL	_TFTIntern_Set_Brush+0
ADD	SP, SP, #8
LDRSH	R3, [SP, #4]
IT	AL
BAL	L_checkPowerM32
L_checkPowerM31:
;Power_management.c,184 :: 		TFTIntern_Set_Brush(1, CL_RED_Intern, 0, 0, 0, 0);
MOVS	R1, #0
MOVS	R0, #0
STRH	R3, [SP, #4]
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #63488
MOVS	R0, #1
BL	_TFTIntern_Set_Brush+0
ADD	SP, SP, #8
LDRSH	R3, [SP, #4]
L_checkPowerM32:
;Power_management.c,186 :: 		TFTIntern_Set_Pen(CL_WHITE_Intern, 0);
MOVS	R1, #0
MOVW	R0, #65535
BL	_TFTIntern_Set_Pen+0
;Power_management.c,187 :: 		TFTIntern_Rectangle(33, 40, 33 + Bar_width, 51);
ADDW	R0, R3, #33
STRH	R3, [SP, #4]
MOVS	R3, #51
SXTH	R3, R3
SXTH	R2, R0
MOVS	R1, #40
SXTH	R1, R1
MOVS	R0, #33
SXTH	R0, R0
BL	_TFTIntern_Rectangle+0
;Power_management.c,189 :: 		TFTIntern_Set_Brush(1, Home.Color, 0, 0, 0, 0);
MOVS	R2, #0
MOVS	R1, #0
MOVW	R0, #lo_addr(_Home+0)
MOVT	R0, #hi_addr(_Home+0)
LDRH	R0, [R0, #0]
PUSH	(R2)
PUSH	(R1)
MOVS	R3, #0
MOVS	R2, #0
UXTH	R1, R0
MOVS	R0, #1
BL	_TFTIntern_Set_Brush+0
ADD	SP, SP, #8
LDRSH	R3, [SP, #4]
;Power_management.c,190 :: 		TFTIntern_Set_Pen(CL_WHITE_Intern, 0);
MOVS	R1, #0
MOVW	R0, #65535
BL	_TFTIntern_Set_Pen+0
;Power_management.c,191 :: 		TFTIntern_Rectangle(32 + Bar_width, 40, 72, 51);
ADDW	R0, R3, #32
; Bar_Width end address is: 12 (R3)
MOVS	R3, #51
SXTH	R3, R3
MOVS	R2, #72
SXTH	R2, R2
MOVS	R1, #40
SXTH	R1, R1
BL	_TFTIntern_Rectangle+0
;Power_management.c,193 :: 		Power_State_Old.ui_Voltage = Power_State.ui_Voltage;
MOVW	R0, #lo_addr(_Power_State+4)
MOVT	R0, #hi_addr(_Power_State+4)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_Power_State_Old+4)
MOVT	R0, #hi_addr(_Power_State_Old+4)
STR	R1, [R0, #0]
;Power_management.c,194 :: 		}
L_end_checkPowerM:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _checkPowerM
