cc3100_hal_delay_us:
;cc3100_hal.c,147 :: 		static void delay_us( uint16_t ns )
; ns start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; ns end address is: 0 (R0)
; ns start address is: 0 (R0)
;cc3100_hal.c,149 :: 		while( ns-- )
L_cc3100_hal_delay_us0:
; ns start address is: 0 (R0)
UXTH	R2, R0
SUBS	R1, R0, #1
UXTH	R0, R1
; ns end address is: 0 (R0)
CMP	R2, #0
IT	EQ
BEQ	L_cc3100_hal_delay_us1
; ns end address is: 0 (R0)
;cc3100_hal.c,150 :: 		Delay_1us();
; ns start address is: 0 (R0)
BL	_Delay_1us+0
; ns end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_delay_us0
L_cc3100_hal_delay_us1:
;cc3100_hal.c,151 :: 		}
L_end_delay_us:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of cc3100_hal_delay_us
cc3100_hal_cs_low:
;cc3100_hal.c,153 :: 		static void cs_low()
;cc3100_hal.c,158 :: 		CC3100_CS_PIN = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIO_PORTB_AHB_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTB_AHB_DATA+0)
STR	R1, [R0, #0]
;cc3100_hal.c,160 :: 		delay_us(1);
MOVW	R7, #38
MOVT	R7, #0
NOP
NOP
L_cc3100_hal_cs_low2:
SUBS	R7, R7, #1
BNE	L_cc3100_hal_cs_low2
NOP
NOP
NOP
;cc3100_hal.c,162 :: 		}
L_end_cs_low:
BX	LR
; end of cc3100_hal_cs_low
cc3100_hal_cs_high:
;cc3100_hal.c,164 :: 		static void cs_high()
;cc3100_hal.c,166 :: 		delay_us(1);
MOVW	R7, #38
MOVT	R7, #0
NOP
NOP
L_cc3100_hal_cs_high4:
SUBS	R7, R7, #1
BNE	L_cc3100_hal_cs_high4
NOP
NOP
NOP
;cc3100_hal.c,171 :: 		CC3100_CS_PIN = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIO_PORTB_AHB_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTB_AHB_DATA+0)
STR	R1, [R0, #0]
;cc3100_hal.c,173 :: 		}
L_end_cs_high:
BX	LR
; end of cc3100_hal_cs_high
cc3100_hal_rst_high:
;cc3100_hal.c,175 :: 		static void rst_high()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,180 :: 		CC3100_RST_PIN = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIO_PORTD_AHB_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTD_AHB_DATA+0)
STR	R1, [R0, #0]
;cc3100_hal.c,182 :: 		cc3100_hal_delay( 25 );
MOVS	R0, #25
BL	_cc3100_hal_delay+0
;cc3100_hal.c,183 :: 		}
L_end_rst_high:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of cc3100_hal_rst_high
cc3100_hal_rst_low:
;cc3100_hal.c,185 :: 		static void rst_low()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,190 :: 		CC3100_RST_PIN = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIO_PORTD_AHB_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTD_AHB_DATA+0)
STR	R1, [R0, #0]
;cc3100_hal.c,192 :: 		cc3100_hal_delay( 3 );
MOVS	R0, #3
BL	_cc3100_hal_delay+0
;cc3100_hal.c,193 :: 		}
L_end_rst_low:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of cc3100_hal_rst_low
cc3100_hal_hibernate_enable:
;cc3100_hal.c,195 :: 		static void hibernate_enable()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,200 :: 		CC3100_HIB_PIN = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIO_PORTF_AHB_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTF_AHB_DATA+0)
STR	R1, [R0, #0]
;cc3100_hal.c,202 :: 		cc3100_hal_delay( 10 );
MOVS	R0, #10
BL	_cc3100_hal_delay+0
;cc3100_hal.c,203 :: 		}
L_end_hibernate_enable:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of cc3100_hal_hibernate_enable
cc3100_hal_hibernate_disable:
;cc3100_hal.c,205 :: 		static void hibernate_disable()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,210 :: 		CC3100_HIB_PIN = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIO_PORTF_AHB_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTF_AHB_DATA+0)
STR	R1, [R0, #0]
;cc3100_hal.c,211 :: 		cc3100_hal_delay( 50 );
MOVS	R0, #50
BL	_cc3100_hal_delay+0
;cc3100_hal.c,213 :: 		}
L_end_hibernate_disable:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of cc3100_hal_hibernate_disable
_cc3100_hal_init:
;cc3100_hal.c,218 :: 		Fd_t cc3100_hal_init( char *interface_name, unsigned long flags )
; interface_name start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; interface_name end address is: 0 (R0)
; interface_name start address is: 0 (R0)
;cc3100_hal.c,223 :: 		if( interface_name != 0 )
CMP	R0, #0
IT	EQ
BEQ	L_cc3100_hal_init6
;cc3100_hal.c,225 :: 		if( strcmp( interface_name, "CC3100_UART" ) == 0 )
MOVW	R2, #lo_addr(?lstr1_cc3100_hal+0)
MOVT	R2, #hi_addr(?lstr1_cc3100_hal+0)
MOV	R1, R2
; interface_name end address is: 0 (R0)
BL	_strcmp+0
CMP	R0, #0
IT	NE
BNE	L_cc3100_hal_init7
;cc3100_hal.c,228 :: 		uart_data_ready_p = UART_Data_Ready;
MOVW	R3, #lo_addr(_UART_Data_Ready+0)
MOVT	R3, #hi_addr(_UART_Data_Ready+0)
MOVW	R2, #lo_addr(cc3100_hal_uart_data_ready_p+0)
MOVT	R2, #hi_addr(cc3100_hal_uart_data_ready_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,229 :: 		uart_read_p  = UART_Read;
MOVW	R3, #lo_addr(_UART_Read+0)
MOVT	R3, #hi_addr(_UART_Read+0)
MOVW	R2, #lo_addr(cc3100_hal_uart_read_p+0)
MOVT	R2, #hi_addr(cc3100_hal_uart_read_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,230 :: 		uart_write_p = UART_Write;
MOVW	R3, #lo_addr(_UART_Write+0)
MOVT	R3, #hi_addr(_UART_Write+0)
MOVW	R2, #lo_addr(cc3100_hal_uart_write_p+0)
MOVT	R2, #hi_addr(cc3100_hal_uart_write_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,232 :: 		hibernate_disable();
BL	cc3100_hal_hibernate_disable+0
;cc3100_hal.c,233 :: 		cc3100_hal_reset();
BL	_cc3100_hal_reset+0
;cc3100_hal.c,234 :: 		cc3100_hal_delay( 1400 );
MOVW	R0, #1400
BL	_cc3100_hal_delay+0
;cc3100_hal.c,235 :: 		return ( uart_data_ready_p == NULL || uart_read_p == NULL ||
MOVW	R2, #lo_addr(cc3100_hal_uart_data_ready_p+0)
MOVT	R2, #hi_addr(cc3100_hal_uart_data_ready_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init50
MOVW	R2, #lo_addr(cc3100_hal_uart_read_p+0)
MOVT	R2, #hi_addr(cc3100_hal_uart_read_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init49
;cc3100_hal.c,236 :: 		uart_write_p == NULL )
MOVW	R2, #lo_addr(cc3100_hal_uart_write_p+0)
MOVT	R2, #hi_addr(cc3100_hal_uart_write_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init48
IT	AL
BAL	L_cc3100_hal_init10
;cc3100_hal.c,235 :: 		return ( uart_data_ready_p == NULL || uart_read_p == NULL ||
L__cc3100_hal_init50:
L__cc3100_hal_init49:
;cc3100_hal.c,236 :: 		uart_write_p == NULL )
L__cc3100_hal_init48:
;cc3100_hal.c,237 :: 		? CC3100_ERROR
; ?FLOC___cc3100_hal_init?T14 start address is: 0 (R0)
MOVS	R0, #-1
SXTB	R0, R0
;cc3100_hal.c,238 :: 		: UART_MODE;
; ?FLOC___cc3100_hal_init?T14 end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_init11
L_cc3100_hal_init10:
; ?FLOC___cc3100_hal_init?T14 start address is: 0 (R0)
MOVS	R0, #2
SXTB	R0, R0
; ?FLOC___cc3100_hal_init?T14 end address is: 0 (R0)
L_cc3100_hal_init11:
; ?FLOC___cc3100_hal_init?T14 start address is: 0 (R0)
UXTH	R0, R0
UXTH	R0, R0
; ?FLOC___cc3100_hal_init?T14 end address is: 0 (R0)
IT	AL
BAL	L_end_cc3100_hal_init
;cc3100_hal.c,239 :: 		} else {
L_cc3100_hal_init7:
;cc3100_hal.c,246 :: 		spi_read_p = SPI_Rd_Ptr;
MOVW	R2, #lo_addr(_SPI_Rd_Ptr+0)
MOVT	R2, #hi_addr(_SPI_Rd_Ptr+0)
LDR	R3, [R2, #0]
MOVW	R2, #lo_addr(cc3100_hal_spi_read_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_read_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,247 :: 		spi_write_p = SPI_Wr_Ptr;
MOVW	R2, #lo_addr(_SPI_Wr_Ptr+0)
MOVT	R2, #hi_addr(_SPI_Wr_Ptr+0)
LDR	R3, [R2, #0]
MOVW	R2, #lo_addr(cc3100_hal_spi_write_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_write_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,252 :: 		cs_high();
BL	cc3100_hal_cs_high+0
;cc3100_hal.c,253 :: 		hibernate_disable();
BL	cc3100_hal_hibernate_disable+0
;cc3100_hal.c,254 :: 		cc3100_hal_reset();
BL	_cc3100_hal_reset+0
;cc3100_hal.c,255 :: 		cc3100_hal_delay( 1400 );
MOVW	R0, #1400
BL	_cc3100_hal_delay+0
;cc3100_hal.c,256 :: 		return ( spi_read_p == NULL || spi_write_p == NULL )
MOVW	R2, #lo_addr(cc3100_hal_spi_read_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_read_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init52
MOVW	R2, #lo_addr(cc3100_hal_spi_write_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_write_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init51
IT	AL
BAL	L_cc3100_hal_init15
L__cc3100_hal_init52:
L__cc3100_hal_init51:
;cc3100_hal.c,257 :: 		? CC3100_ERROR
; ?FLOC___cc3100_hal_init?T18 start address is: 0 (R0)
MOVS	R0, #-1
SXTB	R0, R0
;cc3100_hal.c,258 :: 		: SPI_MODE;
; ?FLOC___cc3100_hal_init?T18 end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_init16
L_cc3100_hal_init15:
; ?FLOC___cc3100_hal_init?T18 start address is: 0 (R0)
MOVS	R0, #1
SXTB	R0, R0
; ?FLOC___cc3100_hal_init?T18 end address is: 0 (R0)
L_cc3100_hal_init16:
; ?FLOC___cc3100_hal_init?T18 start address is: 0 (R0)
UXTH	R0, R0
UXTH	R0, R0
; ?FLOC___cc3100_hal_init?T18 end address is: 0 (R0)
IT	AL
BAL	L_end_cc3100_hal_init
;cc3100_hal.c,260 :: 		} else {
L_cc3100_hal_init6:
;cc3100_hal.c,267 :: 		spi_read_p = SPI_Rd_Ptr;
MOVW	R2, #lo_addr(_SPI_Rd_Ptr+0)
MOVT	R2, #hi_addr(_SPI_Rd_Ptr+0)
LDR	R3, [R2, #0]
MOVW	R2, #lo_addr(cc3100_hal_spi_read_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_read_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,268 :: 		spi_write_p = SPI_Wr_Ptr;
MOVW	R2, #lo_addr(_SPI_Wr_Ptr+0)
MOVT	R2, #hi_addr(_SPI_Wr_Ptr+0)
LDR	R3, [R2, #0]
MOVW	R2, #lo_addr(cc3100_hal_spi_write_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_write_p+0)
STR	R3, [R2, #0]
;cc3100_hal.c,273 :: 		cc3100_interrupt_disable();
BL	_cc3100_interrupt_disable+0
;cc3100_hal.c,274 :: 		cs_high();
BL	cc3100_hal_cs_high+0
;cc3100_hal.c,275 :: 		hibernate_disable();
BL	cc3100_hal_hibernate_disable+0
;cc3100_hal.c,276 :: 		cc3100_hal_reset();
BL	_cc3100_hal_reset+0
;cc3100_hal.c,277 :: 		cc3100_hal_delay( 1400 );
MOVW	R0, #1400
BL	_cc3100_hal_delay+0
;cc3100_hal.c,278 :: 		return ( spi_read_p == NULL || spi_write_p == NULL )
MOVW	R2, #lo_addr(cc3100_hal_spi_read_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_read_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init54
MOVW	R2, #lo_addr(cc3100_hal_spi_write_p+0)
MOVT	R2, #hi_addr(cc3100_hal_spi_write_p+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	EQ
BEQ	L__cc3100_hal_init53
IT	AL
BAL	L_cc3100_hal_init20
L__cc3100_hal_init54:
L__cc3100_hal_init53:
;cc3100_hal.c,279 :: 		? CC3100_ERROR
; ?FLOC___cc3100_hal_init?T22 start address is: 0 (R0)
MOVS	R0, #-1
SXTB	R0, R0
;cc3100_hal.c,280 :: 		: SPI_MODE;
; ?FLOC___cc3100_hal_init?T22 end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_init21
L_cc3100_hal_init20:
; ?FLOC___cc3100_hal_init?T22 start address is: 0 (R0)
MOVS	R0, #1
SXTB	R0, R0
; ?FLOC___cc3100_hal_init?T22 end address is: 0 (R0)
L_cc3100_hal_init21:
; ?FLOC___cc3100_hal_init?T22 start address is: 0 (R0)
UXTH	R0, R0
UXTH	R0, R0
; ?FLOC___cc3100_hal_init?T22 end address is: 0 (R0)
;cc3100_hal.c,284 :: 		}
L_end_cc3100_hal_init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_hal_init
_cc3100_hal_uninit:
;cc3100_hal.c,286 :: 		int cc3100_hal_uninit( Fd_t fd )
; fd start address is: 0 (R0)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
;cc3100_hal.c,288 :: 		switch( fd )
IT	AL
BAL	L_cc3100_hal_uninit22
; fd end address is: 0 (R0)
;cc3100_hal.c,290 :: 		case SPI_MODE:
L_cc3100_hal_uninit24:
;cc3100_hal.c,291 :: 		return CC3100_OK;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_cc3100_hal_uninit
;cc3100_hal.c,293 :: 		case UART_MODE:
L_cc3100_hal_uninit25:
;cc3100_hal.c,294 :: 		return CC3100_OK;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_cc3100_hal_uninit
;cc3100_hal.c,296 :: 		default:
L_cc3100_hal_uninit26:
;cc3100_hal.c,297 :: 		return CC3100_ERROR;
MOVW	R0, #65535
SXTH	R0, R0
IT	AL
BAL	L_end_cc3100_hal_uninit
;cc3100_hal.c,298 :: 		}
L_cc3100_hal_uninit22:
; fd start address is: 0 (R0)
CMP	R0, #1
IT	EQ
BEQ	L_cc3100_hal_uninit24
CMP	R0, #2
IT	EQ
BEQ	L_cc3100_hal_uninit25
; fd end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_uninit26
;cc3100_hal.c,299 :: 		}
L_end_cc3100_hal_uninit:
BX	LR
; end of _cc3100_hal_uninit
_cc3100_hal_reset:
;cc3100_hal.c,301 :: 		void cc3100_hal_reset()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,303 :: 		rst_low();
BL	cc3100_hal_rst_low+0
;cc3100_hal.c,304 :: 		rst_high();
BL	cc3100_hal_rst_high+0
;cc3100_hal.c,305 :: 		}
L_end_cc3100_hal_reset:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_hal_reset
_cc3100_hal_read:
;cc3100_hal.c,308 :: 		int cc3100_hal_read( Fd_t fd, uint8_t *p_buffer, int len )
; ptr start address is: 20 (R5)
; p_buffer start address is: 4 (R1)
; fd start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
;cc3100_hal.c,310 :: 		uint8_t *ptr = p_buffer;
;cc3100_hal.c,308 :: 		int cc3100_hal_read( Fd_t fd, uint8_t *p_buffer, int len )
;cc3100_hal.c,310 :: 		uint8_t *ptr = p_buffer;
;cc3100_hal.c,308 :: 		int cc3100_hal_read( Fd_t fd, uint8_t *p_buffer, int len )
STRH	R2, [SP, #12]
; ptr end address is: 20 (R5)
; p_buffer end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; p_buffer start address is: 4 (R1)
;cc3100_hal.c,310 :: 		uint8_t *ptr = p_buffer;
; ptr start address is: 20 (R5)
MOV	R5, R1
; p_buffer end address is: 4 (R1)
;cc3100_hal.c,311 :: 		int ret_len = len;
LDRSH	R3, [SP, #12]
STRH	R3, [SP, #8]
;cc3100_hal.c,313 :: 		switch( fd )
IT	AL
BAL	L_cc3100_hal_read27
; fd end address is: 0 (R0)
;cc3100_hal.c,315 :: 		case SPI_MODE:
L_cc3100_hal_read29:
;cc3100_hal.c,316 :: 		cs_low();
BL	cc3100_hal_cs_low+0
; ptr end address is: 20 (R5)
MOV	R1, R5
;cc3100_hal.c,320 :: 		while( len-- )
L_cc3100_hal_read30:
; ptr start address is: 4 (R1)
LDRSH	R4, [SP, #12]
LDRSH	R3, [SP, #12]
SUBS	R3, R3, #1
STRH	R3, [SP, #12]
CMP	R4, #0
IT	EQ
BEQ	L_cc3100_hal_read31
;cc3100_hal.c,321 :: 		*( ptr++ ) = spi_read_p( 0x03 );
STR	R1, [SP, #4]
MOVS	R0, #3
MOVW	R4, #lo_addr(cc3100_hal_spi_read_p+0)
MOVT	R4, #hi_addr(cc3100_hal_spi_read_p+0)
LDR	R4, [R4, #0]
BLX	R4
LDR	R1, [SP, #4]
STRB	R0, [R1, #0]
ADDS	R3, R1, #1
; ptr end address is: 4 (R1)
; ptr start address is: 20 (R5)
MOV	R5, R3
MOV	R1, R5
; ptr end address is: 20 (R5)
IT	AL
BAL	L_cc3100_hal_read30
L_cc3100_hal_read31:
;cc3100_hal.c,322 :: 		cs_high();
BL	cc3100_hal_cs_high+0
;cc3100_hal.c,324 :: 		return ret_len;
LDRSH	R0, [SP, #8]
IT	AL
BAL	L_end_cc3100_hal_read
;cc3100_hal.c,326 :: 		case UART_MODE:
L_cc3100_hal_read32:
;cc3100_hal.c,327 :: 		return CC3100_OK;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_cc3100_hal_read
;cc3100_hal.c,329 :: 		default:
L_cc3100_hal_read33:
;cc3100_hal.c,330 :: 		return ret_len;
LDRSH	R0, [SP, #8]
IT	AL
BAL	L_end_cc3100_hal_read
;cc3100_hal.c,331 :: 		}
L_cc3100_hal_read27:
; ptr start address is: 20 (R5)
; fd start address is: 0 (R0)
CMP	R0, #1
IT	EQ
BEQ	L_cc3100_hal_read29
; ptr end address is: 20 (R5)
CMP	R0, #2
IT	EQ
BEQ	L_cc3100_hal_read32
; fd end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_read33
;cc3100_hal.c,332 :: 		}
L_end_cc3100_hal_read:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _cc3100_hal_read
_cc3100_hal_write:
;cc3100_hal.c,334 :: 		int cc3100_hal_write( Fd_t fd, uint8_t *p_buffer, int len)
; len start address is: 8 (R2)
; fd start address is: 0 (R0)
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R1, [SP, #12]
; len end address is: 8 (R2)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; len start address is: 8 (R2)
;cc3100_hal.c,336 :: 		int ret_len = len;
STRH	R2, [SP, #8]
;cc3100_hal.c,338 :: 		switch( fd )
IT	AL
BAL	L_cc3100_hal_write34
; fd end address is: 0 (R0)
;cc3100_hal.c,340 :: 		case SPI_MODE:
L_cc3100_hal_write36:
;cc3100_hal.c,344 :: 		cs_low();
BL	cc3100_hal_cs_low+0
; len end address is: 8 (R2)
SXTH	R0, R2
;cc3100_hal.c,345 :: 		while( len-- )
L_cc3100_hal_write37:
; len start address is: 0 (R0)
; len start address is: 0 (R0)
SXTH	R4, R0
SUBS	R3, R0, #1
SXTH	R0, R3
; len end address is: 0 (R0)
CMP	R4, #0
IT	EQ
BEQ	L_cc3100_hal_write38
; len end address is: 0 (R0)
;cc3100_hal.c,346 :: 		spi_write_p( *( p_buffer++ ) );
; len start address is: 0 (R0)
LDR	R3, [SP, #12]
LDRB	R3, [R3, #0]
UXTB	R4, R3
STRH	R0, [SP, #4]
UXTH	R0, R4
MOVW	R4, #lo_addr(cc3100_hal_spi_write_p+0)
MOVT	R4, #hi_addr(cc3100_hal_spi_write_p+0)
LDR	R4, [R4, #0]
BLX	R4
LDRSH	R0, [SP, #4]
LDR	R3, [SP, #12]
ADDS	R3, R3, #1
STR	R3, [SP, #12]
; len end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_write37
L_cc3100_hal_write38:
;cc3100_hal.c,347 :: 		cs_high();
BL	cc3100_hal_cs_high+0
;cc3100_hal.c,349 :: 		return ret_len;
LDRSH	R0, [SP, #8]
IT	AL
BAL	L_end_cc3100_hal_write
;cc3100_hal.c,351 :: 		case UART_MODE:
L_cc3100_hal_write39:
;cc3100_hal.c,352 :: 		return CC3100_OK;
MOVS	R0, #0
SXTH	R0, R0
IT	AL
BAL	L_end_cc3100_hal_write
;cc3100_hal.c,354 :: 		default:
L_cc3100_hal_write40:
;cc3100_hal.c,355 :: 		return ret_len;
LDRSH	R0, [SP, #8]
IT	AL
BAL	L_end_cc3100_hal_write
;cc3100_hal.c,356 :: 		}
L_cc3100_hal_write34:
; len start address is: 8 (R2)
; fd start address is: 0 (R0)
CMP	R0, #1
IT	EQ
BEQ	L_cc3100_hal_write36
; len end address is: 8 (R2)
CMP	R0, #2
IT	EQ
BEQ	L_cc3100_hal_write39
; fd end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_write40
;cc3100_hal.c,357 :: 		}
L_end_cc3100_hal_write:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _cc3100_hal_write
_cc3100_hal_register_int_handler:
;cc3100_hal.c,360 :: 		int cc3100_hal_register_int_handler( P_EVENT_HANDLER isr_handler, void* p_value )
; isr_handler start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; isr_handler end address is: 0 (R0)
; isr_handler start address is: 0 (R0)
;cc3100_hal.c,362 :: 		isr_event = isr_handler;
MOVW	R2, #lo_addr(_isr_event+0)
MOVT	R2, #hi_addr(_isr_event+0)
STR	R0, [R2, #0]
; isr_handler end address is: 0 (R0)
;cc3100_hal.c,363 :: 		cc3100_interrupt_enable();
BL	_cc3100_interrupt_enable+0
;cc3100_hal.c,365 :: 		return ( isr_event == 0 ) ? -1 : CC3100_OK;
MOVW	R2, #lo_addr(_isr_event+0)
MOVT	R2, #hi_addr(_isr_event+0)
LDR	R2, [R2, #0]
CMP	R2, #0
IT	NE
BNE	L_cc3100_hal_register_int_handler41
; ?FLOC___cc3100_hal_register_int_handler?T38 start address is: 0 (R0)
MOVS	R0, #-1
SXTB	R0, R0
; ?FLOC___cc3100_hal_register_int_handler?T38 end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_register_int_handler42
L_cc3100_hal_register_int_handler41:
; ?FLOC___cc3100_hal_register_int_handler?T38 start address is: 0 (R0)
MOVS	R0, #0
SXTB	R0, R0
; ?FLOC___cc3100_hal_register_int_handler?T38 end address is: 0 (R0)
L_cc3100_hal_register_int_handler42:
; ?FLOC___cc3100_hal_register_int_handler?T38 start address is: 0 (R0)
; ?FLOC___cc3100_hal_register_int_handler?T38 end address is: 0 (R0)
;cc3100_hal.c,366 :: 		}
L_end_cc3100_hal_register_int_handler:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_hal_register_int_handler
_cc3100_hal_disable:
;cc3100_hal.c,368 :: 		void cc3100_hal_disable()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,370 :: 		hibernate_enable();
BL	cc3100_hal_hibernate_enable+0
;cc3100_hal.c,371 :: 		}
L_end_cc3100_hal_disable:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_hal_disable
_cc3100_hal_enable:
;cc3100_hal.c,373 :: 		void cc3100_hal_enable()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,375 :: 		hibernate_enable();
BL	cc3100_hal_hibernate_enable+0
;cc3100_hal.c,376 :: 		cc3100_hal_delay( 10 ); // Minimum time to wake from hibernation
MOVS	R0, #10
BL	_cc3100_hal_delay+0
;cc3100_hal.c,377 :: 		hibernate_disable();
BL	cc3100_hal_hibernate_disable+0
;cc3100_hal.c,378 :: 		cc3100_hal_delay( 50 ); // Hardware wakeup time plus firmware init time
MOVS	R0, #50
BL	_cc3100_hal_delay+0
;cc3100_hal.c,379 :: 		}
L_end_cc3100_hal_enable:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_hal_enable
_cc3100_hal_delay:
;cc3100_hal.c,381 :: 		void cc3100_hal_delay(unsigned long interval)
; interval start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; interval end address is: 0 (R0)
; interval start address is: 0 (R0)
;cc3100_hal.c,386 :: 		while( interval-- )
L_cc3100_hal_delay43:
; interval start address is: 0 (R0)
MOV	R2, R0
SUBS	R1, R0, #1
MOV	R0, R1
; interval end address is: 0 (R0)
CMP	R2, #0
IT	EQ
BEQ	L_cc3100_hal_delay44
; interval end address is: 0 (R0)
;cc3100_hal.c,391 :: 		Delay_1ms();
; interval start address is: 0 (R0)
BL	_Delay_1ms+0
;cc3100_hal.c,393 :: 		}
; interval end address is: 0 (R0)
IT	AL
BAL	L_cc3100_hal_delay43
L_cc3100_hal_delay44:
;cc3100_hal.c,394 :: 		}
L_end_cc3100_hal_delay:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_hal_delay
_cc3100_interrupt_enable:
;cc3100_hal.c,396 :: 		void cc3100_interrupt_enable(void)
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,401 :: 		NVIC_IntEnable( IVT_INT_GPIOB );
MOVW	R0, #17
BL	_NVIC_IntEnable+0
;cc3100_hal.c,403 :: 		}
L_end_cc3100_interrupt_enable:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_interrupt_enable
_cc3100_interrupt_disable:
;cc3100_hal.c,405 :: 		void cc3100_interrupt_disable()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;cc3100_hal.c,410 :: 		NVIC_IntDisable( IVT_INT_GPIOB );
MOVW	R0, #17
BL	_NVIC_IntDisable+0
;cc3100_hal.c,412 :: 		}
L_end_cc3100_interrupt_disable:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _cc3100_interrupt_disable
