__sl_BuildAddress:
;socket.c,96 :: 		_SocketAddrCommand_u    *pCmd )
; pCmd start address is: 4 (R1)
; addr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; pCmd end address is: 4 (R1)
; addr end address is: 0 (R0)
; addr start address is: 24 (R6)
; pCmd start address is: 28 (R7)
;socket.c,102 :: 		pCmd->IpV4.FamilyAndFlags = ( addr->sa_family << 4 ) & 0xF0;
ADDS	R3, R7, #3
LDRH	R2, [R6, #0]
LSLS	R2, R2, #4
UXTH	R2, R2
AND	R2, R2, #240
STRB	R2, [R3, #0]
;socket.c,103 :: 		pCmd->IpV4.port = ( ( SlSockAddrIn_t * )addr )->sin_port;
ADDS	R3, R7, #4
MOV	R2, R6
ADDS	R2, R2, #2
LDRH	R2, [R2, #0]
STRH	R2, [R3, #0]
;socket.c,105 :: 		if( SL_AF_INET == addr->sa_family )
LDRH	R2, [R6, #0]
CMP	R2, #2
IT	NE
BNE	L__sl_BuildAddress0
;socket.c,106 :: 		pCmd->IpV4.address  = ( ( SlSockAddrIn_t * )addr )->sin_addr.s_addr;
ADDW	R3, R7, #8
; pCmd end address is: 28 (R7)
MOV	R2, R6
; addr end address is: 24 (R6)
ADDS	R2, R2, #4
LDR	R2, [R2, #0]
STR	R2, [R3, #0]
IT	AL
BAL	L__sl_BuildAddress1
L__sl_BuildAddress0:
;socket.c,107 :: 		else if ( SL_AF_INET6_EUI_48 == addr->sa_family )
; pCmd start address is: 28 (R7)
; addr start address is: 24 (R6)
LDRH	R2, [R6, #0]
CMP	R2, #9
IT	NE
BNE	L__sl_BuildAddress2
;socket.c,109 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8, 6 );
MOV	R2, R6
; addr end address is: 24 (R6)
ADDW	R3, R2, #8
;socket.c,108 :: 		sl_Memcpy( pCmd->IpV6EUI48.address,
ADDS	R2, R7, #6
; pCmd end address is: 28 (R7)
;socket.c,109 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8, 6 );
MOV	R1, R3
;socket.c,108 :: 		sl_Memcpy( pCmd->IpV6EUI48.address,
MOV	R0, R2
;socket.c,109 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8, 6 );
MOVS	R2, #6
SXTH	R2, R2
BL	_memcpy+0
L__sl_BuildAddress2:
L__sl_BuildAddress1:
;socket.c,115 :: 		}
L_end__sl_BuildAddress:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __sl_BuildAddress
__sl_TruncatePayloadByProtocol:
;socket.c,121 :: 		_u16 _sl_TruncatePayloadByProtocol( const _i16 sd, const _u16 length )
; length start address is: 4 (R1)
; sd start address is: 0 (R0)
; length end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; length start address is: 4 (R1)
;socket.c,127 :: 		sd & SL_SOCKET_PAYLOAD_TYPE_MASK ) >> 4 )];
AND	R2, R0, #240
SXTH	R2, R2
; sd end address is: 0 (R0)
ASRS	R3, R2, #4
SXTH	R3, R3
MOVW	R2, #lo_addr(__SlPayloadByProtocolLUT+0)
MOVT	R2, #hi_addr(__SlPayloadByProtocolLUT+0)
ADDS	R2, R2, R3
LDRB	R2, [R2, #0]
ADDW	R2, R2, #1350
; maxLength start address is: 0 (R0)
UXTH	R0, R2
;socket.c,131 :: 		if( length > maxLength )
UXTH	R2, R2
CMP	R1, R2
IT	LS
BLS	L__sl_TruncatePayloadByProtocol3
; length end address is: 4 (R1)
;socket.c,132 :: 		return maxLength;
; maxLength end address is: 0 (R0)
IT	AL
BAL	L_end__sl_TruncatePayloadByProtocol
L__sl_TruncatePayloadByProtocol3:
;socket.c,134 :: 		return length;
; length start address is: 4 (R1)
UXTH	R0, R1
; length end address is: 4 (R1)
;socket.c,135 :: 		}
L_end__sl_TruncatePayloadByProtocol:
BX	LR
; end of __sl_TruncatePayloadByProtocol
__sl_ParseAddress:
;socket.c,143 :: 		SlSocklen_t *addrlen )
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
; pRsp start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R7, R1
; addrlen end address is: 8 (R2)
; addr end address is: 4 (R1)
; pRsp end address is: 0 (R0)
; pRsp start address is: 24 (R6)
; addr start address is: 28 (R7)
; addrlen start address is: 8 (R2)
;socket.c,148 :: 		addr->sa_family                 = pRsp->IpV4.family;
ADDS	R3, R6, #3
LDRB	R3, [R3, #0]
STRH	R3, [R7, #0]
;socket.c,149 :: 		( ( SlSockAddrIn_t * )addr )->sin_port = pRsp->IpV4.port;
ADDS	R4, R7, #2
ADDS	R3, R6, #4
LDRH	R3, [R3, #0]
STRH	R3, [R4, #0]
;socket.c,151 :: 		*addrlen = ( SL_AF_INET == addr->sa_family ) ? sizeof( SlSockAddrIn_t ) :
LDRH	R3, [R7, #0]
CMP	R3, #2
IT	NE
BNE	L__sl_ParseAddress5
; ?FLOC____sl_ParseAddress?T91 start address is: 0 (R0)
MOVS	R0, #16
SXTB	R0, R0
; ?FLOC____sl_ParseAddress?T91 end address is: 0 (R0)
IT	AL
BAL	L__sl_ParseAddress6
L__sl_ParseAddress5:
;socket.c,152 :: 		sizeof( SlSockAddrIn6_t );
; ?FLOC____sl_ParseAddress?T91 start address is: 0 (R0)
MOVS	R0, #28
SXTB	R0, R0
; ?FLOC____sl_ParseAddress?T91 end address is: 0 (R0)
L__sl_ParseAddress6:
; ?FLOC____sl_ParseAddress?T91 start address is: 0 (R0)
STRH	R0, [R2, #0]
; addrlen end address is: 8 (R2)
; ?FLOC____sl_ParseAddress?T91 end address is: 0 (R0)
;socket.c,154 :: 		if( SL_AF_INET == addr->sa_family )
LDRH	R3, [R7, #0]
CMP	R3, #2
IT	NE
BNE	L__sl_ParseAddress7
;socket.c,155 :: 		( ( SlSockAddrIn_t * )addr )->sin_addr.s_addr  = pRsp->IpV4.address;
ADDS	R4, R7, #4
; addr end address is: 28 (R7)
ADDW	R3, R6, #8
; pRsp end address is: 24 (R6)
LDR	R3, [R3, #0]
STR	R3, [R4, #0]
IT	AL
BAL	L__sl_ParseAddress8
L__sl_ParseAddress7:
;socket.c,156 :: 		else if ( SL_AF_INET6_EUI_48 == addr->sa_family )
; addr start address is: 28 (R7)
; pRsp start address is: 24 (R6)
LDRH	R3, [R7, #0]
CMP	R3, #9
IT	NE
BNE	L__sl_ParseAddress9
;socket.c,158 :: 		pRsp->IpV6EUI48.address, 6 );
ADDS	R4, R6, #6
; pRsp end address is: 24 (R6)
;socket.c,157 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
ADDW	R3, R7, #8
; addr end address is: 28 (R7)
;socket.c,158 :: 		pRsp->IpV6EUI48.address, 6 );
MOVS	R2, #6
SXTH	R2, R2
MOV	R1, R4
;socket.c,157 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
MOV	R0, R3
;socket.c,158 :: 		pRsp->IpV6EUI48.address, 6 );
BL	_memcpy+0
L__sl_ParseAddress9:
L__sl_ParseAddress8:
;socket.c,164 :: 		}
L_end__sl_ParseAddress:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of __sl_ParseAddress
_sl_Socket:
;socket.c,189 :: 		_i16 sl_Socket( _i16 Domain, _i16 Type, _i16 Protocol )
; Protocol start address is: 8 (R2)
; Type start address is: 4 (R1)
; Domain start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; Protocol end address is: 8 (R2)
; Type end address is: 4 (R1)
; Domain end address is: 0 (R0)
; Domain start address is: 0 (R0)
; Type start address is: 4 (R1)
; Protocol start address is: 8 (R2)
;socket.c,193 :: 		Msg.Cmd.Domain      = ( _u8 )Domain;
UXTB	R3, R0
; Domain end address is: 0 (R0)
STRB	R3, [SP, #4]
;socket.c,194 :: 		Msg.Cmd.Type        = ( _u8 )Type;
UXTB	R3, R1
; Type end address is: 4 (R1)
STRB	R3, [SP, #5]
;socket.c,195 :: 		Msg.Cmd.Protocol    = ( _u8 )Protocol;
UXTB	R3, R2
; Protocol end address is: 8 (R2)
STRB	R3, [SP, #6]
;socket.c,197 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSockSocketCmdCtrl, &Msg,
ADD	R3, SP, #4
MOVS	R2, #0
MOV	R1, R3
MOVW	R0, #lo_addr(__SlSockSocketCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSockSocketCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Socket10
L_sl_Socket11:
IT	AL
BAL	L_sl_Socket11
L_sl_Socket10:
;socket.c,200 :: 		if( Msg.Rsp.statusOrLen < 0 )
LDRSH	R3, [SP, #4]
CMP	R3, #0
IT	GE
BGE	L_sl_Socket13
;socket.c,201 :: 		return( Msg.Rsp.statusOrLen );
LDRSH	R0, [SP, #4]
IT	AL
BAL	L_end_sl_Socket
L_sl_Socket13:
;socket.c,203 :: 		return ( _i16 )( ( _u8 )Msg.Rsp.sd );
LDRB	R3, [SP, #6]
SXTH	R0, R3
;socket.c,204 :: 		}
L_end_sl_Socket:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_Socket
_sl_Close:
;socket.c,226 :: 		_i16 sl_Close( _i16 sd )
; sd start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
;socket.c,230 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R1, R0
; sd end address is: 0 (R0)
STRB	R1, [SP, #4]
;socket.c,232 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSockCloseCmdCtrl, &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlSockCloseCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSockCloseCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Close15
L_sl_Close16:
IT	AL
BAL	L_sl_Close16
L_sl_Close15:
;socket.c,235 :: 		return Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #4]
;socket.c,236 :: 		}
L_end_sl_Close:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_Close
_sl_Bind:
;socket.c,249 :: 		_i16 sl_Bind( _i16 sd, const SlSockAddr_t *addr, _i16 addrlen )
; addr start address is: 4 (R1)
; sd start address is: 0 (R0)
SUB	SP, SP, #20
STR	LR, [SP, #0]
; addr end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; addr start address is: 4 (R1)
;socket.c,252 :: 		_SlCmdCtrl_t         CmdCtrl = {0, 0, sizeof( _SocketResponse_t )};
MOVW	R3, #0
STRH	R3, [SP, #16]
MOVS	R3, #0
STRB	R3, [SP, #18]
MOVS	R3, #4
STRB	R3, [SP, #19]
;socket.c,254 :: 		switch( addr->sa_family )
MOV	R4, R1
IT	AL
BAL	L_sl_Bind18
;socket.c,256 :: 		case SL_AF_INET :
L_sl_Bind20:
;socket.c,257 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_BIND;
MOVW	R3, #37892
STRH	R3, [SP, #16]
;socket.c,258 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv4Command_t );
MOVS	R3, #12
STRB	R3, [SP, #18]
;socket.c,259 :: 		break;
IT	AL
BAL	L_sl_Bind19
;socket.c,261 :: 		case SL_AF_INET6_EUI_48:
L_sl_Bind21:
;socket.c,262 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_BIND_V6;
MOVW	R3, #38404
STRH	R3, [SP, #16]
;socket.c,263 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv6EUI48Command_t );
MOVS	R3, #12
STRB	R3, [SP, #18]
;socket.c,264 :: 		break;
IT	AL
BAL	L_sl_Bind19
; sd end address is: 0 (R0)
; addr end address is: 4 (R1)
;socket.c,275 :: 		case SL_AF_RF   :
L_sl_Bind22:
;socket.c,276 :: 		default:
L_sl_Bind23:
;socket.c,277 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Bind
;socket.c,278 :: 		}
L_sl_Bind18:
; addr start address is: 4 (R1)
; sd start address is: 0 (R0)
LDRH	R3, [R4, #0]
CMP	R3, #2
IT	EQ
BEQ	L_sl_Bind20
LDRH	R3, [R4, #0]
CMP	R3, #9
IT	EQ
BEQ	L_sl_Bind21
; sd end address is: 0 (R0)
; addr end address is: 4 (R1)
LDRH	R3, [R4, #0]
CMP	R3, #6
IT	EQ
BEQ	L_sl_Bind22
IT	AL
BAL	L_sl_Bind23
L_sl_Bind19:
;socket.c,280 :: 		Msg.Cmd.IpV4.lenOrPadding = 0;
; addr start address is: 4 (R1)
; sd start address is: 0 (R0)
MOVS	R3, #0
SXTH	R3, R3
STRH	R3, [SP, #4]
;socket.c,281 :: 		Msg.Cmd.IpV4.sd = ( _u8 )sd;
UXTB	R3, R0
; sd end address is: 0 (R0)
STRB	R3, [SP, #6]
;socket.c,283 :: 		_sl_BuildAddress( addr, &Msg.Cmd );
ADD	R3, SP, #4
MOV	R0, R1
MOV	R1, R3
; addr end address is: 4 (R1)
BL	__sl_BuildAddress+0
;socket.c,285 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&CmdCtrl, &Msg, NULL ) );
ADD	R4, SP, #4
ADD	R3, SP, #16
MOVS	R2, #0
MOV	R1, R4
MOV	R0, R3
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Bind24
L_sl_Bind25:
IT	AL
BAL	L_sl_Bind25
L_sl_Bind24:
;socket.c,287 :: 		return Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #4]
;socket.c,288 :: 		}
L_end_sl_Bind:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _sl_Bind
_sl_SendTo:
;socket.c,302 :: 		const SlSockAddr_t *to, SlSocklen_t tolen )
SUB	SP, SP, #60
STR	LR, [SP, #0]
STRH	R0, [SP, #44]
STR	R1, [SP, #48]
STRH	R2, [SP, #52]
STRH	R3, [SP, #56]
; to start address is: 4 (R1)
LDR	R1, [SP, #60]
; tolen start address is: 16 (R4)
LDRH	R4, [SP, #64]
; tolen end address is: 16 (R4)
;socket.c,305 :: 		_SlCmdCtrl_t     CmdCtrl = {0, 0, 0};
MOVW	R4, #0
STRH	R4, [SP, #38]
MOVS	R4, #0
STRB	R4, [SP, #40]
MOVS	R4, #0
STRB	R4, [SP, #41]
;socket.c,310 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #20
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;socket.c,311 :: 		CmdExt.TxPayloadLen = ( _u16 )Len;
LDRH	R4, [SP, #52]
STRH	R4, [SP, #20]
;socket.c,312 :: 		CmdExt.pTxPayload = ( _u8 * )pBuf;
LDR	R4, [SP, #48]
STR	R4, [SP, #28]
;socket.c,314 :: 		switch( to->sa_family )
MOV	R5, R1
IT	AL
BAL	L_sl_SendTo27
;socket.c,316 :: 		case SL_AF_INET:
L_sl_SendTo29:
;socket.c,317 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_SENDTO;
MOVW	R4, #37901
STRH	R4, [SP, #38]
;socket.c,318 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv4Command_t );
MOVS	R4, #12
STRB	R4, [SP, #40]
;socket.c,319 :: 		break;
IT	AL
BAL	L_sl_SendTo28
;socket.c,321 :: 		case SL_AF_INET6_EUI_48:
L_sl_SendTo30:
;socket.c,322 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_BIND_V6;
MOVW	R4, #38404
STRH	R4, [SP, #38]
;socket.c,323 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv6EUI48Command_t );
MOVS	R4, #12
STRB	R4, [SP, #40]
;socket.c,324 :: 		break;
IT	AL
BAL	L_sl_SendTo28
; to end address is: 4 (R1)
;socket.c,332 :: 		case SL_AF_RF:
L_sl_SendTo31:
;socket.c,333 :: 		default:
L_sl_SendTo32:
;socket.c,334 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_SendTo
;socket.c,335 :: 		}
L_sl_SendTo27:
; to start address is: 4 (R1)
LDRH	R4, [R5, #0]
CMP	R4, #2
IT	EQ
BEQ	L_sl_SendTo29
LDRH	R4, [R5, #0]
CMP	R4, #9
IT	EQ
BEQ	L_sl_SendTo30
; to end address is: 4 (R1)
LDRH	R4, [R5, #0]
CMP	R4, #6
IT	EQ
BEQ	L_sl_SendTo31
IT	AL
BAL	L_sl_SendTo32
L_sl_SendTo28:
;socket.c,337 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, Len );
; to start address is: 4 (R1)
STR	R1, [SP, #4]
LDRSH	R1, [SP, #52]
LDRSH	R0, [SP, #44]
BL	__sl_TruncatePayloadByProtocol+0
LDR	R1, [SP, #4]
STRH	R0, [SP, #36]
;socket.c,338 :: 		Msg.Cmd.IpV4.lenOrPadding = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,339 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #20]
;socket.c,341 :: 		Msg.Cmd.IpV4.sd = ( _u8 )sd;
LDRB	R4, [SP, #44]
STRB	R4, [SP, #10]
;socket.c,343 :: 		_sl_BuildAddress( to, &Msg.Cmd );
ADD	R4, SP, #8
MOV	R0, R1
MOV	R1, R4
; to end address is: 4 (R1)
BL	__sl_BuildAddress+0
;socket.c,345 :: 		Msg.Cmd.IpV4.FamilyAndFlags |= flags & 0x0F;
LDRSH	R4, [SP, #56]
AND	R5, R4, #15
SXTH	R5, R5
LDRB	R4, [SP, #11]
ORRS	R4, R5
STRB	R4, [SP, #11]
;socket.c,347 :: 		do
L_sl_SendTo33:
;socket.c,349 :: 		RetVal = _SlDrvDataWriteOp( ( _SlSd_t )sd, &CmdCtrl, &Msg, &CmdExt );
ADD	R6, SP, #20
ADD	R5, SP, #8
ADD	R4, SP, #38
MOV	R3, R6
MOV	R2, R5
MOV	R1, R4
LDRB	R0, [SP, #44]
BL	__SlDrvDataWriteOp+0
; RetVal start address is: 28 (R7)
SXTH	R7, R0
;socket.c,351 :: 		if( SL_OS_RET_CODE_OK == RetVal )
CMP	R0, #0
IT	NE
BNE	L_sl_SendTo36
;socket.c,353 :: 		CmdExt.pTxPayload += ChunkLen;
LDRH	R5, [SP, #36]
LDR	R4, [SP, #28]
ADDS	R6, R4, R5
STR	R6, [SP, #28]
;socket.c,354 :: 		ChunkLen = ( _u16 )( ( _u8 * )pBuf + Len - CmdExt.pTxPayload );
LDR	R5, [SP, #48]
LDRSH	R4, [SP, #52]
ADDS	R4, R5, R4
SUB	R4, R4, R6
;socket.c,355 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, ChunkLen );
UXTH	R1, R4
LDRSH	R0, [SP, #44]
BL	__sl_TruncatePayloadByProtocol+0
STRH	R0, [SP, #36]
;socket.c,356 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #20]
;socket.c,357 :: 		Msg.Cmd.IpV4.lenOrPadding = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,358 :: 		}
IT	AL
BAL	L_sl_SendTo37
L_sl_SendTo36:
;socket.c,360 :: 		return RetVal;
SXTH	R0, R7
; RetVal end address is: 28 (R7)
IT	AL
BAL	L_end_sl_SendTo
L_sl_SendTo37:
;socket.c,362 :: 		while( ChunkLen > 0 );
; RetVal start address is: 28 (R7)
LDRH	R4, [SP, #36]
CMP	R4, #0
IT	HI
BHI	L_sl_SendTo33
; RetVal end address is: 28 (R7)
;socket.c,364 :: 		return ( _i16 )Len;
LDRSH	R0, [SP, #52]
;socket.c,365 :: 		}
L_end_sl_SendTo:
LDR	LR, [SP, #0]
ADD	SP, SP, #60
BX	LR
; end of _sl_SendTo
_sl_RecvFrom:
;socket.c,388 :: 		SlSockAddr_t *from, SlSocklen_t *fromlen )
; flags start address is: 12 (R3)
; Len start address is: 8 (R2)
; buf start address is: 4 (R1)
; sd start address is: 0 (R0)
SUB	SP, SP, #56
STR	LR, [SP, #0]
STR	R1, [SP, #4]
SXTH	R1, R0
LDR	R0, [SP, #4]
SXTH	R5, R2
SXTH	R6, R3
; flags end address is: 12 (R3)
; Len end address is: 8 (R2)
; buf end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 4 (R1)
; buf start address is: 0 (R0)
; Len start address is: 20 (R5)
; flags start address is: 24 (R6)
; from start address is: 8 (R2)
LDR	R2, [SP, #56]
; fromlen start address is: 12 (R3)
LDR	R3, [SP, #60]
;socket.c,395 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #40
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STRH	R6, [SP, #12]
STRH	R5, [SP, #16]
STR	R0, [SP, #20]
STRH	R1, [SP, #24]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRSH	R1, [SP, #24]
LDR	R0, [SP, #20]
LDRSH	R5, [SP, #16]
LDRSH	R6, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;socket.c,396 :: 		CmdExt.RxPayloadLen = Len;
STRH	R5, [SP, #42]
;socket.c,397 :: 		CmdExt.pRxPayload = ( _u8 * )buf;
STR	R0, [SP, #52]
; buf end address is: 0 (R0)
;socket.c,399 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R4, R1
STRB	R4, [SP, #30]
;socket.c,400 :: 		Msg.Cmd.StatusOrLen = Len;
STRH	R5, [SP, #28]
;socket.c,402 :: 		CmdExt.RxPayloadLen = Msg.Cmd.StatusOrLen;
SXTH	R4, R5
; Len end address is: 20 (R5)
STRH	R4, [SP, #42]
;socket.c,405 :: 		Msg.Cmd.FamilyAndFlags = flags & 0x0F;
AND	R4, R6, #15
; flags end address is: 24 (R6)
STRB	R4, [SP, #31]
;socket.c,408 :: 		if( sizeof( SlSockAddrIn_t ) == *fromlen )
LDRH	R4, [R3, #0]
CMP	R4, #16
IT	NE
BNE	L_sl_RecvFrom38
;socket.c,409 :: 		Msg.Cmd.FamilyAndFlags |= ( SL_AF_INET << 4 );
LDRB	R4, [SP, #31]
ORR	R4, R4, #32
STRB	R4, [SP, #31]
IT	AL
BAL	L_sl_RecvFrom39
L_sl_RecvFrom38:
;socket.c,410 :: 		else if ( sizeof( SlSockAddrIn6_t ) == *fromlen )
LDRH	R4, [R3, #0]
CMP	R4, #28
IT	NE
BNE	L_sl_RecvFrom40
;socket.c,411 :: 		Msg.Cmd.FamilyAndFlags |= ( SL_AF_INET6 << 4 );
LDRB	R4, [SP, #31]
ORR	R4, R4, #48
STRB	R4, [SP, #31]
IT	AL
BAL	L_sl_RecvFrom41
; sd end address is: 4 (R1)
; from end address is: 8 (R2)
; fromlen end address is: 12 (R3)
L_sl_RecvFrom40:
;socket.c,413 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_RecvFrom
L_sl_RecvFrom41:
; fromlen start address is: 12 (R3)
; from start address is: 8 (R2)
; sd start address is: 4 (R1)
L_sl_RecvFrom39:
;socket.c,416 :: 		( _SlCmdCtrl_t * )&_SlRecvfomCmdCtrl, &Msg, &CmdExt );
ADD	R5, SP, #40
ADD	R4, SP, #28
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STRH	R1, [SP, #12]
MOV	R3, R5
MOV	R2, R4
;socket.c,415 :: 		RetVal = _SlDrvDataReadOp( ( _SlSd_t )sd,
UXTB	R0, R1
;socket.c,416 :: 		( _SlCmdCtrl_t * )&_SlRecvfomCmdCtrl, &Msg, &CmdExt );
MOVW	R1, #lo_addr(__SlRecvfomCmdCtrl+0)
MOVT	R1, #hi_addr(__SlRecvfomCmdCtrl+0)
BL	__SlDrvDataReadOp+0
LDRSH	R1, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
; RetVal start address is: 16 (R4)
SXTH	R4, R0
;socket.c,417 :: 		if( RetVal != SL_OS_RET_CODE_OK )
CMP	R0, #0
IT	EQ
BEQ	L_sl_RecvFrom42
; sd end address is: 4 (R1)
; from end address is: 8 (R2)
; fromlen end address is: 12 (R3)
;socket.c,418 :: 		return RetVal;
SXTH	R0, R4
; RetVal end address is: 16 (R4)
IT	AL
BAL	L_end_sl_RecvFrom
L_sl_RecvFrom42:
;socket.c,420 :: 		RetVal = Msg.Rsp.IpV4.statusOrLen;
; RetVal start address is: 24 (R6)
; fromlen start address is: 12 (R3)
; from start address is: 8 (R2)
; sd start address is: 4 (R1)
LDRSH	R6, [SP, #28]
;socket.c,422 :: 		if( RetVal >= 0 )
LDRSH	R4, [SP, #28]
CMP	R4, #0
IT	LT
BLT	L_sl_RecvFrom43
;socket.c,424 :: 		VERIFY_PROTOCOL( sd == Msg.Rsp.IpV4.sd );
LDRB	R4, [SP, #30]
CMP	R1, R4
IT	EQ
BEQ	L_sl_RecvFrom44
; sd end address is: 4 (R1)
; from end address is: 8 (R2)
; fromlen end address is: 12 (R3)
; RetVal end address is: 24 (R6)
L_sl_RecvFrom45:
IT	AL
BAL	L_sl_RecvFrom45
L_sl_RecvFrom44:
;socket.c,428 :: 		from->sa_family = Msg.Rsp.IpV4.family;
; RetVal start address is: 24 (R6)
; fromlen start address is: 12 (R3)
; from start address is: 8 (R2)
LDRB	R4, [SP, #31]
STRH	R4, [R2, #0]
;socket.c,429 :: 		if( SL_AF_INET == from->sa_family )
LDRH	R4, [R2, #0]
CMP	R4, #2
IT	NE
BNE	L_sl_RecvFrom47
;socket.c,431 :: 		( ( SlSockAddrIn_t * )from )->sin_port = Msg.Rsp.IpV4.port;
ADDS	R5, R2, #2
LDRH	R4, [SP, #32]
STRH	R4, [R5, #0]
;socket.c,432 :: 		( ( SlSockAddrIn_t * )from )->sin_addr.s_addr = Msg.Rsp.IpV4.address;
ADDS	R5, R2, #4
; from end address is: 8 (R2)
LDR	R4, [SP, #36]
STR	R4, [R5, #0]
;socket.c,433 :: 		*fromlen = sizeof( SlSockAddrIn_t );
MOVS	R4, #16
STRH	R4, [R3, #0]
; fromlen end address is: 12 (R3)
;socket.c,434 :: 		}
IT	AL
BAL	L_sl_RecvFrom48
L_sl_RecvFrom47:
;socket.c,435 :: 		else if ( SL_AF_INET6_EUI_48 == from->sa_family )
; from start address is: 8 (R2)
LDRH	R4, [R2, #0]
CMP	R4, #9
IT	NE
BNE	L_sl_RecvFrom49
;socket.c,437 :: 		( ( SlSockAddrIn6_t * )from )->sin6_port  = Msg.Rsp.IpV6EUI48.port;
ADDS	R5, R2, #2
LDRH	R4, [SP, #32]
STRH	R4, [R5, #0]
;socket.c,439 :: 		Msg.Rsp.IpV6EUI48.address, 6 );
ADD	R5, SP, #34
;socket.c,438 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )from )->sin6_addr._S6_un._S6_u8,
ADDW	R4, R2, #8
; from end address is: 8 (R2)
;socket.c,439 :: 		Msg.Rsp.IpV6EUI48.address, 6 );
MOVS	R2, #6
SXTH	R2, R2
MOV	R1, R5
;socket.c,438 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )from )->sin6_addr._S6_un._S6_u8,
MOV	R0, R4
;socket.c,439 :: 		Msg.Rsp.IpV6EUI48.address, 6 );
BL	_memcpy+0
;socket.c,440 :: 		}
L_sl_RecvFrom49:
L_sl_RecvFrom48:
;socket.c,453 :: 		}
L_sl_RecvFrom43:
;socket.c,455 :: 		return ( _i16 )RetVal;
SXTH	R0, R6
; RetVal end address is: 24 (R6)
;socket.c,456 :: 		}
L_end_sl_RecvFrom:
LDR	LR, [SP, #0]
ADD	SP, SP, #56
BX	LR
; end of _sl_RecvFrom
_sl_Connect:
;socket.c,469 :: 		_i16 sl_Connect( _i16 sd, const SlSockAddr_t *addr, _i16 addrlen )
; addr start address is: 4 (R1)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STRH	R0, [SP, #28]
MOV	R0, R1
; addr end address is: 4 (R1)
; addr start address is: 0 (R0)
;socket.c,473 :: 		_SlCmdCtrl_t         CmdCtrl = {0, 0, sizeof( _SocketResponse_t )};
MOVW	R3, #0
STRH	R3, [SP, #22]
MOVS	R3, #0
STRB	R3, [SP, #24]
MOVS	R3, #4
STRB	R3, [SP, #25]
;socket.c,475 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;socket.c,478 :: 		switch( addr->sa_family )
MOV	R4, R0
IT	AL
BAL	L_sl_Connect50
;socket.c,480 :: 		case SL_AF_INET :
L_sl_Connect52:
;socket.c,481 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_CONNECT;
MOVW	R3, #37894
STRH	R3, [SP, #22]
;socket.c,482 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv4Command_t );
MOVS	R3, #12
STRB	R3, [SP, #24]
;socket.c,484 :: 		break;
IT	AL
BAL	L_sl_Connect51
;socket.c,485 :: 		case  SL_AF_INET6_EUI_48:
L_sl_Connect53:
;socket.c,486 :: 		CmdCtrl.Opcode = SL_OPCODE_SOCKET_CONNECT_V6;
MOVW	R3, #38406
STRH	R3, [SP, #22]
;socket.c,487 :: 		CmdCtrl.TxDescLen = sizeof( _SocketAddrIPv6EUI48Command_t );
MOVS	R3, #12
STRB	R3, [SP, #24]
;socket.c,488 :: 		break;
IT	AL
BAL	L_sl_Connect51
; addr end address is: 0 (R0)
;socket.c,495 :: 		case SL_AF_RF:
L_sl_Connect54:
;socket.c,496 :: 		default:
L_sl_Connect55:
;socket.c,497 :: 		return SL_RET_CODE_INVALID_INPUT;
MOVW	R0, #65534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Connect
;socket.c,498 :: 		}
L_sl_Connect50:
; addr start address is: 0 (R0)
LDRH	R3, [R4, #0]
CMP	R3, #2
IT	EQ
BEQ	L_sl_Connect52
LDRH	R3, [R4, #0]
CMP	R3, #9
IT	EQ
BEQ	L_sl_Connect53
; addr end address is: 0 (R0)
LDRH	R3, [R4, #0]
CMP	R3, #6
IT	EQ
BEQ	L_sl_Connect54
IT	AL
BAL	L_sl_Connect55
L_sl_Connect51:
;socket.c,500 :: 		Msg.Cmd.IpV4.lenOrPadding = 0;
; addr start address is: 0 (R0)
MOVS	R3, #0
SXTH	R3, R3
STRH	R3, [SP, #4]
;socket.c,501 :: 		Msg.Cmd.IpV4.sd = ( _u8 )sd;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #6]
;socket.c,503 :: 		_sl_BuildAddress( addr, &Msg.Cmd );
ADD	R3, SP, #4
MOV	R1, R3
; addr end address is: 0 (R0)
BL	__sl_BuildAddress+0
;socket.c,507 :: 		sd  & BSD_SOCKET_ID_MASK );
LDRSH	R3, [SP, #28]
AND	R4, R3, #15
;socket.c,506 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, CONNECT_ID,
ADD	R3, SP, #18
;socket.c,507 :: 		sd  & BSD_SOCKET_ID_MASK );
UXTB	R2, R4
;socket.c,506 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, CONNECT_ID,
MOVS	R1, #9
MOV	R0, R3
;socket.c,507 :: 		sd  & BSD_SOCKET_ID_MASK );
BL	__SlDrvProtectAsyncRespSetting+0
STRB	R0, [SP, #26]
;socket.c,509 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_Connect56
;socket.c,510 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Connect
L_sl_Connect56:
;socket.c,513 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&CmdCtrl, &Msg, NULL ) );
ADD	R4, SP, #4
ADD	R3, SP, #22
MOVS	R2, #0
MOV	R1, R4
MOV	R0, R3
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Connect57
L_sl_Connect58:
IT	AL
BAL	L_sl_Connect58
L_sl_Connect57:
;socket.c,514 :: 		VERIFY_PROTOCOL( Msg.Rsp.sd == sd )
LDRSH	R4, [SP, #28]
LDRB	R3, [SP, #6]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Connect60
L_sl_Connect61:
IT	AL
BAL	L_sl_Connect61
L_sl_Connect60:
;socket.c,516 :: 		RetVal = Msg.Rsp.statusOrLen;
LDRSH	R3, [SP, #4]
STRH	R3, [SP, #16]
;socket.c,518 :: 		if( SL_RET_CODE_OK == RetVal )
LDRSH	R3, [SP, #4]
CMP	R3, #0
IT	NE
BNE	L_sl_Connect63
;socket.c,521 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDW	R5, R3, #12
LDRB	R4, [SP, #26]
MOVS	R3, #12
MULS	R3, R4, R3
ADDS	R3, R5, R3
MOV	R0, R3
BL	__SlDrvSyncObjWaitForever+0
;socket.c,523 :: 		VERIFY_PROTOCOL( AsyncRsp.sd == sd );
LDRSH	R4, [SP, #28]
LDRB	R3, [SP, #20]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Connect64
L_sl_Connect65:
IT	AL
BAL	L_sl_Connect65
L_sl_Connect64:
;socket.c,525 :: 		RetVal = AsyncRsp.statusOrLen;
LDRSH	R3, [SP, #18]
STRH	R3, [SP, #16]
;socket.c,526 :: 		}
L_sl_Connect63:
;socket.c,530 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #26]
BL	__SlDrvReleasePoolObj+0
;socket.c,531 :: 		return RetVal;
LDRSH	R0, [SP, #16]
;socket.c,532 :: 		}
L_end_sl_Connect:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of _sl_Connect
__sl_HandleAsync_Connect:
;socket.c,540 :: 		void _sl_HandleAsync_Connect( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;socket.c,543 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;socket.c,545 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;socket.c,547 :: 		VERIFY_PROTOCOL( ( pMsgArgs->sd & BSD_SOCKET_ID_MASK ) <= SL_MAX_SOCKETS );
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
AND	R1, R1, #15
UXTB	R1, R1
CMP	R1, #8
IT	LS
BLS	L__sl_HandleAsync_Connect67
; pMsgArgs end address is: 0 (R0)
L__sl_HandleAsync_Connect68:
IT	AL
BAL	L__sl_HandleAsync_Connect68
L__sl_HandleAsync_Connect67:
;socket.c,553 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs ) )->sd =
; pMsgArgs start address is: 0 (R0)
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R1, [R4, #0]
ADDW	R3, R1, #12
MOV	R1, R4
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
ADDS	R2, R1, #2
;socket.c,554 :: 		pMsgArgs->sd;
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;socket.c,556 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs ) )->statusOrLen
MOV	R1, R4
LDR	R1, [R1, #0]
ADDW	R3, R1, #12
MOV	R1, R4
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R2, [R1, #0]
;socket.c,557 :: 		= pMsgArgs->statusOrLen;
LDRSH	R1, [R0, #0]
; pMsgArgs end address is: 0 (R0)
STRH	R1, [R2, #0]
;socket.c,561 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOV	R1, R4
LDR	R1, [R1, #0]
ADDW	R3, R1, #12
MOV	R1, R4
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;socket.c,562 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;socket.c,563 :: 		return;
;socket.c,564 :: 		}
L_end__sl_HandleAsync_Connect:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Connect
_sl_Send:
;socket.c,583 :: 		_i16 sl_Send( _i16 sd, const void *pBuf, _i16 Len, _i16 flags )
; Len start address is: 8 (R2)
SUB	SP, SP, #52
STR	LR, [SP, #0]
STRH	R0, [SP, #40]
STR	R1, [SP, #44]
SXTH	R1, R2
STRH	R3, [SP, #48]
; Len end address is: 8 (R2)
; Len start address is: 4 (R1)
;socket.c,590 :: 		_u8  runSingleChunk = FALSE;
MOVS	R4, #0
STRB	R4, [SP, #36]
;socket.c,592 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRH	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRSH	R1, [SP, #4]
;socket.c,593 :: 		CmdExt.TxPayloadLen = Len;
STRH	R1, [SP, #12]
;socket.c,594 :: 		CmdExt.pTxPayload = ( _u8 * )pBuf;
LDR	R4, [SP, #44]
STR	R4, [SP, #20]
;socket.c,597 :: 		if ( ( sd & SL_SOCKET_PAYLOAD_TYPE_MASK ) ==
LDRSH	R4, [SP, #40]
AND	R4, R4, #240
SXTH	R4, R4
;socket.c,598 :: 		SL_SOCKET_PAYLOAD_TYPE_RAW_TRANCEIVER )
CMP	R4, #128
IT	NE
BNE	L_sl_Send70
;socket.c,600 :: 		tempVal = flags;
LDRSH	R4, [SP, #48]
STR	R4, [SP, #32]
;socket.c,601 :: 		CmdExt.pRxPayload = ( _u8 * )&tempVal;
ADD	R4, SP, #32
STR	R4, [SP, #24]
;socket.c,602 :: 		CmdExt.RxPayloadLen = -4; /* mark as Rx data to send */
MOVW	R4, #65532
SXTH	R4, R4
STRH	R4, [SP, #14]
;socket.c,603 :: 		runSingleChunk = TRUE;
MOVS	R4, #1
STRB	R4, [SP, #36]
;socket.c,604 :: 		}
IT	AL
BAL	L_sl_Send71
L_sl_Send70:
;socket.c,606 :: 		CmdExt.pRxPayload = NULL;
MOVS	R4, #0
STR	R4, [SP, #24]
L_sl_Send71:
;socket.c,608 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, Len );
STRH	R1, [SP, #4]
UXTH	R1, R1
LDRSH	R0, [SP, #40]
BL	__sl_TruncatePayloadByProtocol+0
LDRSH	R1, [SP, #4]
STRH	R0, [SP, #28]
;socket.c,609 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #12]
;socket.c,610 :: 		Msg.Cmd.StatusOrLen = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,611 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R4, [SP, #40]
STRB	R4, [SP, #10]
;socket.c,612 :: 		Msg.Cmd.FamilyAndFlags |= flags & 0x0F;
LDRSH	R4, [SP, #48]
AND	R5, R4, #15
SXTH	R5, R5
LDRB	R4, [SP, #11]
ORRS	R4, R5
STRB	R4, [SP, #11]
;socket.c,614 :: 		do
L_sl_Send72:
;socket.c,617 :: 		&Msg, &CmdExt );
; Len start address is: 4 (R1)
; Len end address is: 4 (R1)
ADD	R5, SP, #12
ADD	R4, SP, #8
STRH	R1, [SP, #4]
MOV	R3, R5
MOV	R2, R4
;socket.c,616 :: 		RetVal = _SlDrvDataWriteOp( ( _u8 )sd, ( _SlCmdCtrl_t * )&_SlSendCmdCtrl,
MOVW	R1, #lo_addr(__SlSendCmdCtrl+0)
MOVT	R1, #hi_addr(__SlSendCmdCtrl+0)
LDRB	R0, [SP, #40]
;socket.c,617 :: 		&Msg, &CmdExt );
BL	__SlDrvDataWriteOp+0
LDRSH	R1, [SP, #4]
; RetVal start address is: 24 (R6)
SXTH	R6, R0
;socket.c,618 :: 		if( SL_OS_RET_CODE_OK == RetVal )
CMP	R0, #0
IT	NE
BNE	L_sl_Send75
; Len end address is: 4 (R1)
;socket.c,620 :: 		CmdExt.pTxPayload += ChunkLen;
; Len start address is: 4 (R1)
LDRH	R5, [SP, #28]
LDR	R4, [SP, #20]
ADDS	R5, R4, R5
STR	R5, [SP, #20]
;socket.c,621 :: 		ChunkLen = ( _u8 * )pBuf + Len - CmdExt.pTxPayload;
LDR	R4, [SP, #44]
ADDS	R4, R4, R1
SUB	R4, R4, R5
;socket.c,622 :: 		ChunkLen = _sl_TruncatePayloadByProtocol( sd, ChunkLen );
STRH	R1, [SP, #4]
UXTH	R1, R4
LDRSH	R0, [SP, #40]
BL	__sl_TruncatePayloadByProtocol+0
LDRSH	R1, [SP, #4]
STRH	R0, [SP, #28]
;socket.c,623 :: 		CmdExt.TxPayloadLen = ChunkLen;
STRH	R0, [SP, #12]
;socket.c,624 :: 		Msg.Cmd.StatusOrLen = ChunkLen;
STRH	R0, [SP, #8]
;socket.c,625 :: 		}
IT	AL
BAL	L_sl_Send76
; Len end address is: 4 (R1)
L_sl_Send75:
;socket.c,627 :: 		return RetVal;
SXTH	R0, R6
; RetVal end address is: 24 (R6)
IT	AL
BAL	L_end_sl_Send
L_sl_Send76:
;socket.c,629 :: 		while( ( ChunkLen > 0 ) && ( runSingleChunk == FALSE ) );
; RetVal start address is: 24 (R6)
; Len start address is: 4 (R1)
LDRH	R4, [SP, #28]
CMP	R4, #0
IT	LS
BLS	L__sl_Send141
LDRB	R4, [SP, #36]
CMP	R4, #0
IT	NE
BNE	L__sl_Send140
; RetVal end address is: 24 (R6)
IT	AL
BAL	L_sl_Send72
L__sl_Send141:
L__sl_Send140:
;socket.c,631 :: 		return ( _i16 )Len;
SXTH	R0, R1
; Len end address is: 4 (R1)
;socket.c,632 :: 		}
L_end_sl_Send:
LDR	LR, [SP, #0]
ADD	SP, SP, #52
BX	LR
; end of _sl_Send
_sl_Listen:
;socket.c,655 :: 		_i16 sl_Listen( _i16 sd, _i16 backlog )
; backlog start address is: 4 (R1)
; sd start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; backlog end address is: 4 (R1)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; backlog start address is: 4 (R1)
;socket.c,659 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R2, R0
; sd end address is: 0 (R0)
STRB	R2, [SP, #4]
;socket.c,660 :: 		Msg.Cmd.backlog = ( _u8 )backlog;
UXTB	R2, R1
; backlog end address is: 4 (R1)
STRB	R2, [SP, #5]
;socket.c,662 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlListenCmdCtrl, &Msg,
ADD	R2, SP, #4
MOV	R1, R2
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlListenCmdCtrl+0)
MOVT	R0, #hi_addr(__SlListenCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Listen79
L_sl_Listen80:
IT	AL
BAL	L_sl_Listen80
L_sl_Listen79:
;socket.c,665 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;socket.c,666 :: 		}
L_end_sl_Listen:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_Listen
_sl_Accept:
;socket.c,689 :: 		_i16 sl_Accept( _i16 sd, SlSockAddr_t *addr, SlSocklen_t *addrlen )
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STRH	R0, [SP, #36]
; addrlen end address is: 8 (R2)
; addr end address is: 4 (R1)
; addr start address is: 4 (R1)
; addrlen start address is: 8 (R2)
;socket.c,695 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;socket.c,698 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R3, [SP, #36]
STRB	R3, [SP, #12]
;socket.c,699 :: 		Msg.Cmd.family = ( sizeof( SlSockAddrIn_t ) == *addrlen ) ? SL_AF_INET :
LDRH	R3, [R2, #0]
CMP	R3, #16
IT	NE
BNE	L_sl_Accept82
; ?FLOC___sl_Accept?T422 start address is: 0 (R0)
MOVS	R0, #2
SXTB	R0, R0
; ?FLOC___sl_Accept?T422 end address is: 0 (R0)
IT	AL
BAL	L_sl_Accept83
L_sl_Accept82:
;socket.c,700 :: 		SL_AF_INET6;
; ?FLOC___sl_Accept?T422 start address is: 0 (R0)
MOVS	R0, #3
SXTB	R0, R0
; ?FLOC___sl_Accept?T422 end address is: 0 (R0)
L_sl_Accept83:
; ?FLOC___sl_Accept?T422 start address is: 0 (R0)
STRB	R0, [SP, #13]
; ?FLOC___sl_Accept?T422 end address is: 0 (R0)
;socket.c,704 :: 		sd  & BSD_SOCKET_ID_MASK );
LDRSH	R3, [SP, #36]
AND	R4, R3, #15
;socket.c,703 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, ACCEPT_ID,
ADD	R3, SP, #20
;socket.c,704 :: 		sd  & BSD_SOCKET_ID_MASK );
STR	R2, [SP, #4]
STR	R1, [SP, #8]
UXTB	R2, R4
;socket.c,703 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, ACCEPT_ID,
MOVS	R1, #8
MOV	R0, R3
;socket.c,704 :: 		sd  & BSD_SOCKET_ID_MASK );
BL	__SlDrvProtectAsyncRespSetting+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
STRB	R0, [SP, #32]
;socket.c,706 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_Accept84
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
;socket.c,707 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Accept
L_sl_Accept84:
;socket.c,710 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlAcceptCmdCtrl, &Msg,
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
ADD	R3, SP, #12
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOVS	R2, #0
MOV	R1, R3
MOVW	R0, #lo_addr(__SlAcceptCmdCtrl+0)
MOVT	R0, #hi_addr(__SlAcceptCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_Accept85
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
L_sl_Accept86:
IT	AL
BAL	L_sl_Accept86
L_sl_Accept85:
;socket.c,712 :: 		VERIFY_PROTOCOL( Msg.Rsp.sd == sd );
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRSH	R4, [SP, #36]
LDRB	R3, [SP, #14]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Accept88
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
L_sl_Accept89:
IT	AL
BAL	L_sl_Accept89
L_sl_Accept88:
;socket.c,714 :: 		RetVal = Msg.Rsp.statusOrLen;
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRSH	R3, [SP, #12]
STRH	R3, [SP, #16]
;socket.c,716 :: 		if( SL_OS_RET_CODE_OK == RetVal )
LDRSH	R3, [SP, #12]
CMP	R3, #0
IT	NE
BNE	L_sl_Accept91
;socket.c,719 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R3, #lo_addr(_g_pCB+0)
MOVT	R3, #hi_addr(_g_pCB+0)
LDR	R3, [R3, #0]
ADDW	R5, R3, #12
LDRB	R4, [SP, #32]
MOVS	R3, #12
MULS	R3, R4, R3
ADDS	R3, R5, R3
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R0, R3
BL	__SlDrvSyncObjWaitForever+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
;socket.c,721 :: 		VERIFY_PROTOCOL( AsyncRsp.IpV4.sd == sd );
LDRSH	R4, [SP, #36]
LDRB	R3, [SP, #22]
CMP	R3, R4
IT	EQ
BEQ	L_sl_Accept92
; addr end address is: 4 (R1)
; addrlen end address is: 8 (R2)
L_sl_Accept93:
IT	AL
BAL	L_sl_Accept93
L_sl_Accept92:
;socket.c,723 :: 		RetVal = AsyncRsp.IpV4.statusOrLen;
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRSH	R3, [SP, #20]
STRH	R3, [SP, #16]
;socket.c,724 :: 		if( ( NULL != addr ) && ( NULL != addrlen ) )
CMP	R1, #0
IT	EQ
BEQ	L__sl_Accept144
CMP	R2, #0
IT	EQ
BEQ	L__sl_Accept143
L__sl_Accept142:
;socket.c,729 :: 		addr->sa_family = AsyncRsp.IpV4.family;
LDRB	R3, [SP, #23]
STRH	R3, [R1, #0]
;socket.c,731 :: 		if( SL_AF_INET == addr->sa_family )
LDRH	R3, [R1, #0]
CMP	R3, #2
IT	NE
BNE	L_sl_Accept98
;socket.c,733 :: 		if( *addrlen == sizeof( SlSockAddrIn_t ) )
LDRH	R3, [R2, #0]
CMP	R3, #16
IT	NE
BNE	L_sl_Accept99
; addrlen end address is: 8 (R2)
;socket.c,735 :: 		( ( SlSockAddrIn_t * )addr )->sin_port         = AsyncRsp.IpV4.port;
ADDS	R4, R1, #2
LDRH	R3, [SP, #24]
STRH	R3, [R4, #0]
;socket.c,736 :: 		( ( SlSockAddrIn_t * )addr )->sin_addr.s_addr  = AsyncRsp.IpV4.address;
ADDS	R4, R1, #4
; addr end address is: 4 (R1)
LDR	R3, [SP, #28]
STR	R3, [R4, #0]
;socket.c,737 :: 		}
IT	AL
BAL	L_sl_Accept100
L_sl_Accept99:
;socket.c,739 :: 		*addrlen = 0;
; addrlen start address is: 8 (R2)
MOVS	R3, #0
STRH	R3, [R2, #0]
; addrlen end address is: 8 (R2)
L_sl_Accept100:
;socket.c,740 :: 		}
IT	AL
BAL	L_sl_Accept101
L_sl_Accept98:
;socket.c,741 :: 		else if ( SL_AF_INET6_EUI_48 == addr->sa_family )
; addrlen start address is: 8 (R2)
; addr start address is: 4 (R1)
LDRH	R3, [R1, #0]
CMP	R3, #9
IT	NE
BNE	L_sl_Accept102
;socket.c,743 :: 		if( *addrlen == sizeof( SlSockAddrIn6_t ) )
LDRH	R3, [R2, #0]
CMP	R3, #28
IT	NE
BNE	L_sl_Accept103
; addrlen end address is: 8 (R2)
;socket.c,745 :: 		( ( SlSockAddrIn6_t * )addr )->sin6_port                   =
ADDS	R4, R1, #2
;socket.c,746 :: 		AsyncRsp.IpV6EUI48.port    ;
LDRH	R3, [SP, #24]
STRH	R3, [R4, #0]
;socket.c,749 :: 		AsyncRsp.IpV6EUI48.address, 6 );
ADD	R4, SP, #26
;socket.c,748 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
ADDW	R3, R1, #8
; addr end address is: 4 (R1)
;socket.c,749 :: 		AsyncRsp.IpV6EUI48.address, 6 );
MOVS	R2, #6
SXTH	R2, R2
MOV	R1, R4
;socket.c,748 :: 		sl_Memcpy( ( ( SlSockAddrIn6_t * )addr )->sin6_addr._S6_un._S6_u8,
MOV	R0, R3
;socket.c,749 :: 		AsyncRsp.IpV6EUI48.address, 6 );
BL	_memcpy+0
;socket.c,750 :: 		}
IT	AL
BAL	L_sl_Accept104
L_sl_Accept103:
;socket.c,752 :: 		*addrlen = 0;
; addrlen start address is: 8 (R2)
MOVS	R3, #0
STRH	R3, [R2, #0]
; addrlen end address is: 8 (R2)
L_sl_Accept104:
;socket.c,753 :: 		}
L_sl_Accept102:
L_sl_Accept101:
;socket.c,724 :: 		if( ( NULL != addr ) && ( NULL != addrlen ) )
L__sl_Accept144:
L__sl_Accept143:
;socket.c,770 :: 		}
L_sl_Accept91:
;socket.c,772 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #32]
BL	__SlDrvReleasePoolObj+0
;socket.c,773 :: 		return ( _i16 )RetVal;
LDRSH	R0, [SP, #16]
;socket.c,774 :: 		}
L_end_sl_Accept:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_Accept
_sl_Htonl:
;socket.c,781 :: 		_u32 sl_Htonl( _u32 val )
SUB	SP, SP, #8
STR	R0, [SP, #4]
;socket.c,783 :: 		_u32 i = 1;
MOV	R1, #1
STR	R1, [SP, #0]
;socket.c,784 :: 		_i8 *p = ( _i8 * )&i;
ADD	R1, SP, #0
; p start address is: 0 (R0)
MOV	R0, R1
;socket.c,785 :: 		if ( p[0] == 1 ) /* little endian */
LDRSB	R1, [R1, #0]
CMP	R1, #1
IT	NE
BNE	L_sl_Htonl105
;socket.c,787 :: 		p[0] = ( ( _i8 * )&val )[3];
ADD	R3, SP, #4
ADDS	R1, R3, #3
LDRSB	R1, [R1, #0]
STRB	R1, [R0, #0]
;socket.c,788 :: 		p[1] = ( ( _i8 * )&val )[2];
ADDS	R2, R0, #1
ADDS	R1, R3, #2
LDRSB	R1, [R1, #0]
STRB	R1, [R2, #0]
;socket.c,789 :: 		p[2] = ( ( _i8 * )&val )[1];
ADDS	R2, R0, #2
ADDS	R1, R3, #1
LDRSB	R1, [R1, #0]
STRB	R1, [R2, #0]
;socket.c,790 :: 		p[3] = ( ( _i8 * )&val )[0];
ADDS	R2, R0, #3
; p end address is: 0 (R0)
LDRSB	R1, [R3, #0]
STRB	R1, [R2, #0]
;socket.c,791 :: 		return i;
LDR	R0, [SP, #0]
IT	AL
BAL	L_end_sl_Htonl
;socket.c,792 :: 		}
L_sl_Htonl105:
;socket.c,794 :: 		return val;
LDR	R0, [SP, #4]
;socket.c,795 :: 		}
L_end_sl_Htonl:
ADD	SP, SP, #8
BX	LR
; end of _sl_Htonl
_sl_Htons:
;socket.c,800 :: 		_u16 sl_Htons( _u16 val )
SUB	SP, SP, #8
STRH	R0, [SP, #4]
;socket.c,802 :: 		_i16 i = 1;
MOVW	R1, #1
STRH	R1, [SP, #0]
;socket.c,803 :: 		_i8 *p = ( _i8 * )&i;
ADD	R1, SP, #0
; p start address is: 0 (R0)
MOV	R0, R1
;socket.c,804 :: 		if ( p[0] == 1 ) /* little endian */
LDRSB	R1, [R1, #0]
CMP	R1, #1
IT	NE
BNE	L_sl_Htons107
;socket.c,806 :: 		p[0] = ( ( _i8 * )&val )[1];
ADD	R3, SP, #4
ADDS	R1, R3, #1
LDRSB	R1, [R1, #0]
STRB	R1, [R0, #0]
;socket.c,807 :: 		p[1] = ( ( _i8 * )&val )[0];
ADDS	R2, R0, #1
; p end address is: 0 (R0)
LDRSB	R1, [R3, #0]
STRB	R1, [R2, #0]
;socket.c,808 :: 		return i;
LDRSH	R0, [SP, #0]
IT	AL
BAL	L_end_sl_Htons
;socket.c,809 :: 		}
L_sl_Htons107:
;socket.c,811 :: 		return val;
LDRH	R0, [SP, #4]
;socket.c,812 :: 		}
L_end_sl_Htons:
ADD	SP, SP, #8
BX	LR
; end of _sl_Htons
__sl_HandleAsync_Accept:
;socket.c,818 :: 		void _sl_HandleAsync_Accept( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;socket.c,821 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;socket.c,823 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;socket.c,825 :: 		VERIFY_PROTOCOL( ( pMsgArgs->IpV4.sd & BSD_SOCKET_ID_MASK ) <=
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
AND	R1, R1, #15
UXTB	R1, R1
CMP	R1, #8
IT	LS
BLS	L__sl_HandleAsync_Accept109
; pMsgArgs end address is: 0 (R0)
L__sl_HandleAsync_Accept110:
IT	AL
BAL	L__sl_HandleAsync_Accept110
L__sl_HandleAsync_Accept109:
;socket.c,831 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
; pMsgArgs start address is: 0 (R0)
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;socket.c,832 :: 		pMsgArgs, sizeof( _SocketAddrResponse_u ) );
MOVS	R2, #12
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;socket.c,831 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;socket.c,832 :: 		pMsgArgs, sizeof( _SocketAddrResponse_u ) );
BL	_memcpy+0
;socket.c,834 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;socket.c,836 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;socket.c,837 :: 		return;
;socket.c,838 :: 		}
L_end__sl_HandleAsync_Accept:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Accept
__sl_HandleAsync_Select:
;socket.c,843 :: 		void _sl_HandleAsync_Select( void *pVoidBuf )
; pVoidBuf start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; pVoidBuf end address is: 0 (R0)
; pVoidBuf start address is: 0 (R0)
;socket.c,846 :: 		_SL_RESP_ARGS_START( pVoidBuf );
ADDW	R1, R0, #8
; pVoidBuf end address is: 0 (R0)
; pMsgArgs start address is: 0 (R0)
MOV	R0, R1
;socket.c,848 :: 		_SlDrvProtectionObjLockWaitForever();
STR	R0, [SP, #4]
BL	__SlDrvProtectionObjLockWaitForever+0
LDR	R0, [SP, #4]
;socket.c,854 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
STR	R1, [SP, #4]
;socket.c,855 :: 		pMsgArgs, sizeof( _SelectAsyncResponse_t ) );
MOVS	R2, #8
SXTH	R2, R2
MOV	R1, R0
; pMsgArgs end address is: 0 (R0)
;socket.c,854 :: 		g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].pRespArgs,
LDR	R0, [SP, #4]
;socket.c,855 :: 		pMsgArgs, sizeof( _SelectAsyncResponse_t ) );
BL	_memcpy+0
;socket.c,858 :: 		&g_pCB->ObjPool[g_pCB->FunctionParams.AsyncExt.ActionIndex].SyncObj );
MOVW	R2, #lo_addr(_g_pCB+0)
MOVT	R2, #hi_addr(_g_pCB+0)
LDR	R1, [R2, #0]
ADDW	R3, R1, #12
MOV	R1, R2
LDR	R1, [R1, #0]
ADDS	R1, #152
ADDS	R1, #12
ADDS	R1, R1, #4
LDRB	R2, [R1, #0]
MOVS	R1, #12
MULS	R1, R2, R1
ADDS	R1, R3, R1
MOV	R0, R1
BL	__SlDrvSyncObjSignal+0
;socket.c,859 :: 		_SlDrvProtectionObjUnLock();
BL	__SlDrvProtectionObjUnLock+0
;socket.c,861 :: 		return;
;socket.c,862 :: 		}
L_end__sl_HandleAsync_Select:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of __sl_HandleAsync_Select
_sl_Recv:
;socket.c,886 :: 		_i16 sl_Recv( _i16 sd, void *pBuf, _i16 Len, _i16 flags )
; Len start address is: 8 (R2)
; sd start address is: 0 (R0)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STR	R1, [SP, #32]
SXTH	R1, R2
STRH	R3, [SP, #36]
; Len end address is: 8 (R2)
; sd end address is: 0 (R0)
; sd start address is: 0 (R0)
; Len start address is: 4 (R1)
;socket.c,892 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
STRH	R1, [SP, #4]
STRH	R0, [SP, #8]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRSH	R0, [SP, #8]
LDRSH	R1, [SP, #4]
;socket.c,893 :: 		CmdExt.RxPayloadLen = Len;
STRH	R1, [SP, #18]
;socket.c,894 :: 		CmdExt.pRxPayload = ( _u8 * )pBuf;
LDR	R4, [SP, #32]
STR	R4, [SP, #28]
;socket.c,896 :: 		Msg.Cmd.sd = ( _u8 )sd;
UXTB	R4, R0
STRB	R4, [SP, #14]
;socket.c,897 :: 		Msg.Cmd.StatusOrLen = Len;
STRH	R1, [SP, #12]
;socket.c,900 :: 		CmdExt.RxPayloadLen = Msg.Cmd.StatusOrLen;
SXTH	R4, R1
; Len end address is: 4 (R1)
STRH	R4, [SP, #18]
;socket.c,902 :: 		Msg.Cmd.FamilyAndFlags = flags & 0x0F;
LDRSH	R4, [SP, #36]
AND	R4, R4, #15
STRB	R4, [SP, #15]
;socket.c,905 :: 		&Msg, &CmdExt );
ADD	R5, SP, #16
ADD	R4, SP, #12
MOV	R3, R5
MOV	R2, R4
;socket.c,904 :: 		status = _SlDrvDataReadOp( ( _SlSd_t )sd, ( _SlCmdCtrl_t * )&_SlRecvCmdCtrl,
MOVW	R1, #lo_addr(__SlRecvCmdCtrl+0)
MOVT	R1, #hi_addr(__SlRecvCmdCtrl+0)
UXTB	R0, R0
; sd end address is: 0 (R0)
;socket.c,905 :: 		&Msg, &CmdExt );
BL	__SlDrvDataReadOp+0
; status start address is: 4 (R1)
SXTH	R1, R0
;socket.c,906 :: 		if( status != SL_OS_RET_CODE_OK )
CMP	R0, #0
IT	EQ
BEQ	L_sl_Recv112
;socket.c,907 :: 		return status;
SXTH	R0, R1
; status end address is: 4 (R1)
IT	AL
BAL	L_end_sl_Recv
L_sl_Recv112:
;socket.c,911 :: 		return ( _i16 )Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #12]
;socket.c,912 :: 		}
L_end_sl_Recv:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_Recv
_sl_SetSockOpt:
;socket.c,933 :: 		SlSocklen_t optlen )
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRH	R0, [SP, #28]
STRH	R1, [SP, #32]
STRH	R2, [SP, #36]
STR	R3, [SP, #40]
; optlen start address is: 0 (R0)
LDRH	R0, [SP, #44]
;socket.c,939 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;socket.c,940 :: 		CmdExt.TxPayloadLen = optlen;
STRH	R0, [SP, #12]
;socket.c,941 :: 		CmdExt.pTxPayload = ( _u8 * )optval;
LDR	R4, [SP, #40]
STR	R4, [SP, #20]
;socket.c,943 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;socket.c,944 :: 		Msg.Cmd.level = ( _u8 )level;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #9]
;socket.c,945 :: 		Msg.Cmd.optionLen = ( _u8 )optlen;
UXTB	R4, R0
; optlen end address is: 0 (R0)
STRB	R4, [SP, #11]
;socket.c,946 :: 		Msg.Cmd.optionName = ( _u8 )optname;
LDRB	R4, [SP, #36]
STRB	R4, [SP, #10]
;socket.c,948 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSetSockOptCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlSetSockOptCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSetSockOptCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_SetSockOpt113
L_sl_SetSockOpt114:
IT	AL
BAL	L_sl_SetSockOpt114
L_sl_SetSockOpt113:
;socket.c,951 :: 		return ( _i16 )Msg.Rsp.statusOrLen;
LDRSH	R0, [SP, #8]
;socket.c,952 :: 		}
L_end_sl_SetSockOpt:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_SetSockOpt
_sl_GetSockOpt:
;socket.c,975 :: 		SlSocklen_t *optlen )
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRH	R0, [SP, #28]
STRH	R1, [SP, #32]
STRH	R2, [SP, #36]
STR	R3, [SP, #40]
; optlen start address is: 4 (R1)
LDR	R1, [SP, #44]
;socket.c,980 :: 		if ( *optlen == 0 )
LDRH	R4, [R1, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_GetSockOpt116
; optlen end address is: 4 (R1)
;socket.c,981 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_GetSockOpt
L_sl_GetSockOpt116:
;socket.c,983 :: 		_SlDrvResetCmdExt( &CmdExt );
; optlen start address is: 4 (R1)
ADD	R4, SP, #12
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;socket.c,984 :: 		CmdExt.RxPayloadLen = *optlen;
LDRH	R4, [R1, #0]
STRH	R4, [SP, #14]
;socket.c,985 :: 		CmdExt.pRxPayload = optval;
LDR	R4, [SP, #40]
STR	R4, [SP, #24]
;socket.c,987 :: 		Msg.Cmd.sd = ( _u8 )sd;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;socket.c,988 :: 		Msg.Cmd.level = ( _u8 )level;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #9]
;socket.c,989 :: 		Msg.Cmd.optionLen = ( _u8 )( *optlen );
LDRH	R4, [R1, #0]
UXTB	R4, R4
STRB	R4, [SP, #11]
;socket.c,990 :: 		Msg.Cmd.optionName = ( _u8 )optname;
LDRB	R4, [SP, #36]
STRB	R4, [SP, #10]
;socket.c,992 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlGetSockOptCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
STR	R1, [SP, #4]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlGetSockOptCmdCtrl+0)
MOVT	R0, #hi_addr(__SlGetSockOptCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_GetSockOpt117
; optlen end address is: 4 (R1)
L_sl_GetSockOpt118:
IT	AL
BAL	L_sl_GetSockOpt118
L_sl_GetSockOpt117:
;socket.c,995 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
; optlen start address is: 4 (R1)
LDRSH	R5, [SP, #16]
LDRSH	R4, [SP, #14]
CMP	R4, R5
IT	GE
BGE	L_sl_GetSockOpt120
;socket.c,997 :: 		*optlen = Msg.Rsp.optionLen;
LDRB	R4, [SP, #11]
STRH	R4, [R1, #0]
; optlen end address is: 4 (R1)
;socket.c,998 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_GetSockOpt
;socket.c,999 :: 		}
L_sl_GetSockOpt120:
;socket.c,1001 :: 		*optlen = ( _u8 )CmdExt.ActualRxPayloadLen;
; optlen start address is: 4 (R1)
LDRB	R4, [SP, #16]
STRH	R4, [R1, #0]
; optlen end address is: 4 (R1)
;socket.c,1002 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;socket.c,1003 :: 		}
L_end_sl_GetSockOpt:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_GetSockOpt
_sl_Select:
;socket.c,1029 :: 		SlFdSet_t *exceptsds, struct SlTimeval_t *timeout )
; nfds start address is: 0 (R0)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STR	R1, [SP, #28]
SXTH	R1, R0
STR	R2, [SP, #32]
; nfds end address is: 0 (R0)
; nfds start address is: 4 (R1)
; timeout start address is: 0 (R0)
LDR	R0, [SP, #36]
;socket.c,1033 :: 		_u8 ObjIdx = MAX_CONCURRENT_ACTIONS;
;socket.c,1035 :: 		Msg.Cmd.nfds          = ( _u8 )nfds;
UXTB	R4, R1
; nfds end address is: 4 (R1)
STRB	R4, [SP, #4]
;socket.c,1036 :: 		Msg.Cmd.readFdsCount  = 0;
MOVS	R4, #0
STRB	R4, [SP, #5]
;socket.c,1037 :: 		Msg.Cmd.writeFdsCount = 0;
MOVS	R4, #0
STRB	R4, [SP, #6]
;socket.c,1039 :: 		Msg.Cmd.readFds = 0;
MOVS	R4, #0
STRH	R4, [SP, #8]
;socket.c,1040 :: 		Msg.Cmd.writeFds = 0;
MOVS	R4, #0
STRH	R4, [SP, #10]
;socket.c,1043 :: 		if( readsds )
LDR	R4, [SP, #28]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select122
;socket.c,1044 :: 		Msg.Cmd.readFds       = ( _u16 )readsds->fd_array[0];
LDR	R4, [SP, #28]
LDR	R4, [R4, #0]
UXTH	R4, R4
STRH	R4, [SP, #8]
L_sl_Select122:
;socket.c,1045 :: 		if( writesds )
LDR	R4, [SP, #32]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select123
;socket.c,1046 :: 		Msg.Cmd.writeFds      = ( _u16 )writesds->fd_array[0];
LDR	R4, [SP, #32]
LDR	R4, [R4, #0]
UXTH	R4, R4
STRH	R4, [SP, #10]
L_sl_Select123:
;socket.c,1047 :: 		if( NULL == timeout )
CMP	R0, #0
IT	NE
BNE	L_sl_Select124
; timeout end address is: 0 (R0)
;socket.c,1049 :: 		Msg.Cmd.tv_sec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #14]
;socket.c,1050 :: 		Msg.Cmd.tv_usec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #12]
;socket.c,1051 :: 		}
IT	AL
BAL	L_sl_Select125
L_sl_Select124:
;socket.c,1054 :: 		if( 0xffff <= timeout->tv_sec )
; timeout start address is: 0 (R0)
LDR	R5, [R0, #0]
MOVW	R4, #65535
CMP	R5, R4
IT	CC
BCC	L_sl_Select126
;socket.c,1055 :: 		Msg.Cmd.tv_sec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #14]
IT	AL
BAL	L_sl_Select127
L_sl_Select126:
;socket.c,1057 :: 		Msg.Cmd.tv_sec = ( _u16 )timeout->tv_sec;
LDR	R4, [R0, #0]
UXTH	R4, R4
STRH	R4, [SP, #14]
L_sl_Select127:
;socket.c,1058 :: 		timeout->tv_usec = timeout->tv_usec >> 10;  /*  convert to milliseconds */
ADDS	R5, R0, #4
LDR	R4, [R5, #0]
LSRS	R4, R4, #10
STR	R4, [R5, #0]
;socket.c,1059 :: 		if( 0xffff <= timeout->tv_usec )
ADDS	R4, R0, #4
LDR	R5, [R4, #0]
MOVW	R4, #65535
CMP	R5, R4
IT	CC
BCC	L_sl_Select128
; timeout end address is: 0 (R0)
;socket.c,1060 :: 		Msg.Cmd.tv_usec = 0xffff;
MOVW	R4, #65535
STRH	R4, [SP, #12]
IT	AL
BAL	L_sl_Select129
L_sl_Select128:
;socket.c,1062 :: 		Msg.Cmd.tv_usec = ( _u16 )timeout->tv_usec;
; timeout start address is: 0 (R0)
ADDS	R4, R0, #4
; timeout end address is: 0 (R0)
LDR	R4, [R4, #0]
UXTH	R4, R4
STRH	R4, [SP, #12]
L_sl_Select129:
;socket.c,1063 :: 		}
L_sl_Select125:
;socket.c,1066 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, SELECT_ID,
ADD	R4, SP, #16
;socket.c,1067 :: 		SL_MAX_SOCKETS );
MOVS	R2, #8
;socket.c,1066 :: 		ObjIdx = _SlDrvProtectAsyncRespSetting( ( _u8 * )&AsyncRsp, SELECT_ID,
MOVS	R1, #10
MOV	R0, R4
;socket.c,1067 :: 		SL_MAX_SOCKETS );
BL	__SlDrvProtectAsyncRespSetting+0
STRB	R0, [SP, #24]
;socket.c,1069 :: 		if ( MAX_CONCURRENT_ACTIONS == ObjIdx )
CMP	R0, #10
IT	NE
BNE	L_sl_Select130
;socket.c,1070 :: 		return SL_POOL_IS_EMPTY;
MOVW	R0, #63536
SXTH	R0, R0
IT	AL
BAL	L_end_sl_Select
L_sl_Select130:
;socket.c,1074 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSelectCmdCtrl, &Msg,
ADD	R4, SP, #4
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlSelectCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSelectCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_Select131
L_sl_Select132:
IT	AL
BAL	L_sl_Select132
L_sl_Select131:
;socket.c,1077 :: 		if( SL_OS_RET_CODE_OK == ( _i16 )Msg.Rsp.status )
LDRSH	R4, [SP, #4]
CMP	R4, #0
IT	NE
BNE	L_sl_Select134
;socket.c,1079 :: 		_SlDrvSyncObjWaitForever( &g_pCB->ObjPool[ObjIdx].SyncObj );
MOVW	R4, #lo_addr(_g_pCB+0)
MOVT	R4, #hi_addr(_g_pCB+0)
LDR	R4, [R4, #0]
ADDW	R6, R4, #12
LDRB	R5, [SP, #24]
MOVS	R4, #12
MULS	R4, R5, R4
ADDS	R4, R6, R4
MOV	R0, R4
BL	__SlDrvSyncObjWaitForever+0
;socket.c,1081 :: 		Msg.Rsp.status = AsyncRsp.status;
LDRH	R4, [SP, #16]
STRH	R4, [SP, #4]
;socket.c,1083 :: 		if(  ( ( _i16 )Msg.Rsp.status ) >= 0 )
LDRSH	R4, [SP, #16]
CMP	R4, #0
IT	LT
BLT	L_sl_Select135
;socket.c,1085 :: 		if( readsds )
LDR	R4, [SP, #28]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select136
;socket.c,1086 :: 		readsds->fd_array[0]  = AsyncRsp.readFds;
LDRH	R5, [SP, #20]
LDR	R4, [SP, #28]
STR	R5, [R4, #0]
L_sl_Select136:
;socket.c,1087 :: 		if( writesds )
LDR	R4, [SP, #32]
CMP	R4, #0
IT	EQ
BEQ	L_sl_Select137
;socket.c,1088 :: 		writesds->fd_array[0] = AsyncRsp.writeFds;
LDRH	R5, [SP, #22]
LDR	R4, [SP, #32]
STR	R5, [R4, #0]
L_sl_Select137:
;socket.c,1089 :: 		}
L_sl_Select135:
;socket.c,1090 :: 		}
L_sl_Select134:
;socket.c,1092 :: 		_SlDrvReleasePoolObj( ObjIdx );
LDRB	R0, [SP, #24]
BL	__SlDrvReleasePoolObj+0
;socket.c,1093 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;socket.c,1094 :: 		}
L_end_sl_Select:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_Select
_SL_FD_SET:
;socket.c,1100 :: 		void SL_FD_SET( _i16 fd, SlFdSet_t *fdset )
; fdset start address is: 4 (R1)
; fd start address is: 0 (R0)
; fdset end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; fdset start address is: 4 (R1)
;socket.c,1102 :: 		fdset->fd_array[0] |=  ( 1 << ( fd & BSD_SOCKET_ID_MASK ) );
AND	R3, R0, #15
SXTH	R3, R3
; fd end address is: 0 (R0)
MOVS	R2, #1
LSL	R3, R2, R3
UXTH	R3, R3
LDR	R2, [R1, #0]
ORRS	R2, R3
STR	R2, [R1, #0]
; fdset end address is: 4 (R1)
;socket.c,1103 :: 		}
L_end_SL_FD_SET:
BX	LR
; end of _SL_FD_SET
_SL_FD_CLR:
;socket.c,1107 :: 		void SL_FD_CLR( _i16 fd, SlFdSet_t *fdset )
; fdset start address is: 4 (R1)
; fd start address is: 0 (R0)
; fdset end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; fdset start address is: 4 (R1)
;socket.c,1109 :: 		fdset->fd_array[0] &=  ~( 1 << ( fd & BSD_SOCKET_ID_MASK ) );
AND	R3, R0, #15
SXTH	R3, R3
; fd end address is: 0 (R0)
MOVS	R2, #1
LSLS	R2, R3
UXTH	R2, R2
MVN	R3, R2
UXTH	R3, R3
LDR	R2, [R1, #0]
ANDS	R2, R3
STR	R2, [R1, #0]
; fdset end address is: 4 (R1)
;socket.c,1110 :: 		}
L_end_SL_FD_CLR:
BX	LR
; end of _SL_FD_CLR
_SL_FD_ISSET:
;socket.c,1114 :: 		_i16  SL_FD_ISSET( _i16 fd, SlFdSet_t *fdset )
; fdset start address is: 4 (R1)
; fd start address is: 0 (R0)
; fdset end address is: 4 (R1)
; fd end address is: 0 (R0)
; fd start address is: 0 (R0)
; fdset start address is: 4 (R1)
;socket.c,1116 :: 		if( fdset->fd_array[0] & ( 1 << ( fd & BSD_SOCKET_ID_MASK ) ) )
LDR	R4, [R1, #0]
; fdset end address is: 4 (R1)
AND	R3, R0, #15
SXTH	R3, R3
; fd end address is: 0 (R0)
MOVS	R2, #1
LSLS	R2, R3
UXTH	R2, R2
AND	R2, R4, R2, LSL #0
CMP	R2, #0
IT	EQ
BEQ	L_SL_FD_ISSET138
;socket.c,1117 :: 		return 1;
MOVS	R0, #1
SXTH	R0, R0
IT	AL
BAL	L_end_SL_FD_ISSET
L_SL_FD_ISSET138:
;socket.c,1118 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;socket.c,1119 :: 		}
L_end_SL_FD_ISSET:
BX	LR
; end of _SL_FD_ISSET
_SL_FD_ZERO:
;socket.c,1123 :: 		void SL_FD_ZERO( SlFdSet_t *fdset )
; fdset start address is: 0 (R0)
; fdset end address is: 0 (R0)
; fdset start address is: 0 (R0)
;socket.c,1125 :: 		fdset->fd_array[0] = 0;
MOVS	R1, #0
STR	R1, [R0, #0]
; fdset end address is: 0 (R0)
;socket.c,1126 :: 		}
L_end_SL_FD_ZERO:
BX	LR
; end of _SL_FD_ZERO
