_sl_WlanConnect:
;wlan.c,76 :: 		const SlSecParamsExt_t *pSecExtParams )
; pSecParams start address is: 12 (R3)
; pMacAddr start address is: 8 (R2)
; NameLen start address is: 4 (R1)
; pName start address is: 0 (R0)
SUB	SP, SP, #192
STR	LR, [SP, #0]
MOV	R6, R0
MOV	R0, R2
SXTH	R7, R1
MOV	R8, R3
; pSecParams end address is: 12 (R3)
; pMacAddr end address is: 8 (R2)
; NameLen end address is: 4 (R1)
; pName end address is: 0 (R0)
; pName start address is: 24 (R6)
; NameLen start address is: 28 (R7)
; pMacAddr start address is: 0 (R0)
; pSecParams start address is: 32 (R8)
; pSecExtParams start address is: 4 (R1)
LDR	R1, [SP, #192]
;wlan.c,78 :: 		_SlWlanConnectMsg_u    Msg = {0};
ADD	R11, SP, #12
ADD	R10, R11, #180
MOVW	R12, #lo_addr(?ICSsl_WlanConnect_Msg_L0+0)
MOVT	R12, #hi_addr(?ICSsl_WlanConnect_Msg_L0+0)
BL	___CC2DW+0
;wlan.c,79 :: 		_SlCmdCtrl_t           CmdCtrl = {0};
;wlan.c,81 :: 		CmdCtrl.TxDescLen = 0;/* init */
MOVS	R4, #0
STRB	R4, [SP, #190]
;wlan.c,82 :: 		CmdCtrl.RxDescLen = sizeof( _BasicResponse_t );
MOVS	R4, #4
STRB	R4, [SP, #191]
;wlan.c,85 :: 		VERIFY_PROTOCOL( NameLen <= MAX_SSID_LEN );
CMP	R7, #32
IT	LE
BLE	L_sl_WlanConnect0
; pName end address is: 24 (R6)
; NameLen end address is: 28 (R7)
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
L_sl_WlanConnect1:
IT	AL
BAL	L_sl_WlanConnect1
L_sl_WlanConnect0:
;wlan.c,87 :: 		if( NULL == pName )
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
; NameLen start address is: 28 (R7)
; pName start address is: 24 (R6)
CMP	R6, #0
IT	NE
BNE	L_sl_WlanConnect3
; pName end address is: 24 (R6)
; NameLen end address is: 28 (R7)
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
;wlan.c,88 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect3:
;wlan.c,90 :: 		Msg.Cmd.Args.Common.SsidLen = ( _u8 )NameLen;
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
; NameLen start address is: 28 (R7)
; pName start address is: 24 (R6)
UXTB	R4, R7
STRB	R4, [SP, #13]
;wlan.c,94 :: 		if ( NULL != pSecExtParams )
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanConnect4
;wlan.c,97 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_WLANCONNECTEAPCOMMAND;
MOVW	R4, #35970
STRH	R4, [SP, #188]
;wlan.c,98 :: 		CmdCtrl.TxDescLen += sizeof( _WlanConnectEapCommand_t );
LDRB	R4, [SP, #190]
ADDS	R4, #16
STRB	R4, [SP, #190]
;wlan.c,100 :: 		sl_Memcpy( EAP_SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #12
ADDS	R4, #16
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R7
MOV	R1, R6
; pName end address is: 24 (R6)
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,101 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #190]
ADDS	R4, R4, R7
; NameLen end address is: 28 (R7)
STRB	R4, [SP, #190]
;wlan.c,103 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
CMP	R8, #0
IT	EQ
BEQ	L__sl_WlanConnect124
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L__sl_WlanConnect123
L__sl_WlanConnect122:
;wlan.c,106 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R8, #0]
STRB	R4, [SP, #12]
;wlan.c,108 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanConnect8
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
;wlan.c,109 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect8:
;wlan.c,111 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
STRB	R4, [SP, #20]
;wlan.c,112 :: 		ARG_CHECK_PTR( pSecParams->Key );
ADD	R4, R8, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanConnect9
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
; pSecExtParams end address is: 4 (R1)
L_sl_WlanConnect10:
IT	AL
BAL	L_sl_WlanConnect10
L_sl_WlanConnect9:
;wlan.c,114 :: 		sl_Memcpy( EAP_PASSWORD_STRING( &Msg ), pSecParams->Key, pSecParams->KeyLen );
; pSecExtParams start address is: 4 (R1)
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
ADD	R4, R8, #4
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #12
ADDW	R5, R4, #16
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R7
MOV	R1, R6
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,115 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
ADD	R4, R8, #8
; pSecParams end address is: 32 (R8)
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,116 :: 		}
IT	AL
BAL	L_sl_WlanConnect12
;wlan.c,103 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
L__sl_WlanConnect124:
L__sl_WlanConnect123:
;wlan.c,118 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #20]
L_sl_WlanConnect12:
;wlan.c,120 :: 		ARG_CHECK_PTR( pSecExtParams );
CMP	R1, #0
IT	NE
BNE	L_sl_WlanConnect13
; pMacAddr end address is: 0 (R0)
; pSecExtParams end address is: 4 (R1)
L_sl_WlanConnect14:
IT	AL
BAL	L_sl_WlanConnect14
L_sl_WlanConnect13:
;wlan.c,122 :: 		Msg.Cmd.Args.EapBitmask = pSecExtParams->EapMethod;
; pSecExtParams start address is: 4 (R1)
; pMacAddr start address is: 0 (R0)
ADDW	R4, R1, #16
LDR	R4, [R4, #0]
STR	R4, [SP, #24]
;wlan.c,124 :: 		Msg.Cmd.Args.CertIndex = pSecExtParams->CertIndex;
ADDW	R4, R1, #13
LDRB	R4, [R4, #0]
STRB	R4, [SP, #23]
;wlan.c,126 :: 		if ( pSecExtParams->UserLen > MAX_USER_LEN )
ADDS	R4, R1, #4
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanConnect16
; pMacAddr end address is: 0 (R0)
; pSecExtParams end address is: 4 (R1)
;wlan.c,127 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect16:
;wlan.c,128 :: 		Msg.Cmd.Args.UserLen = pSecExtParams->UserLen;
; pSecExtParams start address is: 4 (R1)
; pMacAddr start address is: 0 (R0)
ADDS	R5, R1, #4
LDRB	R4, [R5, #0]
STRB	R4, [SP, #21]
;wlan.c,130 :: 		if( pSecExtParams->UserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanConnect17
;wlan.c,133 :: 		pSecExtParams->UserLen );
ADDS	R4, R1, #4
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,132 :: 		sl_Memcpy( EAP_USER_STRING( &Msg ), pSecExtParams->User,
LDR	R4, [R1, #0]
MOV	R7, R4
ADD	R6, SP, #12
ADDW	R5, R6, #16
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,133 :: 		pSecExtParams->UserLen );
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R8
;wlan.c,132 :: 		sl_Memcpy( EAP_USER_STRING( &Msg ), pSecExtParams->User,
MOV	R1, R7
MOV	R0, R4
;wlan.c,133 :: 		pSecExtParams->UserLen );
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,134 :: 		CmdCtrl.TxDescLen += pSecExtParams->UserLen;
ADDS	R4, R1, #4
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,135 :: 		}
L_sl_WlanConnect17:
;wlan.c,137 :: 		if ( pSecExtParams->AnonUserLen > MAX_ANON_USER_LEN )
ADDW	R4, R1, #12
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanConnect18
; pMacAddr end address is: 0 (R0)
; pSecExtParams end address is: 4 (R1)
;wlan.c,138 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect18:
;wlan.c,139 :: 		Msg.Cmd.Args.AnonUserLen = pSecExtParams->AnonUserLen;
; pSecExtParams start address is: 4 (R1)
; pMacAddr start address is: 0 (R0)
ADDW	R5, R1, #12
LDRB	R4, [R5, #0]
STRB	R4, [SP, #22]
;wlan.c,141 :: 		if( pSecExtParams->AnonUserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanConnect19
;wlan.c,144 :: 		pSecExtParams->AnonUserLen );
ADDW	R4, R1, #12
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,143 :: 		sl_Memcpy( EAP_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
ADDW	R4, R1, #8
LDR	R4, [R4, #0]
MOV	R7, R4
ADD	R6, SP, #12
ADDW	R5, R6, #16
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,144 :: 		pSecExtParams->AnonUserLen );
STR	R1, [SP, #4]
STR	R0, [SP, #8]
SXTH	R2, R8
;wlan.c,143 :: 		sl_Memcpy( EAP_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
MOV	R1, R7
MOV	R0, R4
;wlan.c,144 :: 		pSecExtParams->AnonUserLen );
BL	_memcpy+0
LDR	R0, [SP, #8]
LDR	R1, [SP, #4]
;wlan.c,145 :: 		CmdCtrl.TxDescLen += pSecExtParams->AnonUserLen;
ADDW	R4, R1, #12
; pSecExtParams end address is: 4 (R1)
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,146 :: 		}
L_sl_WlanConnect19:
;wlan.c,148 :: 		}
IT	AL
BAL	L_sl_WlanConnect20
L_sl_WlanConnect4:
;wlan.c,154 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_WLANCONNECTCOMMAND;
; pSecParams start address is: 32 (R8)
; NameLen start address is: 28 (R7)
; pName start address is: 24 (R6)
MOVW	R4, #35968
STRH	R4, [SP, #188]
;wlan.c,155 :: 		CmdCtrl.TxDescLen += sizeof( _WlanConnectCommon_t );
LDRB	R4, [SP, #190]
ADDS	R4, #9
STRB	R4, [SP, #190]
;wlan.c,157 :: 		sl_Memcpy( SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #12
ADDS	R4, #9
STR	R0, [SP, #4]
SXTH	R2, R7
MOV	R1, R6
; pName end address is: 24 (R6)
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #4]
;wlan.c,158 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #190]
ADDS	R4, R4, R7
; NameLen end address is: 28 (R7)
STRB	R4, [SP, #190]
;wlan.c,160 :: 		if( NULL != pSecParams )
CMP	R8, #0
IT	EQ
BEQ	L_sl_WlanConnect21
;wlan.c,163 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R8, #0]
STRB	R4, [SP, #12]
;wlan.c,165 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanConnect22
; pMacAddr end address is: 0 (R0)
; pSecParams end address is: 32 (R8)
;wlan.c,166 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanConnect
L_sl_WlanConnect22:
;wlan.c,168 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecParams start address is: 32 (R8)
; pMacAddr start address is: 0 (R0)
ADD	R5, R8, #8
LDRB	R4, [R5, #0]
STRB	R4, [SP, #20]
;wlan.c,169 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
LDRB	R5, [R5, #0]
LDRB	R4, [SP, #190]
ADDS	R4, R4, R5
STRB	R4, [SP, #190]
;wlan.c,171 :: 		if( NULL != pSecParams->Key )
ADD	R4, R8, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_sl_WlanConnect23
;wlan.c,172 :: 		sl_Memcpy( PASSWORD_STRING( &Msg ), pSecParams->Key, pSecParams->KeyLen );
ADD	R4, R8, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
ADD	R4, R8, #4
; pSecParams end address is: 32 (R8)
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #12
ADDW	R5, R4, #9
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
STR	R0, [SP, #4]
SXTH	R2, R7
MOV	R1, R6
MOV	R0, R4
BL	_memcpy+0
LDR	R0, [SP, #4]
L_sl_WlanConnect23:
;wlan.c,173 :: 		}
IT	AL
BAL	L_sl_WlanConnect24
L_sl_WlanConnect21:
;wlan.c,177 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #20]
;wlan.c,178 :: 		Msg.Cmd.Args.Common.SecType = SL_SEC_TYPE_OPEN;
MOVS	R4, #0
STRB	R4, [SP, #12]
;wlan.c,179 :: 		}
L_sl_WlanConnect24:
;wlan.c,180 :: 		}
L_sl_WlanConnect20:
;wlan.c,182 :: 		if( NULL != pMacAddr )
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanConnect25
;wlan.c,183 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
ADD	R4, SP, #14
;wlan.c,184 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R2, #6
SXTH	R2, R2
;wlan.c,183 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
MOV	R1, R0
; pMacAddr end address is: 0 (R0)
MOV	R0, R4
;wlan.c,184 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	_memcpy+0
IT	AL
BAL	L_sl_WlanConnect26
L_sl_WlanConnect25:
;wlan.c,186 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
ADD	R4, SP, #14
;wlan.c,187 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R1, #6
;wlan.c,186 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
MOV	R0, R4
;wlan.c,187 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	__SlDrvMemZero+0
L_sl_WlanConnect26:
;wlan.c,190 :: 		VERIFY_RET_OK ( _SlDrvCmdOp( &CmdCtrl, &Msg, NULL ) );
ADD	R5, SP, #12
ADD	R4, SP, #188
MOVS	R2, #0
MOV	R1, R5
MOV	R0, R4
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanConnect27
L_sl_WlanConnect28:
IT	AL
BAL	L_sl_WlanConnect28
L_sl_WlanConnect27:
;wlan.c,192 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #12]
;wlan.c,193 :: 		}
L_end_sl_WlanConnect:
LDR	LR, [SP, #0]
ADD	SP, SP, #192
BX	LR
; end of _sl_WlanConnect
_sl_WlanDisconnect:
;wlan.c,200 :: 		_i16 sl_WlanDisconnect( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,202 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_WLANDISCONNECTCOMMAND );
MOVW	R0, #35969
BL	__SlDrvBasicCmd+0
;wlan.c,203 :: 		}
L_end_sl_WlanDisconnect:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanDisconnect
_sl_WlanPolicySet:
;wlan.c,225 :: 		const _u8 ValLen )
; ValLen start address is: 12 (R3)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTB	R0, R3
STRB	R1, [SP, #32]
STR	R2, [SP, #36]
; ValLen end address is: 12 (R3)
; ValLen start address is: 0 (R0)
;wlan.c,231 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #12
STRB	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;wlan.c,232 :: 		CmdExt.TxPayloadLen = ValLen;
STRH	R0, [SP, #12]
;wlan.c,233 :: 		CmdExt.pTxPayload = ( _u8 * )pVal;
LDR	R4, [SP, #36]
STR	R4, [SP, #20]
;wlan.c,236 :: 		Msg.Cmd.PolicyType        = Type;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;wlan.c,237 :: 		Msg.Cmd.PolicyOption      = Policy;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #10]
;wlan.c,238 :: 		Msg.Cmd.PolicyOptionLen   = ValLen;
STRB	R0, [SP, #11]
; ValLen end address is: 0 (R0)
;wlan.c,240 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlPolicySetCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlPolicySetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlPolicySetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanPolicySet30
L_sl_WlanPolicySet31:
IT	AL
BAL	L_sl_WlanPolicySet31
L_sl_WlanPolicySet30:
;wlan.c,243 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;wlan.c,244 :: 		}
L_end_sl_WlanPolicySet:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_WlanPolicySet
_sl_WlanPolicyGet:
;wlan.c,266 :: 		_i16 sl_WlanPolicyGet( const _u8 Type , _u8 Policy, _u8 *pVal, _u8 *pValLen )
; pValLen start address is: 12 (R3)
SUB	SP, SP, #40
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
STRB	R1, [SP, #32]
MOV	R1, R3
STR	R2, [SP, #36]
; pValLen end address is: 12 (R3)
; pValLen start address is: 4 (R1)
;wlan.c,271 :: 		if ( *pValLen == 0 )
LDRB	R4, [R1, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanPolicyGet33
; pValLen end address is: 4 (R1)
;wlan.c,272 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanPolicyGet
L_sl_WlanPolicyGet33:
;wlan.c,274 :: 		_SlDrvResetCmdExt( &CmdExt );
; pValLen start address is: 4 (R1)
ADD	R4, SP, #12
STR	R1, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDR	R1, [SP, #4]
;wlan.c,275 :: 		CmdExt.RxPayloadLen = *pValLen;
LDRB	R4, [R1, #0]
STRH	R4, [SP, #14]
;wlan.c,276 :: 		CmdExt.pRxPayload = pVal;
LDR	R4, [SP, #36]
STR	R4, [SP, #24]
;wlan.c,278 :: 		Msg.Cmd.PolicyType = Type;
LDRB	R4, [SP, #28]
STRB	R4, [SP, #8]
;wlan.c,279 :: 		Msg.Cmd.PolicyOption = Policy;
LDRB	R4, [SP, #32]
STRB	R4, [SP, #10]
;wlan.c,280 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlPolicyGetCmdCtrl, &Msg,
ADD	R5, SP, #12
ADD	R4, SP, #8
STR	R1, [SP, #4]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlPolicyGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlPolicyGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanPolicyGet34
; pValLen end address is: 4 (R1)
L_sl_WlanPolicyGet35:
IT	AL
BAL	L_sl_WlanPolicyGet35
L_sl_WlanPolicyGet34:
;wlan.c,284 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
; pValLen start address is: 4 (R1)
LDRSH	R5, [SP, #16]
LDRSH	R4, [SP, #14]
CMP	R4, R5
IT	GE
BGE	L_sl_WlanPolicyGet37
;wlan.c,286 :: 		*pValLen = Msg.Rsp.PolicyOptionLen;
LDRB	R4, [SP, #11]
STRB	R4, [R1, #0]
; pValLen end address is: 4 (R1)
;wlan.c,287 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanPolicyGet
;wlan.c,288 :: 		}
L_sl_WlanPolicyGet37:
;wlan.c,292 :: 		*pValLen = ( _u8 )CmdExt.ActualRxPayloadLen;
; pValLen start address is: 4 (R1)
LDRB	R4, [SP, #16]
STRB	R4, [R1, #0]
;wlan.c,293 :: 		if( 0 == CmdExt.ActualRxPayloadLen )
LDRSH	R4, [SP, #16]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanPolicyGet39
;wlan.c,295 :: 		*pValLen = 1;
MOVS	R4, #1
STRB	R4, [R1, #0]
; pValLen end address is: 4 (R1)
;wlan.c,296 :: 		pVal[0] = Msg.Rsp.PolicyOption;
LDRB	R5, [SP, #10]
LDR	R4, [SP, #36]
STRB	R5, [R4, #0]
;wlan.c,297 :: 		}
L_sl_WlanPolicyGet39:
;wlan.c,299 :: 		return ( _i16 )SL_OS_RET_CODE_OK;
MOVW	R0, #0
SXTH	R0, R0
;wlan.c,300 :: 		}
L_end_sl_WlanPolicyGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #40
BX	LR
; end of _sl_WlanPolicyGet
_sl_WlanProfileAdd:
;wlan.c,326 :: 		const _u32  Options )
; pSecParams start address is: 12 (R3)
; pMacAddr start address is: 8 (R2)
; NameLen start address is: 4 (R1)
; pName start address is: 0 (R0)
SUB	SP, SP, #188
STR	LR, [SP, #0]
MOV	R7, R0
SXTH	R8, R1
MOV	R9, R2
MOV	R6, R3
; pSecParams end address is: 12 (R3)
; pMacAddr end address is: 8 (R2)
; NameLen end address is: 4 (R1)
; pName end address is: 0 (R0)
; pName start address is: 28 (R7)
; NameLen start address is: 32 (R8)
; pMacAddr start address is: 36 (R9)
; pSecParams start address is: 24 (R6)
; pSecExtParams start address is: 40 (R10)
LDR	R10, [SP, #188]
; Priority start address is: 0 (R0)
LDR	R0, [SP, #192]
; Options start address is: 16 (R4)
LDR	R4, [SP, #196]
; Options end address is: 16 (R4)
;wlan.c,329 :: 		_SlCmdCtrl_t           CmdCtrl = {0};
MOVW	R4, #0
STRH	R4, [SP, #184]
MOVS	R4, #0
STRB	R4, [SP, #186]
STRB	R4, [SP, #187]
;wlan.c,330 :: 		CmdCtrl.TxDescLen = 0;/* init */
MOVS	R4, #0
STRB	R4, [SP, #186]
;wlan.c,331 :: 		CmdCtrl.RxDescLen = sizeof( _BasicResponse_t );
MOVS	R4, #4
STRB	R4, [SP, #187]
;wlan.c,334 :: 		Msg.Cmd.Args.Common.Priority = ( _u8 )Priority;
UXTB	R4, R0
; Priority end address is: 0 (R0)
STRB	R4, [SP, #6]
;wlan.c,336 :: 		if( NULL == pName )
CMP	R7, #0
IT	NE
BNE	L_sl_WlanProfileAdd40
; pName end address is: 28 (R7)
; NameLen end address is: 32 (R8)
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
;wlan.c,337 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd40:
;wlan.c,339 :: 		VERIFY_PROTOCOL( NameLen <= MAX_SSID_LEN );
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
; NameLen start address is: 32 (R8)
; pName start address is: 28 (R7)
CMP	R8, #32
IT	LE
BLE	L_sl_WlanProfileAdd41
; pName end address is: 28 (R7)
; NameLen end address is: 32 (R8)
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd42:
IT	AL
BAL	L_sl_WlanProfileAdd42
L_sl_WlanProfileAdd41:
;wlan.c,341 :: 		Msg.Cmd.Args.Common.SsidLen = ( _u8 )NameLen;
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
; NameLen start address is: 32 (R8)
; pName start address is: 28 (R7)
UXTB	R4, R8
STRB	R4, [SP, #5]
;wlan.c,345 :: 		if  ( NULL != pSecExtParams )
CMP	R10, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd44
;wlan.c,348 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_EAP_PROFILEADDCOMMAND;
MOVW	R4, #35943
STRH	R4, [SP, #184]
;wlan.c,349 :: 		CmdCtrl.TxDescLen += sizeof( _WlanAddGetEapProfile_t );
LDRB	R4, [SP, #186]
ADDS	R4, #20
STRB	R4, [SP, #186]
;wlan.c,352 :: 		sl_Memcpy( EAP_PROFILE_SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #4
ADDS	R4, #20
SXTH	R2, R8
MOV	R1, R7
; pName end address is: 28 (R7)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,353 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #186]
ADD	R4, R4, R8, LSL #0
; NameLen end address is: 32 (R8)
STRB	R4, [SP, #186]
;wlan.c,356 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
CMP	R6, #0
IT	EQ
BEQ	L__sl_WlanProfileAdd127
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L__sl_WlanProfileAdd126
L__sl_WlanProfileAdd125:
;wlan.c,359 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R6, #0]
STRB	R4, [SP, #4]
;wlan.c,361 :: 		if( SL_SEC_TYPE_WEP == Msg.Cmd.Args.Common.SecType )
SXTB	R4, R4
CMP	R4, #1
IT	NE
BNE	L_sl_WlanProfileAdd48
;wlan.c,362 :: 		Msg.Cmd.Args.Common.WepKeyId = 0;
MOVS	R4, #0
STRB	R4, [SP, #14]
L_sl_WlanProfileAdd48:
;wlan.c,365 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanProfileAdd49
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
;wlan.c,366 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd49:
;wlan.c,367 :: 		VERIFY_PROTOCOL( pSecParams->KeyLen <= MAX_KEY_LEN );
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanProfileAdd50
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd51:
IT	AL
BAL	L_sl_WlanProfileAdd51
L_sl_WlanProfileAdd50:
;wlan.c,369 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R5, R6, #8
LDRB	R4, [R5, #0]
STRB	R4, [SP, #13]
;wlan.c,370 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
LDRB	R5, [R5, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,371 :: 		ARG_CHECK_PTR( pSecParams->Key );
ADDS	R4, R6, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanProfileAdd53
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd54:
IT	AL
BAL	L_sl_WlanProfileAdd54
L_sl_WlanProfileAdd53:
;wlan.c,374 :: 		pSecParams->KeyLen );
; pSecExtParams start address is: 40 (R10)
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,373 :: 		sl_Memcpy( EAP_PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
ADDS	R4, R6, #4
; pSecParams end address is: 24 (R6)
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #4
ADDW	R5, R4, #20
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,374 :: 		pSecParams->KeyLen );
SXTH	R2, R7
;wlan.c,373 :: 		sl_Memcpy( EAP_PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
MOV	R1, R6
MOV	R0, R4
;wlan.c,374 :: 		pSecParams->KeyLen );
BL	_memcpy+0
;wlan.c,375 :: 		}
IT	AL
BAL	L_sl_WlanProfileAdd56
;wlan.c,356 :: 		if ( ( NULL != pSecParams ) && ( pSecParams->KeyLen > 0 ) )
L__sl_WlanProfileAdd127:
L__sl_WlanProfileAdd126:
;wlan.c,377 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #13]
L_sl_WlanProfileAdd56:
;wlan.c,379 :: 		ARG_CHECK_PTR( pSecExtParams );
CMP	R10, #0
IT	NE
BNE	L_sl_WlanProfileAdd57
; pMacAddr end address is: 36 (R9)
; pSecExtParams end address is: 40 (R10)
L_sl_WlanProfileAdd58:
IT	AL
BAL	L_sl_WlanProfileAdd58
L_sl_WlanProfileAdd57:
;wlan.c,381 :: 		Msg.Cmd.Args.EapBitmask = pSecExtParams->EapMethod;
; pSecExtParams start address is: 40 (R10)
; pMacAddr start address is: 36 (R9)
ADD	R4, R10, #16
LDR	R4, [R4, #0]
STR	R4, [SP, #20]
;wlan.c,383 :: 		Msg.Cmd.Args.CertIndex = pSecExtParams->CertIndex;
ADD	R4, R10, #13
LDRB	R4, [R4, #0]
STRB	R4, [SP, #17]
;wlan.c,385 :: 		if ( pSecExtParams->UserLen > MAX_USER_LEN )
ADD	R4, R10, #4
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanProfileAdd60
; pMacAddr end address is: 36 (R9)
; pSecExtParams end address is: 40 (R10)
;wlan.c,386 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd60:
;wlan.c,387 :: 		Msg.Cmd.Args.UserLen = pSecExtParams->UserLen;
; pSecExtParams start address is: 40 (R10)
; pMacAddr start address is: 36 (R9)
ADD	R5, R10, #4
LDRB	R4, [R5, #0]
STRB	R4, [SP, #15]
;wlan.c,389 :: 		if( pSecExtParams->UserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileAdd61
;wlan.c,392 :: 		pSecExtParams->UserLen );
ADD	R4, R10, #4
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,391 :: 		sl_Memcpy( EAP_PROFILE_USER_STRING( &Msg ), pSecExtParams->User,
LDR	R4, [R10, #0]
MOV	R7, R4
ADD	R6, SP, #4
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,392 :: 		pSecExtParams->UserLen );
SXTH	R2, R8
;wlan.c,391 :: 		sl_Memcpy( EAP_PROFILE_USER_STRING( &Msg ), pSecExtParams->User,
MOV	R1, R7
MOV	R0, R4
;wlan.c,392 :: 		pSecExtParams->UserLen );
BL	_memcpy+0
;wlan.c,393 :: 		CmdCtrl.TxDescLen += pSecExtParams->UserLen;
ADD	R4, R10, #4
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,394 :: 		}
L_sl_WlanProfileAdd61:
;wlan.c,397 :: 		if ( pSecExtParams->AnonUserLen > MAX_ANON_USER_LEN )
ADD	R4, R10, #12
LDRB	R4, [R4, #0]
CMP	R4, #32
IT	LS
BLS	L_sl_WlanProfileAdd62
; pMacAddr end address is: 36 (R9)
; pSecExtParams end address is: 40 (R10)
;wlan.c,398 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd62:
;wlan.c,399 :: 		Msg.Cmd.Args.AnonUserLen = pSecExtParams->AnonUserLen;
; pSecExtParams start address is: 40 (R10)
; pMacAddr start address is: 36 (R9)
ADD	R5, R10, #12
LDRB	R4, [R5, #0]
STRB	R4, [SP, #16]
;wlan.c,402 :: 		if( pSecExtParams->AnonUserLen > 0 )
LDRB	R4, [R5, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileAdd63
;wlan.c,405 :: 		pSecExtParams->AnonUserLen );
ADD	R4, R10, #12
LDRB	R4, [R4, #0]
UXTB	R8, R4
;wlan.c,404 :: 		sl_Memcpy( EAP_PROFILE_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
ADD	R4, R10, #8
LDR	R4, [R4, #0]
MOV	R7, R4
ADD	R6, SP, #4
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #11
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,405 :: 		pSecExtParams->AnonUserLen );
SXTH	R2, R8
;wlan.c,404 :: 		sl_Memcpy( EAP_PROFILE_ANON_USER_STRING( &Msg ), pSecExtParams->AnonUser,
MOV	R1, R7
MOV	R0, R4
;wlan.c,405 :: 		pSecExtParams->AnonUserLen );
BL	_memcpy+0
;wlan.c,406 :: 		CmdCtrl.TxDescLen += pSecExtParams->AnonUserLen;
ADD	R4, R10, #12
; pSecExtParams end address is: 40 (R10)
LDRB	R5, [R4, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,407 :: 		}
L_sl_WlanProfileAdd63:
;wlan.c,409 :: 		}
IT	AL
BAL	L_sl_WlanProfileAdd64
L_sl_WlanProfileAdd44:
;wlan.c,414 :: 		CmdCtrl.Opcode = SL_OPCODE_WLAN_PROFILEADDCOMMAND;
; pSecParams start address is: 24 (R6)
; NameLen start address is: 32 (R8)
; pName start address is: 28 (R7)
MOVW	R4, #35971
STRH	R4, [SP, #184]
;wlan.c,416 :: 		CmdCtrl.TxDescLen += sizeof( _WlanAddGetProfile_t );
LDRB	R4, [SP, #186]
ADDS	R4, #11
STRB	R4, [SP, #186]
;wlan.c,418 :: 		if ( NULL != pName )
CMP	R7, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd65
;wlan.c,421 :: 		sl_Memcpy( PROFILE_SSID_STRING( &Msg ), pName, NameLen );
ADD	R4, SP, #4
ADDS	R4, #11
SXTH	R2, R8
MOV	R1, R7
; pName end address is: 28 (R7)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,422 :: 		CmdCtrl.TxDescLen += NameLen;
LDRB	R4, [SP, #186]
ADD	R4, R4, R8, LSL #0
; NameLen end address is: 32 (R8)
STRB	R4, [SP, #186]
;wlan.c,423 :: 		}
L_sl_WlanProfileAdd65:
;wlan.c,426 :: 		if( NULL != pSecParams )
CMP	R6, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd66
;wlan.c,429 :: 		Msg.Cmd.Args.Common.SecType = pSecParams->Type;
LDRB	R4, [R6, #0]
STRB	R4, [SP, #4]
;wlan.c,431 :: 		if( SL_SEC_TYPE_WEP == Msg.Cmd.Args.Common.SecType )
SXTB	R4, R4
CMP	R4, #1
IT	NE
BNE	L_sl_WlanProfileAdd67
;wlan.c,432 :: 		Msg.Cmd.Args.Common.WepKeyId = 0;
MOVS	R4, #0
STRB	R4, [SP, #14]
L_sl_WlanProfileAdd67:
;wlan.c,435 :: 		if ( pSecParams->KeyLen > MAX_KEY_LEN )
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
CMP	R4, #63
IT	LS
BLS	L_sl_WlanProfileAdd68
; pMacAddr end address is: 36 (R9)
; pSecParams end address is: 24 (R6)
;wlan.c,436 :: 		return SL_INVALPARAM;
MOVW	R0, #63533
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanProfileAdd
L_sl_WlanProfileAdd68:
;wlan.c,438 :: 		Msg.Cmd.Args.Common.PasswordLen = pSecParams->KeyLen;
; pSecParams start address is: 24 (R6)
; pMacAddr start address is: 36 (R9)
ADDW	R5, R6, #8
LDRB	R4, [R5, #0]
STRB	R4, [SP, #13]
;wlan.c,439 :: 		CmdCtrl.TxDescLen += pSecParams->KeyLen;
LDRB	R5, [R5, #0]
LDRB	R4, [SP, #186]
ADDS	R4, R4, R5
STRB	R4, [SP, #186]
;wlan.c,441 :: 		if( NULL != pSecParams->Key )
ADDS	R4, R6, #4
LDR	R4, [R4, #0]
CMP	R4, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd69
;wlan.c,443 :: 		pSecParams->KeyLen );
ADDW	R4, R6, #8
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,442 :: 		sl_Memcpy( PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
ADDS	R4, R6, #4
; pSecParams end address is: 24 (R6)
LDR	R4, [R4, #0]
MOV	R6, R4
ADD	R4, SP, #4
ADDW	R5, R4, #11
ADDS	R4, R4, #1
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,443 :: 		pSecParams->KeyLen );
SXTH	R2, R7
;wlan.c,442 :: 		sl_Memcpy( PROFILE_PASSWORD_STRING( &Msg ), pSecParams->Key,
MOV	R1, R6
MOV	R0, R4
;wlan.c,443 :: 		pSecParams->KeyLen );
BL	_memcpy+0
L_sl_WlanProfileAdd69:
;wlan.c,444 :: 		}
IT	AL
BAL	L_sl_WlanProfileAdd70
L_sl_WlanProfileAdd66:
;wlan.c,447 :: 		Msg.Cmd.Args.Common.SecType = SL_SEC_TYPE_OPEN;
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [SP, #4]
;wlan.c,448 :: 		Msg.Cmd.Args.Common.PasswordLen = 0;
MOVS	R4, #0
STRB	R4, [SP, #13]
;wlan.c,449 :: 		}
L_sl_WlanProfileAdd70:
;wlan.c,451 :: 		}
L_sl_WlanProfileAdd64:
;wlan.c,455 :: 		if( NULL != pMacAddr )
CMP	R9, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd71
;wlan.c,456 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
ADD	R4, SP, #7
;wlan.c,457 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R2, #6
SXTH	R2, R2
;wlan.c,456 :: 		sl_Memcpy( Msg.Cmd.Args.Common.Bssid, pMacAddr,
MOV	R1, R9
; pMacAddr end address is: 36 (R9)
MOV	R0, R4
;wlan.c,457 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	_memcpy+0
IT	AL
BAL	L_sl_WlanProfileAdd72
L_sl_WlanProfileAdd71:
;wlan.c,459 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
ADD	R4, SP, #7
;wlan.c,460 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
MOVS	R1, #6
;wlan.c,459 :: 		_SlDrvMemZero( Msg.Cmd.Args.Common.Bssid,
MOV	R0, R4
;wlan.c,460 :: 		sizeof( Msg.Cmd.Args.Common.Bssid ) );
BL	__SlDrvMemZero+0
L_sl_WlanProfileAdd72:
;wlan.c,462 :: 		VERIFY_RET_OK( _SlDrvCmdOp( &CmdCtrl, &Msg, NULL ) );
ADD	R5, SP, #4
ADD	R4, SP, #184
MOVS	R2, #0
MOV	R1, R5
MOV	R0, R4
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanProfileAdd73
L_sl_WlanProfileAdd74:
IT	AL
BAL	L_sl_WlanProfileAdd74
L_sl_WlanProfileAdd73:
;wlan.c,464 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,465 :: 		}
L_end_sl_WlanProfileAdd:
LDR	LR, [SP, #0]
ADD	SP, SP, #188
BX	LR
; end of _sl_WlanProfileAdd
_sl_WlanProfileGet:
;wlan.c,488 :: 		_u32 *pPriority )
; Index start address is: 0 (R0)
SUB	SP, SP, #204
STR	LR, [SP, #0]
STR	R1, [SP, #192]
STR	R2, [SP, #196]
STR	R3, [SP, #200]
; Index end address is: 0 (R0)
; Index start address is: 0 (R0)
; pSecParams start address is: 8 (R2)
LDR	R2, [SP, #204]
; pEntParams start address is: 4 (R1)
LDR	R1, [SP, #208]
LDR	R4, [SP, #212]
STR	R4, [SP, #212]
;wlan.c,491 :: 		Msg.Cmd.index = ( _u8 )Index;
UXTB	R4, R0
; Index end address is: 0 (R0)
STRB	R4, [SP, #12]
;wlan.c,493 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlProfileGetCmdCtrl, &Msg,
ADD	R4, SP, #12
STR	R1, [SP, #4]
STR	R2, [SP, #8]
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlProfileGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlProfileGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R2, [SP, #8]
LDR	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanProfileGet76
; pSecParams end address is: 8 (R2)
; pEntParams end address is: 4 (R1)
L_sl_WlanProfileGet77:
IT	AL
BAL	L_sl_WlanProfileGet77
L_sl_WlanProfileGet76:
;wlan.c,496 :: 		pSecParams->Type = Msg.Rsp.Args.Common.SecType;
; pEntParams start address is: 4 (R1)
; pSecParams start address is: 8 (R2)
LDRSB	R4, [SP, #12]
STRB	R4, [R2, #0]
;wlan.c,498 :: 		pSecParams->KeyLen = Msg.Rsp.Args.Common.PasswordLen;
ADDW	R5, R2, #8
; pSecParams end address is: 8 (R2)
LDRB	R4, [SP, #21]
STRB	R4, [R5, #0]
;wlan.c,499 :: 		if ( NULL != pEntParams )
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanProfileGet79
;wlan.c,501 :: 		pEntParams->UserLen = Msg.Rsp.Args.UserLen;
ADDW	R5, R1, #32
LDRB	R4, [SP, #23]
STRB	R4, [R5, #0]
;wlan.c,503 :: 		if ( pEntParams->UserLen > 0 )
ADDW	R4, R1, #32
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileGet80
;wlan.c,505 :: 		pEntParams->UserLen );
ADDW	R4, R1, #32
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,504 :: 		sl_Memcpy( pEntParams->User, EAP_PROFILE_USER_STRING( &Msg ),
ADD	R6, SP, #12
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,505 :: 		pEntParams->UserLen );
STR	R1, [SP, #4]
SXTH	R2, R7
;wlan.c,504 :: 		sl_Memcpy( pEntParams->User, EAP_PROFILE_USER_STRING( &Msg ),
MOV	R0, R1
MOV	R1, R4
;wlan.c,505 :: 		pEntParams->UserLen );
BL	_memcpy+0
LDR	R1, [SP, #4]
L_sl_WlanProfileGet80:
;wlan.c,506 :: 		pEntParams->AnonUserLen = Msg.Rsp.Args.AnonUserLen;
ADDW	R5, R1, #65
LDRB	R4, [SP, #24]
STRB	R4, [R5, #0]
;wlan.c,508 :: 		if ( pEntParams->AnonUserLen > 0 )
ADDW	R4, R1, #65
LDRB	R4, [R4, #0]
CMP	R4, #0
IT	LS
BLS	L_sl_WlanProfileGet81
;wlan.c,510 :: 		pEntParams->AnonUserLen );
ADDW	R4, R1, #65
LDRB	R4, [R4, #0]
UXTB	R7, R4
;wlan.c,509 :: 		sl_Memcpy( pEntParams->AnonUser, EAP_PROFILE_ANON_USER_STRING( &Msg ),
ADD	R6, SP, #12
ADDW	R5, R6, #20
ADDS	R4, R6, #1
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #9
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R6, #11
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDW	R4, R1, #33
; pEntParams end address is: 4 (R1)
;wlan.c,510 :: 		pEntParams->AnonUserLen );
SXTH	R2, R7
;wlan.c,509 :: 		sl_Memcpy( pEntParams->AnonUser, EAP_PROFILE_ANON_USER_STRING( &Msg ),
MOV	R1, R5
MOV	R0, R4
;wlan.c,510 :: 		pEntParams->AnonUserLen );
BL	_memcpy+0
L_sl_WlanProfileGet81:
;wlan.c,511 :: 		}
L_sl_WlanProfileGet79:
;wlan.c,513 :: 		*pNameLen  = Msg.Rsp.Args.Common.SsidLen;
LDRB	R5, [SP, #13]
LDR	R4, [SP, #196]
STRH	R5, [R4, #0]
;wlan.c,514 :: 		*pPriority = Msg.Rsp.Args.Common.Priority;
LDRB	R5, [SP, #14]
LDR	R4, [SP, #212]
STR	R5, [R4, #0]
;wlan.c,516 :: 		if ( NULL != Msg.Rsp.Args.Common.Bssid )
ADD	R4, SP, #15
CMP	R4, #0
IT	EQ
BEQ	L_sl_WlanProfileGet82
;wlan.c,517 :: 		sl_Memcpy( pMacAddr, Msg.Rsp.Args.Common.Bssid,
ADD	R4, SP, #15
;wlan.c,518 :: 		sizeof( Msg.Rsp.Args.Common.Bssid ) );
MOVS	R2, #6
SXTH	R2, R2
;wlan.c,517 :: 		sl_Memcpy( pMacAddr, Msg.Rsp.Args.Common.Bssid,
MOV	R1, R4
LDR	R0, [SP, #200]
;wlan.c,518 :: 		sizeof( Msg.Rsp.Args.Common.Bssid ) );
BL	_memcpy+0
L_sl_WlanProfileGet82:
;wlan.c,520 :: 		sl_Memcpy( pName, EAP_PROFILE_SSID_STRING( &Msg ), *pNameLen );
LDR	R4, [SP, #196]
LDRSH	R4, [R4, #0]
SXTH	R5, R4
ADD	R4, SP, #12
ADDS	R4, #20
SXTH	R2, R5
MOV	R1, R4
LDR	R0, [SP, #192]
BL	_memcpy+0
;wlan.c,522 :: 		return ( _i16 )Msg.Rsp.Args.Common.SecType;
LDRSB	R4, [SP, #12]
SXTH	R0, R4
;wlan.c,524 :: 		}
L_end_sl_WlanProfileGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #204
BX	LR
; end of _sl_WlanProfileGet
_sl_WlanProfileDel:
;wlan.c,545 :: 		_i16 sl_WlanProfileDel( const _i16 Index )
; Index start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; Index end address is: 0 (R0)
; Index start address is: 0 (R0)
;wlan.c,549 :: 		Msg.Cmd.index = ( _u8 )Index;
UXTB	R1, R0
; Index end address is: 0 (R0)
STRB	R1, [SP, #4]
;wlan.c,551 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlProfileDelCmdCtrl, &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlProfileDelCmdCtrl+0)
MOVT	R0, #hi_addr(__SlProfileDelCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanProfileDel83
L_sl_WlanProfileDel84:
IT	AL
BAL	L_sl_WlanProfileDel84
L_sl_WlanProfileDel83:
;wlan.c,554 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,555 :: 		}
L_end_sl_WlanProfileDel:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_WlanProfileDel
_sl_WlanGetNetworkList:
;wlan.c,579 :: 		Sl_WlanNetworkEntry_t *pEntries )
; Count start address is: 4 (R1)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTB	R0, R1
STR	R2, [SP, #32]
; Count end address is: 4 (R1)
; Count start address is: 0 (R0)
;wlan.c,581 :: 		_i16 retVal = 0;
;wlan.c,585 :: 		if ( Count == 0 )
CMP	R0, #0
IT	NE
BNE	L_sl_WlanGetNetworkList86
; Count end address is: 0 (R0)
;wlan.c,586 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanGetNetworkList
L_sl_WlanGetNetworkList86:
;wlan.c,588 :: 		_SlDrvResetCmdExt( &CmdExt );
; Count start address is: 0 (R0)
ADD	R3, SP, #12
STRB	R0, [SP, #4]
MOV	R0, R3
BL	__SlDrvResetCmdExt+0
LDRB	R0, [SP, #4]
;wlan.c,589 :: 		CmdExt.RxPayloadLen = sizeof( Sl_WlanNetworkEntry_t ) * ( Count );
MOVS	R3, #44
SXTH	R3, R3
MULS	R3, R0, R3
STRH	R3, [SP, #14]
;wlan.c,590 :: 		CmdExt.pRxPayload = ( _u8 * )pEntries;
LDR	R3, [SP, #32]
STR	R3, [SP, #24]
;wlan.c,592 :: 		Msg.Cmd.index = Index;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #8]
;wlan.c,593 :: 		Msg.Cmd.count = Count;
STRB	R0, [SP, #9]
; Count end address is: 0 (R0)
;wlan.c,595 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanGetNetworkListCtrl,
ADD	R4, SP, #12
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlWlanGetNetworkListCtrl+0)
MOVT	R0, #hi_addr(__SlWlanGetNetworkListCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanGetNetworkList87
L_sl_WlanGetNetworkList88:
IT	AL
BAL	L_sl_WlanGetNetworkList88
L_sl_WlanGetNetworkList87:
;wlan.c,599 :: 		return ( _i16 )retVal;
LDRSH	R0, [SP, #8]
;wlan.c,600 :: 		}
L_end_sl_WlanGetNetworkList:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_WlanGetNetworkList
_sl_WlanRxFilterAdd:
;wlan.c,653 :: 		SlrxFilterID_t                     *pFilterId )
; Action start address is: 12 (R3)
; Trigger start address is: 8 (R2)
; Rule start address is: 4 (R1)
; RuleType start address is: 0 (R0)
SUB	SP, SP, #84
STR	LR, [SP, #0]
; Action end address is: 12 (R3)
; Trigger end address is: 8 (R2)
; Rule end address is: 4 (R1)
; RuleType end address is: 0 (R0)
; RuleType start address is: 0 (R0)
; Rule start address is: 4 (R1)
; Trigger start address is: 8 (R2)
; Action start address is: 12 (R3)
LDR	R4, [SP, #88]
STR	R4, [SP, #88]
;wlan.c,658 :: 		Msg.Cmd.RuleType = RuleType;
STRB	R0, [SP, #4]
; RuleType end address is: 0 (R0)
;wlan.c,660 :: 		Msg.Cmd.FilterId = 0;
MOVS	R4, #0
SXTB	R4, R4
STRB	R4, [SP, #6]
;wlan.c,661 :: 		Msg.Cmd.FilterFlags = FilterFlags;
MOV	R7, #1
ADD	R6, SP, #5
ADD	R5, SP, #84
; Rule end address is: 4 (R1)
; Trigger end address is: 8 (R2)
; Action end address is: 12 (R3)
MOV	R0, R1
MOV	R9, R2
MOV	R8, R3
IT	AL
BAL	L_sl_WlanRxFilterAdd90
L__sl_WlanRxFilterAdd128:
L_sl_WlanRxFilterAdd90:
; Rule start address is: 0 (R0)
; Trigger start address is: 36 (R9)
; Action start address is: 32 (R8)
; Action start address is: 32 (R8)
; Action end address is: 32 (R8)
; Trigger start address is: 36 (R9)
; Trigger end address is: 36 (R9)
; Rule start address is: 0 (R0)
; Rule end address is: 0 (R0)
LDRB	R4, [R5, #0]
STRB	R4, [R6, #0]
SUBS	R7, R7, #1
ADDS	R5, R5, #1
ADDS	R6, R6, #1
CMP	R7, #0
IT	NE
BNE	L__sl_WlanRxFilterAdd128
; Action end address is: 32 (R8)
; Trigger end address is: 36 (R9)
; Rule end address is: 0 (R0)
;wlan.c,662 :: 		sl_Memcpy( &( Msg.Cmd.Rule ), Rule, sizeof( SlrxFilterRule_t ) );
; Rule start address is: 0 (R0)
; Trigger start address is: 36 (R9)
; Action start address is: 32 (R8)
ADD	R4, SP, #8
MOVS	R2, #56
SXTH	R2, R2
MOV	R1, R0
; Rule end address is: 0 (R0)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,663 :: 		sl_Memcpy( &( Msg.Cmd.Trigger ), Trigger, sizeof( SlrxFilterTrigger_t ) );
ADD	R4, SP, #64
MOVS	R2, #12
SXTH	R2, R2
MOV	R1, R9
; Trigger end address is: 36 (R9)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,664 :: 		sl_Memcpy( &( Msg.Cmd.Action ), Action, sizeof( SlrxFilterAction_t ) );
ADD	R4, SP, #76
MOVS	R2, #8
SXTH	R2, R2
MOV	R1, R8
; Action end address is: 32 (R8)
MOV	R0, R4
BL	_memcpy+0
;wlan.c,665 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRxFilterAddtCmdCtrl, &Msg,
ADD	R4, SP, #4
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlRxFilterAddtCmdCtrl+0)
MOVT	R0, #hi_addr(__SlRxFilterAddtCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxFilterAdd91
L_sl_WlanRxFilterAdd92:
IT	AL
BAL	L_sl_WlanRxFilterAdd92
L_sl_WlanRxFilterAdd91:
;wlan.c,667 :: 		*pFilterId = Msg.Rsp.FilterId;
LDRSB	R5, [SP, #4]
LDR	R4, [SP, #88]
STRB	R5, [R4, #0]
;wlan.c,668 :: 		return ( _i16 )Msg.Rsp.Status;
LDRB	R4, [SP, #5]
SXTB	R0, R4
;wlan.c,670 :: 		}
L_end_sl_WlanRxFilterAdd:
LDR	LR, [SP, #0]
ADD	SP, SP, #84
BX	LR
; end of _sl_WlanRxFilterAdd
_sl_WlanRxFilterSet:
;wlan.c,689 :: 		_u16 InputbufferLength )
; InputbufferLength start address is: 8 (R2)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTH	R0, R2
STR	R1, [SP, #32]
; InputbufferLength end address is: 8 (R2)
; InputbufferLength start address is: 0 (R0)
;wlan.c,695 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R3, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R3
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;wlan.c,696 :: 		CmdExt.TxPayloadLen = InputbufferLength;
STRH	R0, [SP, #12]
;wlan.c,697 :: 		CmdExt.pTxPayload   = ( _u8 * )pInputBuffer;
LDR	R3, [SP, #32]
STR	R3, [SP, #20]
;wlan.c,699 :: 		Msg.Cmd.RxFilterOperation = RxFilterOperation;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #10]
;wlan.c,700 :: 		Msg.Cmd.InputBufferLength = InputbufferLength;
STRH	R0, [SP, #8]
; InputbufferLength end address is: 0 (R0)
;wlan.c,703 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRxFilterSetCmdCtrl, &Msg,
ADD	R4, SP, #12
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlRxFilterSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlRxFilterSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxFilterSet94
L_sl_WlanRxFilterSet95:
IT	AL
BAL	L_sl_WlanRxFilterSet95
L_sl_WlanRxFilterSet94:
;wlan.c,707 :: 		return ( _i16 )Msg.Rsp.Status;
LDRB	R3, [SP, #8]
SXTH	R0, R3
;wlan.c,708 :: 		}
L_end_sl_WlanRxFilterSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_WlanRxFilterSet
_sl_WlanRxFilterGet:
;wlan.c,726 :: 		_u16 OutputbufferLength )
; OutputbufferLength start address is: 8 (R2)
SUB	SP, SP, #36
STR	LR, [SP, #0]
STRB	R0, [SP, #28]
UXTH	R0, R2
STR	R1, [SP, #32]
; OutputbufferLength end address is: 8 (R2)
; OutputbufferLength start address is: 0 (R0)
;wlan.c,731 :: 		if ( OutputbufferLength == 0 )
CMP	R0, #0
IT	NE
BNE	L_sl_WlanRxFilterGet97
; OutputbufferLength end address is: 0 (R0)
;wlan.c,732 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanRxFilterGet
L_sl_WlanRxFilterGet97:
;wlan.c,734 :: 		_SlDrvResetCmdExt( &CmdExt );
; OutputbufferLength start address is: 0 (R0)
ADD	R3, SP, #12
STRH	R0, [SP, #4]
MOV	R0, R3
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;wlan.c,735 :: 		CmdExt.RxPayloadLen = OutputbufferLength;
STRH	R0, [SP, #14]
;wlan.c,736 :: 		CmdExt.pRxPayload   = ( _u8 * )pOutputBuffer;
LDR	R3, [SP, #32]
STR	R3, [SP, #24]
;wlan.c,738 :: 		Msg.Cmd.RxFilterOperation = RxFilterOperation;
LDRB	R3, [SP, #28]
STRB	R3, [SP, #10]
;wlan.c,739 :: 		Msg.Cmd.OutputBufferLength = OutputbufferLength;
STRH	R0, [SP, #8]
; OutputbufferLength end address is: 0 (R0)
;wlan.c,742 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlRxFilterGetCmdCtrl, &Msg,
ADD	R4, SP, #12
ADD	R3, SP, #8
MOV	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(__SlRxFilterGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlRxFilterGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxFilterGet98
L_sl_WlanRxFilterGet99:
IT	AL
BAL	L_sl_WlanRxFilterGet99
L_sl_WlanRxFilterGet98:
;wlan.c,745 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
LDRSH	R4, [SP, #16]
LDRSH	R3, [SP, #14]
CMP	R3, R4
IT	GE
BGE	L_sl_WlanRxFilterGet101
;wlan.c,746 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanRxFilterGet
L_sl_WlanRxFilterGet101:
;wlan.c,748 :: 		return ( _i16 )Msg.Rsp.Status;
LDRB	R3, [SP, #8]
SXTH	R0, R3
;wlan.c,749 :: 		}
L_end_sl_WlanRxFilterGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #36
BX	LR
; end of _sl_WlanRxFilterGet
_sl_WlanRxStatStart:
;wlan.c,756 :: 		_i16 sl_WlanRxStatStart( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,758 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_STARTRXSTATCOMMAND );
MOVW	R0, #36012
BL	__SlDrvBasicCmd+0
;wlan.c,759 :: 		}
L_end_sl_WlanRxStatStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanRxStatStart
_sl_WlanRxStatStop:
;wlan.c,763 :: 		_i16 sl_WlanRxStatStop( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,765 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_STOPRXSTATCOMMAND );
MOVW	R0, #36013
BL	__SlDrvBasicCmd+0
;wlan.c,766 :: 		}
L_end_sl_WlanRxStatStop:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanRxStatStop
_sl_WlanRxStatGet:
;wlan.c,770 :: 		_i16 sl_WlanRxStatGet( SlGetRxStatResponse_t *pRxStat, const _u32 Flags )
; pRxStat start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; pRxStat end address is: 0 (R0)
; pRxStat start address is: 0 (R0)
;wlan.c,772 :: 		_SlCmdCtrl_t            CmdCtrl = {SL_OPCODE_WLAN_GETRXSTATCOMMAND, 0, sizeof( SlGetRxStatResponse_t )};
MOVW	R2, #36015
STRH	R2, [SP, #8]
MOVS	R2, #0
STRB	R2, [SP, #10]
MOVS	R2, #76
STRB	R2, [SP, #11]
;wlan.c,774 :: 		_SlDrvMemZero( pRxStat, sizeof( SlGetRxStatResponse_t ) );
STR	R0, [SP, #4]
MOVS	R1, #76
BL	__SlDrvMemZero+0
LDR	R0, [SP, #4]
;wlan.c,775 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&CmdCtrl, pRxStat, NULL ) );
ADD	R2, SP, #8
MOV	R1, R0
MOV	R0, R2
; pRxStat end address is: 0 (R0)
MOVS	R2, #0
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanRxStatGet102
L_sl_WlanRxStatGet103:
IT	AL
BAL	L_sl_WlanRxStatGet103
L_sl_WlanRxStatGet102:
;wlan.c,777 :: 		return 0;
MOVS	R0, #0
SXTH	R0, R0
;wlan.c,778 :: 		}
L_end_sl_WlanRxStatGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _sl_WlanRxStatGet
_sl_WlanSmartConfigStop:
;wlan.c,787 :: 		_i16 sl_WlanSmartConfigStop( void )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;wlan.c,789 :: 		return _SlDrvBasicCmd( SL_OPCODE_WLAN_SMART_CONFIG_STOP_COMMAND );
MOVW	R0, #36019
BL	__SlDrvBasicCmd+0
;wlan.c,790 :: 		}
L_end_sl_WlanSmartConfigStop:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _sl_WlanSmartConfigStop
_sl_WlanSmartConfigStart:
;wlan.c,828 :: 		const _u8    *pGroup2Key )
; group1KeyLen start address is: 12 (R3)
; publicKeyLen start address is: 8 (R2)
; cipher start address is: 4 (R1)
; groupIdBitmask start address is: 0 (R0)
SUB	SP, SP, #60
STR	LR, [SP, #0]
UXTB	R6, R3
; group1KeyLen end address is: 12 (R3)
; publicKeyLen end address is: 8 (R2)
; cipher end address is: 4 (R1)
; groupIdBitmask end address is: 0 (R0)
; groupIdBitmask start address is: 0 (R0)
; cipher start address is: 4 (R1)
; publicKeyLen start address is: 8 (R2)
; group1KeyLen start address is: 24 (R6)
; group2KeyLen start address is: 28 (R7)
LDRB	R7, [SP, #60]
; pPublicKey start address is: 12 (R3)
LDR	R3, [SP, #64]
; pGroup1Key start address is: 36 (R9)
LDR	R9, [SP, #68]
; pGroup2Key start address is: 32 (R8)
LDR	R8, [SP, #72]
;wlan.c,832 :: 		Msg.Cmd.Args.groupIdBitmask = ( _u8 )groupIdBitmask;
UXTB	R4, R0
; groupIdBitmask end address is: 0 (R0)
STR	R4, [SP, #4]
;wlan.c,833 :: 		Msg.Cmd.Args.cipher         = ( _u8 )cipher;
STRB	R1, [SP, #8]
; cipher end address is: 4 (R1)
;wlan.c,834 :: 		Msg.Cmd.Args.publicKeyLen   = ( _u8 )publicKeyLen;
STRB	R2, [SP, #9]
;wlan.c,835 :: 		Msg.Cmd.Args.group1KeyLen   = ( _u8 )group1KeyLen;
STRB	R6, [SP, #10]
;wlan.c,836 :: 		Msg.Cmd.Args.group2KeyLen   = ( _u8 )group2KeyLen;
STRB	R7, [SP, #11]
;wlan.c,839 :: 		sl_Memcpy( SMART_CONFIG_START_PUBLIC_KEY_STRING( &Msg ), pPublicKey,
ADD	R4, SP, #4
ADDS	R4, #8
;wlan.c,840 :: 		publicKeyLen );
; publicKeyLen end address is: 8 (R2)
;wlan.c,839 :: 		sl_Memcpy( SMART_CONFIG_START_PUBLIC_KEY_STRING( &Msg ), pPublicKey,
MOV	R1, R3
; pPublicKey end address is: 12 (R3)
MOV	R0, R4
;wlan.c,840 :: 		publicKeyLen );
BL	_memcpy+0
;wlan.c,841 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP1_KEY_STRING( &Msg ), pGroup1Key,
ADD	R4, SP, #4
ADDW	R5, R4, #8
ADDS	R4, R4, #5
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,842 :: 		group1KeyLen );
UXTB	R2, R6
; group1KeyLen end address is: 24 (R6)
;wlan.c,841 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP1_KEY_STRING( &Msg ), pGroup1Key,
MOV	R1, R9
; pGroup1Key end address is: 36 (R9)
MOV	R0, R4
;wlan.c,842 :: 		group1KeyLen );
BL	_memcpy+0
;wlan.c,843 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP2_KEY_STRING( &Msg ), pGroup2Key,
ADD	R6, SP, #4
ADDW	R5, R6, #8
ADDS	R4, R6, #5
LDRB	R4, [R4, #0]
ADDS	R5, R5, R4
ADDS	R4, R6, #6
LDRB	R4, [R4, #0]
ADDS	R4, R5, R4
;wlan.c,844 :: 		group2KeyLen );
UXTB	R2, R7
; group2KeyLen end address is: 28 (R7)
;wlan.c,843 :: 		sl_Memcpy( SMART_CONFIG_START_GROUP2_KEY_STRING( &Msg ), pGroup2Key,
MOV	R1, R8
; pGroup2Key end address is: 32 (R8)
MOV	R0, R4
;wlan.c,844 :: 		group2KeyLen );
BL	_memcpy+0
;wlan.c,846 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlSmartConfigStartCmdCtrl ,
ADD	R4, SP, #4
MOVS	R2, #0
MOV	R1, R4
MOVW	R0, #lo_addr(__SlSmartConfigStartCmdCtrl+0)
MOVT	R0, #hi_addr(__SlSmartConfigStartCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanSmartConfigStart105
L_sl_WlanSmartConfigStart106:
IT	AL
BAL	L_sl_WlanSmartConfigStart106
L_sl_WlanSmartConfigStart105:
;wlan.c,849 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,852 :: 		}
L_end_sl_WlanSmartConfigStart:
LDR	LR, [SP, #0]
ADD	SP, SP, #60
BX	LR
; end of _sl_WlanSmartConfigStart
_sl_WlanSetMode:
;wlan.c,878 :: 		_i16 sl_WlanSetMode( const _u8    mode )
; mode start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; mode end address is: 0 (R0)
; mode start address is: 0 (R0)
;wlan.c,882 :: 		Msg.Cmd.mode  = mode;
STRB	R0, [SP, #4]
; mode end address is: 0 (R0)
;wlan.c,884 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanSetModeCmdCtrl , &Msg,
ADD	R1, SP, #4
MOVS	R2, #0
MOVW	R0, #lo_addr(__SlWlanSetModeCmdCtrl+0)
MOVT	R0, #hi_addr(__SlWlanSetModeCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanSetMode108
L_sl_WlanSetMode109:
IT	AL
BAL	L_sl_WlanSetMode109
L_sl_WlanSetMode108:
;wlan.c,887 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #4]
;wlan.c,888 :: 		}
L_end_sl_WlanSetMode:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _sl_WlanSetMode
_sl_WlanSet:
;wlan.c,914 :: 		const _u16 ConfigLen, const  _u8 *pValues )
; ConfigLen start address is: 8 (R2)
SUB	SP, SP, #44
STR	LR, [SP, #0]
STRH	R0, [SP, #32]
UXTH	R0, R2
STRH	R1, [SP, #36]
STR	R3, [SP, #40]
; ConfigLen end address is: 8 (R2)
; ConfigLen start address is: 0 (R0)
;wlan.c,919 :: 		_SlDrvResetCmdExt( &CmdExt );
ADD	R4, SP, #16
STRH	R0, [SP, #4]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #4]
;wlan.c,920 :: 		CmdExt.TxPayloadLen = ( ConfigLen + 3 ) & ( ~3 );
ADDS	R5, R0, #3
UXTH	R5, R5
MOVW	R4, #65532
AND	R4, R5, R4, LSL #0
STRH	R4, [SP, #16]
;wlan.c,921 :: 		CmdExt.pTxPayload = ( _u8 * )pValues;
LDR	R4, [SP, #40]
STR	R4, [SP, #24]
;wlan.c,923 :: 		Msg.Cmd.ConfigId    = ConfigId;
LDRH	R4, [SP, #32]
STRH	R4, [SP, #10]
;wlan.c,924 :: 		Msg.Cmd.ConfigLen   = ConfigLen;
STRH	R0, [SP, #14]
; ConfigLen end address is: 0 (R0)
;wlan.c,925 :: 		Msg.Cmd.ConfigOpt   = ConfigOpt;
LDRH	R4, [SP, #36]
STRH	R4, [SP, #12]
;wlan.c,927 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanCfgSetCmdCtrl, &Msg,
ADD	R5, SP, #16
ADD	R4, SP, #8
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlWlanCfgSetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlWlanCfgSetCmdCtrl+0)
BL	__SlDrvCmdOp+0
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanSet111
L_sl_WlanSet112:
IT	AL
BAL	L_sl_WlanSet112
L_sl_WlanSet111:
;wlan.c,930 :: 		return ( _i16 )Msg.Rsp.status;
LDRSH	R0, [SP, #8]
;wlan.c,931 :: 		}
L_end_sl_WlanSet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_WlanSet
_sl_WlanGet:
;wlan.c,954 :: 		_u8 *pValues )
; pValues start address is: 12 (R3)
; pConfigLen start address is: 8 (R2)
; pConfigOpt start address is: 4 (R1)
; ConfigId start address is: 0 (R0)
SUB	SP, SP, #44
STR	LR, [SP, #0]
; pValues end address is: 12 (R3)
; pConfigLen end address is: 8 (R2)
; pConfigOpt end address is: 4 (R1)
; ConfigId end address is: 0 (R0)
; ConfigId start address is: 0 (R0)
; pConfigOpt start address is: 4 (R1)
; pConfigLen start address is: 8 (R2)
; pValues start address is: 12 (R3)
;wlan.c,959 :: 		if ( *pConfigLen == 0 )
LDRH	R4, [R2, #0]
CMP	R4, #0
IT	NE
BNE	L_sl_WlanGet114
; ConfigId end address is: 0 (R0)
; pConfigOpt end address is: 4 (R1)
; pConfigLen end address is: 8 (R2)
; pValues end address is: 12 (R3)
;wlan.c,960 :: 		return SL_EZEROLEN;
MOVW	R0, #63534
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanGet
L_sl_WlanGet114:
;wlan.c,962 :: 		_SlDrvResetCmdExt( &CmdExt );
; pValues start address is: 12 (R3)
; pConfigLen start address is: 8 (R2)
; pConfigOpt start address is: 4 (R1)
; ConfigId start address is: 0 (R0)
ADD	R4, SP, #28
STR	R3, [SP, #4]
STR	R2, [SP, #8]
STR	R1, [SP, #12]
STRH	R0, [SP, #16]
MOV	R0, R4
BL	__SlDrvResetCmdExt+0
LDRH	R0, [SP, #16]
LDR	R1, [SP, #12]
LDR	R2, [SP, #8]
LDR	R3, [SP, #4]
;wlan.c,963 :: 		CmdExt.RxPayloadLen = *pConfigLen;
LDRH	R4, [R2, #0]
STRH	R4, [SP, #30]
;wlan.c,964 :: 		CmdExt.pRxPayload = ( _u8 * )pValues;
STR	R3, [SP, #40]
; pValues end address is: 12 (R3)
;wlan.c,966 :: 		Msg.Cmd.ConfigId    = ConfigId;
STRH	R0, [SP, #22]
; ConfigId end address is: 0 (R0)
;wlan.c,967 :: 		if( pConfigOpt )
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanGet115
;wlan.c,968 :: 		Msg.Cmd.ConfigOpt   = ( _u16 ) * pConfigOpt;
LDRH	R4, [R1, #0]
STRH	R4, [SP, #24]
L_sl_WlanGet115:
;wlan.c,969 :: 		VERIFY_RET_OK( _SlDrvCmdOp( ( _SlCmdCtrl_t * )&_SlWlanCfgGetCmdCtrl, &Msg,
ADD	R5, SP, #28
ADD	R4, SP, #20
STR	R2, [SP, #4]
STR	R1, [SP, #8]
MOV	R2, R5
MOV	R1, R4
MOVW	R0, #lo_addr(__SlWlanCfgGetCmdCtrl+0)
MOVT	R0, #hi_addr(__SlWlanCfgGetCmdCtrl+0)
BL	__SlDrvCmdOp+0
LDR	R1, [SP, #8]
LDR	R2, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L_sl_WlanGet116
; pConfigOpt end address is: 4 (R1)
; pConfigLen end address is: 8 (R2)
L_sl_WlanGet117:
IT	AL
BAL	L_sl_WlanGet117
L_sl_WlanGet116:
;wlan.c,972 :: 		if( pConfigOpt )
; pConfigLen start address is: 8 (R2)
; pConfigOpt start address is: 4 (R1)
CMP	R1, #0
IT	EQ
BEQ	L_sl_WlanGet119
;wlan.c,973 :: 		*pConfigOpt = ( _u8 )Msg.Rsp.ConfigOpt;
LDRB	R4, [SP, #24]
STRH	R4, [R1, #0]
; pConfigOpt end address is: 4 (R1)
L_sl_WlanGet119:
;wlan.c,974 :: 		if ( CmdExt.RxPayloadLen < CmdExt.ActualRxPayloadLen )
LDRSH	R5, [SP, #32]
LDRSH	R4, [SP, #30]
CMP	R4, R5
IT	GE
BGE	L_sl_WlanGet120
;wlan.c,976 :: 		*pConfigLen = ( _u8 )CmdExt.RxPayloadLen;
LDRB	R4, [SP, #30]
STRH	R4, [R2, #0]
; pConfigLen end address is: 8 (R2)
;wlan.c,977 :: 		return SL_ESMALLBUF;
MOVW	R0, #63535
SXTH	R0, R0
IT	AL
BAL	L_end_sl_WlanGet
;wlan.c,978 :: 		}
L_sl_WlanGet120:
;wlan.c,980 :: 		*pConfigLen = ( _u8 )CmdExt.ActualRxPayloadLen;
; pConfigLen start address is: 8 (R2)
LDRB	R4, [SP, #32]
STRH	R4, [R2, #0]
; pConfigLen end address is: 8 (R2)
;wlan.c,983 :: 		return ( _i16 )Msg.Rsp.Status;
LDRSH	R0, [SP, #20]
;wlan.c,984 :: 		}
L_end_sl_WlanGet:
LDR	LR, [SP, #0]
ADD	SP, SP, #44
BX	LR
; end of _sl_WlanGet
