ADXL345_driver_ADXL345_Write:
;ADXL345_driver.c,32 :: 		static void ADXL345_Write(unsigned short address, unsigned short data1) {
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRB	R0, [SP, #4]
STRB	R1, [SP, #8]
;ADXL345_driver.c,33 :: 		I2C_Enable();              // issue I2C start signal
BL	_I2C_Enable+0
;ADXL345_driver.c,34 :: 		I2C_Master_Slave_Addr_Set(_ACCEL_ADDRESS, _I2C_DIR_MASTER_TRANSMIT);
MOVS	R1, #0
MOVS	R0, #29
BL	_I2C_Master_Slave_Addr_Set+0
;ADXL345_driver.c,35 :: 		I2C_Write(address,_I2C_MASTER_MODE_BURST_SEND_START);     // send byte (address of the location)
MOVS	R1, #3
LDRB	R0, [SP, #4]
BL	_I2C_Write+0
;ADXL345_driver.c,36 :: 		I2C_Write(data1,_I2C_MASTER_MODE_BURST_SEND_FINISH);      // send data (data to be written)
MOVS	R1, #5
LDRB	R0, [SP, #8]
BL	_I2C_Write+0
;ADXL345_driver.c,37 :: 		I2C_Disable();               // issue I2C stop signal
BL	_I2C_Disable+0
;ADXL345_driver.c,38 :: 		}
L_end_ADXL345_Write:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of ADXL345_driver_ADXL345_Write
_ADXL345_Read:
;ADXL345_driver.c,47 :: 		void ADXL345_Read(int *data_X, int *data_Y, int *data_Z){
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R0, [SP, #4]
STR	R1, [SP, #8]
STR	R2, [SP, #12]
;ADXL345_driver.c,48 :: 		I2C_Enable();              // issue I2C start signal
BL	_I2C_Enable+0
;ADXL345_driver.c,49 :: 		I2C_Master_Slave_Addr_Set(_ACCEL_ADDRESS, _I2C_DIR_MASTER_TRANSMIT);              // issue I2C start signal
MOVS	R1, #0
MOVS	R0, #29
BL	_I2C_Master_Slave_Addr_Set+0
;ADXL345_driver.c,50 :: 		I2C_Write(_DATAX0, _I2C_MASTER_MODE_SINGLE_SEND);
MOVS	R1, #7
MOVS	R0, #50
BL	_I2C_Write+0
;ADXL345_driver.c,51 :: 		I2C_Master_Slave_Addr_Set(_ACCEL_ADDRESS, _I2C_DIR_MASTER_RECEIVE);
MOVS	R1, #1
MOVS	R0, #29
BL	_I2C_Master_Slave_Addr_Set+0
;ADXL345_driver.c,52 :: 		I2C_Read(&data_[0], _I2C_MASTER_MODE_BURST_RECEIVE_START);
MOVS	R1, #11
MOVW	R0, #lo_addr(ADXL345_driver_data_+0)
MOVT	R0, #hi_addr(ADXL345_driver_data_+0)
BL	_I2C_Read+0
;ADXL345_driver.c,53 :: 		I2C_Read(&data_[1], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
MOVS	R1, #9
MOVW	R0, #lo_addr(ADXL345_driver_data_+1)
MOVT	R0, #hi_addr(ADXL345_driver_data_+1)
BL	_I2C_Read+0
;ADXL345_driver.c,54 :: 		I2C_Read(&data_[2], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
MOVS	R1, #9
MOVW	R0, #lo_addr(ADXL345_driver_data_+2)
MOVT	R0, #hi_addr(ADXL345_driver_data_+2)
BL	_I2C_Read+0
;ADXL345_driver.c,55 :: 		I2C_Read(&data_[3], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
MOVS	R1, #9
MOVW	R0, #lo_addr(ADXL345_driver_data_+3)
MOVT	R0, #hi_addr(ADXL345_driver_data_+3)
BL	_I2C_Read+0
;ADXL345_driver.c,56 :: 		I2C_Read(&data_[4], _I2C_MASTER_MODE_BURST_RECEIVE_CONT);
MOVS	R1, #9
MOVW	R0, #lo_addr(ADXL345_driver_data_+4)
MOVT	R0, #hi_addr(ADXL345_driver_data_+4)
BL	_I2C_Read+0
;ADXL345_driver.c,57 :: 		I2C_Read(&data_[5], _I2C_MASTER_MODE_BURST_RECEIVE_FINISH);
MOVS	R1, #5
MOVW	R0, #lo_addr(ADXL345_driver_data_+5)
MOVT	R0, #hi_addr(ADXL345_driver_data_+5)
BL	_I2C_Read+0
;ADXL345_driver.c,58 :: 		I2C_Disable();               // issue I2C stop signal
BL	_I2C_Disable+0
;ADXL345_driver.c,60 :: 		*data_X = data_[0] + (data_[1] << 8);
MOVW	R3, #lo_addr(ADXL345_driver_data_+1)
MOVT	R3, #hi_addr(ADXL345_driver_data_+1)
LDRB	R3, [R3, #0]
LSLS	R4, R3, #8
UXTH	R4, R4
MOVW	R3, #lo_addr(ADXL345_driver_data_+0)
MOVT	R3, #hi_addr(ADXL345_driver_data_+0)
LDRB	R3, [R3, #0]
ADDS	R4, R3, R4
LDR	R3, [SP, #4]
STRH	R4, [R3, #0]
;ADXL345_driver.c,61 :: 		*data_Y = data_[2] + (data_[3] << 8);
MOVW	R3, #lo_addr(ADXL345_driver_data_+3)
MOVT	R3, #hi_addr(ADXL345_driver_data_+3)
LDRB	R3, [R3, #0]
LSLS	R4, R3, #8
UXTH	R4, R4
MOVW	R3, #lo_addr(ADXL345_driver_data_+2)
MOVT	R3, #hi_addr(ADXL345_driver_data_+2)
LDRB	R3, [R3, #0]
ADDS	R4, R3, R4
LDR	R3, [SP, #8]
STRH	R4, [R3, #0]
;ADXL345_driver.c,62 :: 		*data_Z = data_[4] + (data_[5] << 8);
MOVW	R3, #lo_addr(ADXL345_driver_data_+5)
MOVT	R3, #hi_addr(ADXL345_driver_data_+5)
LDRB	R3, [R3, #0]
LSLS	R4, R3, #8
UXTH	R4, R4
MOVW	R3, #lo_addr(ADXL345_driver_data_+4)
MOVT	R3, #hi_addr(ADXL345_driver_data_+4)
LDRB	R3, [R3, #0]
ADDS	R4, R3, R4
LDR	R3, [SP, #12]
STRH	R4, [R3, #0]
;ADXL345_driver.c,63 :: 		}
L_end_ADXL345_Read:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _ADXL345_Read
ADXL345_driver_ADXL345_Read_Register:
;ADXL345_driver.c,72 :: 		static unsigned short ADXL345_Read_Register(unsigned short address) {
SUB	SP, SP, #12
STR	LR, [SP, #0]
STRB	R0, [SP, #8]
;ADXL345_driver.c,73 :: 		unsigned short tmp = 0;
MOVS	R1, #0
STRB	R1, [SP, #4]
;ADXL345_driver.c,74 :: 		I2C_Enable();              // issue I2C start signal
BL	_I2C_Enable+0
;ADXL345_driver.c,75 :: 		I2C_Master_Slave_Addr_Set(_ACCEL_ADDRESS, _I2C_DIR_MASTER_TRANSMIT);              // issue I2C start signal
MOVS	R1, #0
MOVS	R0, #29
BL	_I2C_Master_Slave_Addr_Set+0
;ADXL345_driver.c,76 :: 		I2C_Write(address, _I2C_MASTER_MODE_SINGLE_SEND);
MOVS	R1, #7
LDRB	R0, [SP, #8]
BL	_I2C_Write+0
;ADXL345_driver.c,77 :: 		I2C_Master_Slave_Addr_Set(_ACCEL_ADDRESS, _I2C_DIR_MASTER_RECEIVE);
MOVS	R1, #1
MOVS	R0, #29
BL	_I2C_Master_Slave_Addr_Set+0
;ADXL345_driver.c,78 :: 		I2C_Read(&tmp, _I2C_MASTER_MODE_SINGLE_RECEIVE);
ADD	R1, SP, #4
MOV	R0, R1
MOVS	R1, #7
BL	_I2C_Read+0
;ADXL345_driver.c,79 :: 		I2C_Disable();               // issue I2C stop signal
BL	_I2C_Disable+0
;ADXL345_driver.c,81 :: 		return tmp;
LDRB	R0, [SP, #4]
;ADXL345_driver.c,82 :: 		}
L_end_ADXL345_Read_Register:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of ADXL345_driver_ADXL345_Read_Register
_ADXL345_Init:
;ADXL345_driver.c,91 :: 		char ADXL345_Init() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;ADXL345_driver.c,92 :: 		char id = 0x00;
;ADXL345_driver.c,94 :: 		ADXL345_Write(0x2D, 0x00);
MOVS	R1, #0
MOVS	R0, #45
BL	ADXL345_driver_ADXL345_Write+0
;ADXL345_driver.c,95 :: 		id = ADXL345_Read_Register(0x00);
MOVS	R0, #0
BL	ADXL345_driver_ADXL345_Read_Register+0
;ADXL345_driver.c,96 :: 		if (id != 0xE5) {
CMP	R0, #229
IT	EQ
BEQ	L_ADXL345_Init0
;ADXL345_driver.c,97 :: 		return _ACCEL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_ADXL345_Init
;ADXL345_driver.c,98 :: 		}
L_ADXL345_Init0:
;ADXL345_driver.c,100 :: 		ADXL345_Write(_DATA_FORMAT, 0x08);       // Full resolution, +/-2g, 4mg/LSB, right justified
MOVS	R1, #8
MOVS	R0, #49
BL	ADXL345_driver_ADXL345_Write+0
;ADXL345_driver.c,101 :: 		ADXL345_Write(_BW_RATE, 0x0A);           // Set 100 Hz data rate
MOVS	R1, #10
MOVS	R0, #44
BL	ADXL345_driver_ADXL345_Write+0
;ADXL345_driver.c,102 :: 		ADXL345_Write(_FIFO_CTL, 0x80);          // stream mode
MOVS	R1, #128
MOVS	R0, #56
BL	ADXL345_driver_ADXL345_Write+0
;ADXL345_driver.c,103 :: 		ADXL345_Write(_POWER_CTL, 0x08);         // POWER_CTL reg: measurement mode
MOVS	R1, #8
MOVS	R0, #45
BL	ADXL345_driver_ADXL345_Write+0
;ADXL345_driver.c,104 :: 		return 0x00;
MOVS	R0, #0
;ADXL345_driver.c,106 :: 		}
L_end_ADXL345_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _ADXL345_Init
