_Init_GPIO:
;Init_routines.c,98 :: 		void Init_GPIO(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Init_routines.c,100 :: 		GPIO_Digital_Input(&GPIO_PORTE_AHB, _GPIO_PINMASK_6);
MOVS	R1, #64
MOVW	R0, #lo_addr(GPIO_PORTE_AHB+0)
MOVT	R0, #hi_addr(GPIO_PORTE_AHB+0)
BL	_GPIO_Digital_Input+0
;Init_routines.c,103 :: 		Sound_Init(&GPIO_PORTM_DATA, 7);
MOVS	R1, #7
MOVW	R0, #lo_addr(GPIO_PORTM_DATA+0)
MOVT	R0, #hi_addr(GPIO_PORTM_DATA+0)
BL	_Sound_Init+0
;Init_routines.c,106 :: 		GPIO_Digital_Output(&GPIO_PORTD_AHB, _GPIO_PINMASK_2 | _GPIO_PINMASK_3 | _GPIO_PINMASK_5);
MOVS	R1, #44
MOVW	R0, #lo_addr(GPIO_PORTD_AHB+0)
MOVT	R0, #hi_addr(GPIO_PORTD_AHB+0)
BL	_GPIO_Digital_Output+0
;Init_routines.c,109 :: 		Power_Man_Init();
BL	_Power_Man_Init+0
;Init_routines.c,112 :: 		GPIO_Digital_Output(&GPIO_PORTM, _GPIO_PINMASK_6);
MOVS	R1, #64
MOVW	R0, #lo_addr(GPIO_PORTM+0)
MOVT	R0, #hi_addr(GPIO_PORTM+0)
BL	_GPIO_Digital_Output+0
;Init_routines.c,113 :: 		BackLight_PWM_period = PWM_T5CCP0_Init(200, &_GPIO_MODULE_T5CCP0_M6);
MOVW	R1, #lo_addr(__GPIO_MODULE_T5CCP0_M6+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_T5CCP0_M6+0)
MOVS	R0, #200
BL	_PWM_T5CCP0_Init+0
MOVW	R1, #lo_addr(_BackLight_PWM_period+0)
MOVT	R1, #hi_addr(_BackLight_PWM_period+0)
STR	R0, [R1, #0]
;Init_routines.c,114 :: 		PWM_T5CCP0_Set_Duty(BackLight_PWM_period, _PWM_INVERTED_DISABLE);
MOVS	R1, #0
BL	_PWM_T5CCP0_Set_Duty+0
;Init_routines.c,115 :: 		PWM_T5CCP0_Start();
BL	_PWM_T5CCP0_Start+0
;Init_routines.c,118 :: 		Fat_Initialized_Flag = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_Fat_Initialized_Flag+0)
MOVT	R0, #hi_addr(_Fat_Initialized_Flag+0)
STRB	R1, [R0, #0]
;Init_routines.c,119 :: 		Ext_res_initialized = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(Init_routines_Ext_res_initialized+0)
MOVT	R0, #hi_addr(Init_routines_Ext_res_initialized+0)
STRB	R1, [R0, #0]
;Init_routines.c,120 :: 		Ext_fhandle = 0xFF;
MOVS	R1, #255
SXTB	R1, R1
MOVW	R0, #lo_addr(Init_routines_Ext_fhandle+0)
MOVT	R0, #hi_addr(Init_routines_Ext_fhandle+0)
STRB	R1, [R0, #0]
;Init_routines.c,122 :: 		My_MemoryStartPtr = 0x10000000;
MOV	R1, #268435456
MOVW	R0, #lo_addr(_My_MemoryStartPtr+0)
MOVT	R0, #hi_addr(_My_MemoryStartPtr+0)
STR	R1, [R0, #0]
;Init_routines.c,123 :: 		}
L_end_Init_GPIO:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Init_GPIO
_MyTFT_Get_Data:
;Init_routines.c,132 :: 		char* MyTFT_Get_Data(unsigned long fPos, unsigned long bytesToGet, unsigned long *pBytesGot) {
SUB	SP, SP, #16
STR	LR, [SP, #0]
STR	R0, [SP, #4]
STR	R1, [SP, #8]
STR	R2, [SP, #12]
;Init_routines.c,135 :: 		*pBytesGot = 0;
MOVS	R4, #0
LDR	R3, [SP, #12]
STR	R4, [R3, #0]
;Init_routines.c,137 :: 		if (Ext_fhandle < 0) {
MOVW	R3, #lo_addr(Init_routines_Ext_fhandle+0)
MOVT	R3, #hi_addr(Init_routines_Ext_fhandle+0)
LDRSB	R3, [R3, #0]
CMP	R3, #0
IT	GE
BGE	L_MyTFT_Get_Data0
;Init_routines.c,138 :: 		return 0; // return with nil if handle was bad.
MOVS	R0, #0
IT	AL
BAL	L_end_MyTFT_Get_Data
;Init_routines.c,139 :: 		}
L_MyTFT_Get_Data0:
;Init_routines.c,141 :: 		SPI_Set_Active(SPI0_Read, SPI0_Write);
MOVW	R4, #lo_addr(_SPI0_Write+0)
MOVT	R4, #hi_addr(_SPI0_Write+0)
MOVW	R3, #lo_addr(_SPI0_Read+0)
MOVT	R3, #hi_addr(_SPI0_Read+0)
MOV	R1, R4
MOV	R0, R3
BL	_SPI_Set_Active+0
;Init_routines.c,148 :: 		f32_sector.fSectNum = rfStartSect + fPos / 512;
LDR	R3, [SP, #4]
LSRS	R4, R3, #9
MOVW	R3, #lo_addr(Init_routines_rfStartSect+0)
MOVT	R3, #hi_addr(Init_routines_rfStartSect+0)
LDR	R3, [R3, #0]
ADDS	R4, R3, R4
MOVW	R3, #lo_addr(_f32_sector+0)
MOVT	R3, #hi_addr(_f32_sector+0)
STR	R4, [R3, #0]
;Init_routines.c,149 :: 		Mmc_Read_Sector(f32_sector.fSectNum, f32_sector.fSect);
MOV	R3, R4
MOVW	R1, #lo_addr(_f32_sector+4)
MOVT	R1, #hi_addr(_f32_sector+4)
MOV	R0, R3
BL	_Mmc_Read_Sector+0
;Init_routines.c,152 :: 		scOffset = fPos % 512;
LDR	R4, [SP, #4]
MOVW	R3, #511
AND	R3, R4, R3, LSL #0
; scOffset start address is: 20 (R5)
UXTH	R5, R3
;Init_routines.c,153 :: 		if(bytesToGet > 512-scOffset)
UXTH	R3, R3
RSB	R4, R3, #512
UXTH	R4, R4
LDR	R3, [SP, #8]
CMP	R3, R4
IT	LS
BLS	L_MyTFT_Get_Data1
;Init_routines.c,154 :: 		*pBytesGot = 512-scOffset;
RSB	R4, R5, #512
UXTH	R4, R4
LDR	R3, [SP, #12]
STR	R4, [R3, #0]
IT	AL
BAL	L_MyTFT_Get_Data2
L_MyTFT_Get_Data1:
;Init_routines.c,156 :: 		*pBytesGot = bytesToGet;
LDR	R4, [SP, #8]
LDR	R3, [SP, #12]
STR	R4, [R3, #0]
L_MyTFT_Get_Data2:
;Init_routines.c,158 :: 		SPI_Set_Active(SPI1_Read, SPI1_Write);
MOVW	R4, #lo_addr(_SPI1_Write+0)
MOVT	R4, #hi_addr(_SPI1_Write+0)
MOVW	R3, #lo_addr(_SPI1_Read+0)
MOVT	R3, #hi_addr(_SPI1_Read+0)
MOV	R1, R4
MOV	R0, R3
BL	_SPI_Set_Active+0
;Init_routines.c,160 :: 		return &f32_sector.fSect + scOffset;
MOVW	R3, #lo_addr(_f32_sector+4)
MOVT	R3, #hi_addr(_f32_sector+4)
ADDS	R3, R3, R5
; scOffset end address is: 20 (R5)
MOV	R0, R3
;Init_routines.c,161 :: 		}
L_end_MyTFT_Get_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #16
BX	LR
; end of _MyTFT_Get_Data
_Fill_LoadingBar:
;Init_routines.c,170 :: 		void Fill_LoadingBar(unsigned short bar){
; bar start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTB	R6, R0
; bar end address is: 0 (R0)
; bar start address is: 24 (R6)
;Init_routines.c,173 :: 		if (bar == 127){
CMP	R6, #127
IT	NE
BNE	L_Fill_LoadingBar3
; bar end address is: 24 (R6)
;Init_routines.c,174 :: 		TFTIntern_Set_Pen(CL_GRAY_Intern, 2);
MOVS	R1, #2
MOVW	R0, #33808
BL	_TFTIntern_Set_Pen+0
;Init_routines.c,175 :: 		TFTIntern_H_Line(Line1.First_Point_X - 5, Line1.Second_Point_X, Line1.Second_Point_Y);
MOVW	R1, #lo_addr(_Line1+12)
MOVT	R1, #hi_addr(_Line1+12)
LDRH	R3, [R1, #0]
MOVW	R1, #lo_addr(_Line1+10)
MOVT	R1, #hi_addr(_Line1+10)
LDRH	R2, [R1, #0]
MOVW	R1, #lo_addr(_Line1+6)
MOVT	R1, #hi_addr(_Line1+6)
LDRH	R1, [R1, #0]
SUBS	R1, R1, #5
SXTH	R0, R1
SXTH	R1, R2
SXTH	R2, R3
BL	_TFTIntern_H_Line+0
;Init_routines.c,176 :: 		}
IT	AL
BAL	L_Fill_LoadingBar4
L_Fill_LoadingBar3:
;Init_routines.c,178 :: 		if (old_bar != bar){
; bar start address is: 24 (R6)
MOVW	R1, #lo_addr(Fill_LoadingBar_old_bar_L0+0)
MOVT	R1, #hi_addr(Fill_LoadingBar_old_bar_L0+0)
LDRB	R1, [R1, #0]
CMP	R1, R6
IT	EQ
BEQ	L_Fill_LoadingBar5
;Init_routines.c,179 :: 		old_bar = bar;
MOVW	R1, #lo_addr(Fill_LoadingBar_old_bar_L0+0)
MOVT	R1, #hi_addr(Fill_LoadingBar_old_bar_L0+0)
STRB	R6, [R1, #0]
;Init_routines.c,180 :: 		TFTIntern_Set_Pen(CL_WHITE_Intern, 2);
MOVS	R1, #2
MOVW	R0, #65535
BL	_TFTIntern_Set_Pen+0
;Init_routines.c,181 :: 		TFTIntern_H_Line(Line1.First_Point_X + (bar-1) * 5, Line1.First_Point_X + bar * 5, Line1.Second_Point_Y);
MOVW	R1, #lo_addr(_Line1+12)
MOVT	R1, #hi_addr(_Line1+12)
LDRH	R5, [R1, #0]
MOVS	R1, #5
SXTH	R1, R1
MUL	R2, R6, R1
SXTH	R2, R2
MOVW	R4, #lo_addr(_Line1+6)
MOVT	R4, #hi_addr(_Line1+6)
LDRH	R1, [R4, #0]
ADDS	R3, R1, R2
SUBS	R2, R6, #1
SXTH	R2, R2
; bar end address is: 24 (R6)
MOVS	R1, #5
SXTH	R1, R1
MULS	R2, R1, R2
SXTH	R2, R2
MOV	R1, R4
LDRH	R1, [R1, #0]
ADDS	R1, R1, R2
SXTH	R2, R5
SXTH	R0, R1
SXTH	R1, R3
BL	_TFTIntern_H_Line+0
;Init_routines.c,182 :: 		}
L_Fill_LoadingBar5:
L_Fill_LoadingBar4:
;Init_routines.c,183 :: 		}
L_end_Fill_LoadingBar:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Fill_LoadingBar
_CopyImage_FromResources_ToSRAM:
;Init_routines.c,192 :: 		char CopyImage_FromResources_ToSRAM(unsigned long offset, unsigned int *SRAMStartPtr){
SUB	SP, SP, #28
STR	LR, [SP, #0]
STR	R0, [SP, #20]
STR	R1, [SP, #24]
;Init_routines.c,198 :: 		ptr = MyTFT_Get_Data(offset, 6, &number);
ADD	R2, SP, #4
MOVS	R1, #6
LDR	R0, [SP, #20]
BL	_MyTFT_Get_Data+0
; ptr start address is: 0 (R0)
;Init_routines.c,200 :: 		if (number == 6){
LDR	R2, [SP, #4]
CMP	R2, #6
IT	NE
BNE	L_CopyImage_FromResources_ToSRAM6
;Init_routines.c,201 :: 		size = ((unsigned long)(*(ptr+3)) << 8) + *(ptr+2);
ADDS	R2, R0, #3
LDRB	R2, [R2, #0]
LSLS	R3, R2, #8
ADDS	R2, R0, #2
LDRB	R2, [R2, #0]
ADDS	R4, R3, R2
;Init_routines.c,202 :: 		size *= ((unsigned long)(*(ptr+5)) << 8) + *(ptr+4);
ADDS	R2, R0, #5
LDRB	R2, [R2, #0]
LSLS	R3, R2, #8
ADDS	R2, R0, #4
; ptr end address is: 0 (R0)
LDRB	R2, [R2, #0]
ADDS	R2, R3, R2
MULS	R2, R4, R2
;Init_routines.c,203 :: 		size *= 2;
LSLS	R2, R2, #1
;Init_routines.c,204 :: 		size += 6;                                   // header is 6 bytes
ADDS	R2, R2, #6
STR	R2, [SP, #12]
;Init_routines.c,205 :: 		}
IT	AL
BAL	L_CopyImage_FromResources_ToSRAM7
L_CopyImage_FromResources_ToSRAM6:
;Init_routines.c,207 :: 		return 1;
MOVS	R0, #1
IT	AL
BAL	L_end_CopyImage_FromResources_ToSRAM
L_CopyImage_FromResources_ToSRAM7:
;Init_routines.c,209 :: 		step = size / 100;
LDR	R3, [SP, #12]
MOVS	R2, #100
SDIV	R2, R3, R2
STRH	R2, [SP, #16]
;Init_routines.c,210 :: 		written = 0;
MOVS	R2, #0
STR	R2, [SP, #8]
;Init_routines.c,211 :: 		while (size > 0){
L_CopyImage_FromResources_ToSRAM8:
LDR	R2, [SP, #12]
CMP	R2, #0
IT	LE
BLE	L_CopyImage_FromResources_ToSRAM9
;Init_routines.c,212 :: 		if (size%2)
LDR	R4, [SP, #12]
MOVS	R3, #2
SDIV	R2, R4, R3
MLS	R2, R3, R2, R4
CMP	R2, #0
IT	EQ
BEQ	L_CopyImage_FromResources_ToSRAM10
;Init_routines.c,213 :: 		asm nop;
NOP
L_CopyImage_FromResources_ToSRAM10:
;Init_routines.c,214 :: 		ptr = MyTFT_Get_Data(offset + written, 512, &number);
ADD	R4, SP, #4
LDR	R3, [SP, #8]
LDR	R2, [SP, #20]
ADDS	R2, R2, R3
MOVW	R1, #512
MOV	R0, R2
MOV	R2, R4
BL	_MyTFT_Get_Data+0
;Init_routines.c,215 :: 		EPI_WorkaroundHWordWriteArrayInc(SRAMStartPtr + written/2, (unsigned int *)ptr, number/2);
LDR	R2, [SP, #4]
LSRS	R4, R2, #1
LDR	R2, [SP, #8]
LSRS	R2, R2, #1
LSLS	R3, R2, #1
LDR	R2, [SP, #24]
ADDS	R2, R2, R3
MOV	R1, R0
MOV	R0, R2
UXTH	R2, R4
BL	_EPI_WorkaroundHWordWriteArrayInc+0
;Init_routines.c,216 :: 		Fill_LoadingBar(written / step);
LDRH	R3, [SP, #16]
LDR	R2, [SP, #8]
UDIV	R2, R2, R3
UXTB	R0, R2
BL	_Fill_LoadingBar+0
;Init_routines.c,217 :: 		size -= number;
LDR	R3, [SP, #4]
LDR	R2, [SP, #12]
SUB	R2, R2, R3
STR	R2, [SP, #12]
;Init_routines.c,218 :: 		written += number;
LDR	R3, [SP, #4]
LDR	R2, [SP, #8]
ADDS	R2, R2, R3
STR	R2, [SP, #8]
;Init_routines.c,219 :: 		}
IT	AL
BAL	L_CopyImage_FromResources_ToSRAM8
L_CopyImage_FromResources_ToSRAM9:
;Init_routines.c,221 :: 		Fill_LoadingBar(127);
MOVS	R0, #127
BL	_Fill_LoadingBar+0
;Init_routines.c,222 :: 		return 0;
MOVS	R0, #0
;Init_routines.c,223 :: 		}
L_end_CopyImage_FromResources_ToSRAM:
LDR	LR, [SP, #0]
ADD	SP, SP, #28
BX	LR
; end of _CopyImage_FromResources_ToSRAM
_Get_Cursor_Offset:
;Init_routines.c,232 :: 		unsigned long Get_Cursor_Offset(unsigned int _x, unsigned int _y) {
; _y start address is: 4 (R1)
; _x start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
UXTH	R3, R1
UXTH	R1, R0
; _y end address is: 4 (R1)
; _x end address is: 0 (R0)
; _x start address is: 4 (R1)
; _y start address is: 12 (R3)
;Init_routines.c,235 :: 		if (TFTIntern_GetDisplayRotation() == _TFT_INTERN_ROTATE_0) {
BL	_TFTIntern_GetDisplayRotation+0
CMP	R0, #0
IT	NE
BNE	L_Get_Cursor_Offset11
;Init_routines.c,236 :: 		x_cord = _x;
STRH	R1, [SP, #4]
; _x end address is: 4 (R1)
;Init_routines.c,237 :: 		y_cord = _y;
STRH	R3, [SP, #6]
; _y end address is: 12 (R3)
;Init_routines.c,238 :: 		} else if (TFTIntern_GetDisplayRotation() == _TFT_INTERN_ROTATE_180) {
IT	AL
BAL	L_Get_Cursor_Offset12
L_Get_Cursor_Offset11:
; _y start address is: 12 (R3)
; _x start address is: 4 (R1)
BL	_TFTIntern_GetDisplayRotation+0
CMP	R0, #2
IT	NE
BNE	L_Get_Cursor_Offset13
;Init_routines.c,239 :: 		x_cord = TFTIntern_DisplayWidth - 1 - _x;
MOVW	R2, #lo_addr(_TFTIntern_DisplayWidth+0)
MOVT	R2, #hi_addr(_TFTIntern_DisplayWidth+0)
LDRH	R2, [R2, #0]
SUBS	R2, R2, #1
UXTH	R2, R2
SUB	R2, R2, R1
; _x end address is: 4 (R1)
STRH	R2, [SP, #4]
;Init_routines.c,240 :: 		y_cord = TFTIntern_DisplayHeight - 1 - _y;
MOVW	R2, #lo_addr(_TFTIntern_DisplayHeight+0)
MOVT	R2, #hi_addr(_TFTIntern_DisplayHeight+0)
LDRH	R2, [R2, #0]
SUBS	R2, R2, #1
UXTH	R2, R2
SUB	R2, R2, R3
; _y end address is: 12 (R3)
STRH	R2, [SP, #6]
;Init_routines.c,241 :: 		}
L_Get_Cursor_Offset13:
L_Get_Cursor_Offset12:
;Init_routines.c,243 :: 		return (TFTIntern_DisplayWidth * (unsigned long)y_cord) + x_cord;
LDRH	R3, [SP, #6]
MOVW	R2, #lo_addr(_TFTIntern_DisplayWidth+0)
MOVT	R2, #hi_addr(_TFTIntern_DisplayWidth+0)
LDRH	R2, [R2, #0]
MULS	R3, R2, R3
LDRH	R2, [SP, #4]
ADDS	R2, R3, R2
MOV	R0, R2
;Init_routines.c,244 :: 		}
L_end_Get_Cursor_Offset:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Get_Cursor_Offset
_Init_FAT:
;Init_routines.c,254 :: 		char Init_FAT(){
SUB	SP, SP, #12
STR	LR, [SP, #0]
;Init_routines.c,255 :: 		char FAT_cnt = 0;
; FAT_cnt start address is: 8 (R2)
MOVS	R2, #0
;Init_routines.c,256 :: 		if (MMC_Card_Detect == 0){
MOVW	R1, #lo_addr(GPIO_PORTE_AHB_DATA+0)
MOVT	R1, #hi_addr(GPIO_PORTE_AHB_DATA+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_Init_FAT14
;Init_routines.c,257 :: 		if (Fat_Initialized_Flag == 0){
MOVW	R0, #lo_addr(_Fat_Initialized_Flag+0)
MOVT	R0, #hi_addr(_Fat_Initialized_Flag+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_Init_FAT15
;Init_routines.c,258 :: 		SPI0_Init_Advanced(1000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI0_A245_AHB);
STRB	R2, [SP, #4]
MOVW	R3, #lo_addr(__GPIO_MODULE_SPI0_A245_AHB+0)
MOVT	R3, #hi_addr(__GPIO_MODULE_SPI0_A245_AHB+0)
MOVS	R2, #7
MOVW	R1, #0
MOVW	R0, #16960
MOVT	R0, #15
BL	_SPI0_Init_Advanced+0
; FAT_cnt end address is: 8 (R2)
LDRB	R2, [SP, #4]
UXTB	R1, R2
;Init_routines.c,259 :: 		while ((Fat32_Init() != 0) && (FAT_cnt < 5))
L_Init_FAT16:
; FAT_cnt start address is: 4 (R1)
STRB	R1, [SP, #4]
BL	_FAT32_Init+0
LDRB	R1, [SP, #4]
CMP	R0, #0
IT	EQ
BEQ	L__Init_FAT36
CMP	R1, #5
IT	CS
BCS	L__Init_FAT35
L__Init_FAT34:
;Init_routines.c,260 :: 		Fat_cnt ++;
ADDS	R1, R1, #1
UXTB	R1, R1
IT	AL
BAL	L_Init_FAT16
;Init_routines.c,259 :: 		while ((Fat32_Init() != 0) && (FAT_cnt < 5))
L__Init_FAT36:
L__Init_FAT35:
;Init_routines.c,261 :: 		if (FAT_cnt < 5){
CMP	R1, #5
IT	CS
BCS	L_Init_FAT20
; FAT_cnt end address is: 4 (R1)
;Init_routines.c,262 :: 		SPI0_Init_Advanced(20000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI0_A245_AHB);
MOVW	R3, #lo_addr(__GPIO_MODULE_SPI0_A245_AHB+0)
MOVT	R3, #hi_addr(__GPIO_MODULE_SPI0_A245_AHB+0)
MOVS	R2, #7
MOVW	R1, #0
MOVW	R0, #11520
MOVT	R0, #305
BL	_SPI0_Init_Advanced+0
;Init_routines.c,263 :: 		Fat_Initialized_Flag = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_Fat_Initialized_Flag+0)
MOVT	R0, #hi_addr(_Fat_Initialized_Flag+0)
STRB	R1, [R0, #0]
;Init_routines.c,264 :: 		}
L_Init_FAT20:
;Init_routines.c,265 :: 		}
L_Init_FAT15:
;Init_routines.c,266 :: 		if ((Ext_res_initialized == 0) && (Fat_Initialized_Flag == 1)){
MOVW	R0, #lo_addr(Init_routines_Ext_res_initialized+0)
MOVT	R0, #hi_addr(Init_routines_Ext_res_initialized+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L__Init_FAT38
MOVW	R0, #lo_addr(_Fat_Initialized_Flag+0)
MOVT	R0, #hi_addr(_Fat_Initialized_Flag+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L__Init_FAT37
L__Init_FAT33:
;Init_routines.c,267 :: 		TFTIntern_Set_Ext_Buffer(MyTFT_Get_Data);
MOVW	R0, #lo_addr(_MyTFT_Get_Data+0)
MOVT	R0, #hi_addr(_MyTFT_Get_Data+0)
BL	_TFTIntern_Set_Ext_Buffer+0
;Init_routines.c,268 :: 		Ext_fhandle = FAT32_Open("Res_reso.RES", 1);
MOVW	R0, #lo_addr(?lstr1_Init_routines+0)
MOVT	R0, #hi_addr(?lstr1_Init_routines+0)
MOVS	R1, #1
BL	_FAT32_Open+0
MOVW	R1, #lo_addr(Init_routines_Ext_fhandle+0)
MOVT	R1, #hi_addr(Init_routines_Ext_fhandle+0)
STR	R1, [SP, #8]
STRB	R0, [R1, #0]
;Init_routines.c,269 :: 		rfStartSect = FAT32_ClustToSect(fat32_fdesc[Ext_fhandle]._1stClust);
MOVS	R1, #28
MULS	R1, R0, R1
MOVW	R0, #lo_addr(_fat32_fdesc+0)
MOVT	R0, #hi_addr(_fat32_fdesc+0)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
BL	_FAT32_ClustToSect+0
MOVW	R1, #lo_addr(Init_routines_rfStartSect+0)
MOVT	R1, #hi_addr(Init_routines_rfStartSect+0)
STR	R0, [R1, #0]
;Init_routines.c,270 :: 		if (Ext_fhandle != 0xFF)
LDR	R0, [SP, #8]
LDRSB	R0, [R0, #0]
CMP	R0, #255
IT	EQ
BEQ	L_Init_FAT24
;Init_routines.c,271 :: 		Ext_res_initialized = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(Init_routines_Ext_res_initialized+0)
MOVT	R0, #hi_addr(Init_routines_Ext_res_initialized+0)
STRB	R1, [R0, #0]
L_Init_FAT24:
;Init_routines.c,266 :: 		if ((Ext_res_initialized == 0) && (Fat_Initialized_Flag == 1)){
L__Init_FAT38:
L__Init_FAT37:
;Init_routines.c,273 :: 		}
L_Init_FAT14:
;Init_routines.c,274 :: 		SPI0_Init_Advanced(20000000, _SPI_MASTER, _SPI_8_BIT | _SPI_CLK_IDLE_LOW | _SPI_FIRST_CLK_EDGE_TRANSITION, &_GPIO_MODULE_SPI0_A245_AHB);
MOVW	R3, #lo_addr(__GPIO_MODULE_SPI0_A245_AHB+0)
MOVT	R3, #hi_addr(__GPIO_MODULE_SPI0_A245_AHB+0)
MOVS	R2, #7
MOVW	R1, #0
MOVW	R0, #11520
MOVT	R0, #305
BL	_SPI0_Init_Advanced+0
;Init_routines.c,275 :: 		SPI_Set_Active(SPI1_Read, SPI1_Write);
MOVW	R1, #lo_addr(_SPI1_Write+0)
MOVT	R1, #hi_addr(_SPI1_Write+0)
MOVW	R0, #lo_addr(_SPI1_Read+0)
MOVT	R0, #hi_addr(_SPI1_Read+0)
BL	_SPI_Set_Active+0
;Init_routines.c,276 :: 		return Ext_res_initialized;
MOVW	R0, #lo_addr(Init_routines_Ext_res_initialized+0)
MOVT	R0, #hi_addr(Init_routines_Ext_res_initialized+0)
LDRB	R0, [R0, #0]
;Init_routines.c,277 :: 		}
L_end_Init_FAT:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _Init_FAT
_RedrawLabel:
;Init_routines.c,286 :: 		void RedrawLabel(unsigned int BackGround_Color, Tlabel *Label, unsigned int Xoffset, unsigned int Yoffset){
; Yoffset start address is: 12 (R3)
; Xoffset start address is: 8 (R2)
; BackGround_Color start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
UXTH	R7, R0
STR	R1, [SP, #4]
UXTH	R8, R2
UXTH	R9, R3
; Yoffset end address is: 12 (R3)
; Xoffset end address is: 8 (R2)
; BackGround_Color end address is: 0 (R0)
; BackGround_Color start address is: 28 (R7)
; Xoffset start address is: 32 (R8)
; Yoffset start address is: 36 (R9)
;Init_routines.c,287 :: 		TFTIntern_Set_Brush(1, BackGround_Color, 0, 0, 0, 0);
MOVS	R5, #0
MOVS	R4, #0
MOVS	R3, #0
MOVS	R2, #0
UXTH	R1, R7
MOVS	R0, #1
PUSH	(R5)
PUSH	(R4)
BL	_TFTIntern_Set_Brush+0
ADD	SP, SP, #8
;Init_routines.c,288 :: 		TFTIntern_Set_Pen(BackGround_Color, 0);
MOVS	R1, #0
UXTH	R0, R7
; BackGround_Color end address is: 28 (R7)
BL	_TFTIntern_Set_Pen+0
;Init_routines.c,289 :: 		TFTIntern_Rectangle(label->Left, Label->Top, label->Left + Xoffset, Label->Top + Yoffset);
LDR	R4, [SP, #4]
ADDS	R4, #8
LDRH	R5, [R4, #0]
ADD	R7, R5, R9, LSL #0
; Yoffset end address is: 36 (R9)
LDR	R4, [SP, #4]
ADDS	R4, R4, #6
LDRH	R4, [R4, #0]
ADD	R6, R4, R8, LSL #0
; Xoffset end address is: 32 (R8)
SXTH	R5, R5
SXTH	R4, R4
SXTH	R3, R7
SXTH	R2, R6
SXTH	R1, R5
SXTH	R0, R4
BL	_TFTIntern_Rectangle+0
;Init_routines.c,290 :: 		DrawLabel(Label);
LDR	R0, [SP, #4]
BL	_DrawLabel+0
;Init_routines.c,291 :: 		}
L_end_RedrawLabel:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _RedrawLabel
_BLED_Fade_Out:
;Init_routines.c,300 :: 		void BLED_Fade_Out(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Init_routines.c,303 :: 		i = 127;
; i start address is: 20 (R5)
MOVS	R5, #127
SXTB	R5, R5
; i end address is: 20 (R5)
;Init_routines.c,304 :: 		while (i > 0){
L_BLED_Fade_Out25:
; i start address is: 20 (R5)
CMP	R5, #0
IT	LE
BLE	L_BLED_Fade_Out26
;Init_routines.c,305 :: 		PWM_T5CCP0_Set_Duty((BackLight_PWM_period / 128) * i, _PWM_INVERTED_DISABLE);
MOVW	R0, #lo_addr(_BackLight_PWM_period+0)
MOVT	R0, #hi_addr(_BackLight_PWM_period+0)
LDR	R0, [R0, #0]
LSRS	R0, R0, #7
MULS	R0, R5, R0
MOVS	R1, #0
BL	_PWM_T5CCP0_Set_Duty+0
;Init_routines.c,306 :: 		i -= 2;
SUBS	R0, R5, #2
SXTB	R5, R0
;Init_routines.c,307 :: 		Delay_ms(1);
MOVW	R7, #39998
MOVT	R7, #0
NOP
NOP
L_BLED_Fade_Out27:
SUBS	R7, R7, #1
BNE	L_BLED_Fade_Out27
NOP
NOP
NOP
;Init_routines.c,308 :: 		}
; i end address is: 20 (R5)
IT	AL
BAL	L_BLED_Fade_Out25
L_BLED_Fade_Out26:
;Init_routines.c,309 :: 		PWM_T5CCP0_Set_Duty(1, _PWM_INVERTED_DISABLE);
MOVS	R1, #0
MOVS	R0, #1
BL	_PWM_T5CCP0_Set_Duty+0
;Init_routines.c,310 :: 		}
L_end_BLED_Fade_Out:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _BLED_Fade_Out
_BLED_Fade_In:
;Init_routines.c,319 :: 		void BLED_Fade_In(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Init_routines.c,322 :: 		i = 1;
; i start address is: 20 (R5)
MOVS	R5, #1
SXTB	R5, R5
; i end address is: 20 (R5)
;Init_routines.c,323 :: 		while (i < 124){
L_BLED_Fade_In29:
; i start address is: 20 (R5)
CMP	R5, #124
IT	GE
BGE	L_BLED_Fade_In30
;Init_routines.c,324 :: 		PWM_T5CCP0_Set_Duty((BackLight_PWM_period / 128) * i, _PWM_INVERTED_DISABLE);
MOVW	R0, #lo_addr(_BackLight_PWM_period+0)
MOVT	R0, #hi_addr(_BackLight_PWM_period+0)
LDR	R0, [R0, #0]
LSRS	R0, R0, #7
MULS	R0, R5, R0
MOVS	R1, #0
BL	_PWM_T5CCP0_Set_Duty+0
;Init_routines.c,325 :: 		i += 2;
ADDS	R0, R5, #2
SXTB	R5, R0
;Init_routines.c,326 :: 		Delay_ms(1);
MOVW	R7, #39998
MOVT	R7, #0
NOP
NOP
L_BLED_Fade_In31:
SUBS	R7, R7, #1
BNE	L_BLED_Fade_In31
NOP
NOP
NOP
;Init_routines.c,327 :: 		}
; i end address is: 20 (R5)
IT	AL
BAL	L_BLED_Fade_In29
L_BLED_Fade_In30:
;Init_routines.c,328 :: 		PWM_T5CCP0_Set_Duty(BackLight_PWM_period, _PWM_INVERTED_DISABLE);
MOVW	R0, #lo_addr(_BackLight_PWM_period+0)
MOVT	R0, #hi_addr(_BackLight_PWM_period+0)
LDR	R0, [R0, #0]
MOVS	R1, #0
BL	_PWM_T5CCP0_Set_Duty+0
;Init_routines.c,329 :: 		}
L_end_BLED_Fade_In:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _BLED_Fade_In
