_RGB_Init:
;RGB_Light.c,38 :: 		void RGB_Init() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;RGB_Light.c,39 :: 		pwm_period1 = PWM_T1CCP0_Init(5000, &_GPIO_MODULE_T1CCP0_D2_AHB);       // R
MOVW	R1, #lo_addr(__GPIO_MODULE_T1CCP0_D2_AHB+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_T1CCP0_D2_AHB+0)
MOVW	R0, #5000
BL	_PWM_T1CCP0_Init+0
MOVW	R1, #lo_addr(RGB_Light_pwm_period1+0)
MOVT	R1, #hi_addr(RGB_Light_pwm_period1+0)
STRH	R0, [R1, #0]
;RGB_Light.c,40 :: 		pwm_period2 = PWM_T1CCP1_Init(5000, &_GPIO_MODULE_T1CCP1_D3_AHB);       // G
MOVW	R1, #lo_addr(__GPIO_MODULE_T1CCP1_D3_AHB+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_T1CCP1_D3_AHB+0)
MOVW	R0, #5000
BL	_PWM_T1CCP1_Init+0
MOVW	R1, #lo_addr(RGB_Light_pwm_period2+0)
MOVT	R1, #hi_addr(RGB_Light_pwm_period2+0)
STRH	R0, [R1, #0]
;RGB_Light.c,41 :: 		pwm_period3 = PWM_T3CCP1_Init(5000, &_GPIO_MODULE_T3CCP1_D5_AHB);       // B
MOVW	R1, #lo_addr(__GPIO_MODULE_T3CCP1_D5_AHB+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_T3CCP1_D5_AHB+0)
MOVW	R0, #5000
BL	_PWM_T3CCP1_Init+0
MOVW	R1, #lo_addr(RGB_Light_pwm_period3+0)
MOVT	R1, #hi_addr(RGB_Light_pwm_period3+0)
STRH	R0, [R1, #0]
;RGB_Light.c,43 :: 		PWM_T1CCP0_Set_Duty(1, _PWM_INVERTED_DISABLE);
MOVS	R1, #0
MOVS	R0, #1
BL	_PWM_T1CCP0_Set_Duty+0
;RGB_Light.c,44 :: 		PWM_T1CCP1_Set_Duty(1, _PWM_INVERTED_DISABLE);
MOVS	R1, #0
MOVS	R0, #1
BL	_PWM_T1CCP1_Set_Duty+0
;RGB_Light.c,45 :: 		PWM_T3CCP1_Set_Duty(1, _PWM_INVERTED_DISABLE);
MOVS	R1, #0
MOVS	R0, #1
BL	_PWM_T3CCP1_Set_Duty+0
;RGB_Light.c,47 :: 		PWM_T1CCP0_Start();
BL	_PWM_T1CCP0_Start+0
;RGB_Light.c,48 :: 		PWM_T1CCP1_Start();
BL	_PWM_T1CCP1_Start+0
;RGB_Light.c,49 :: 		PWM_T3CCP1_Start();
BL	_PWM_T3CCP1_Start+0
;RGB_Light.c,51 :: 		if (RGB_Image_Loaded){
MOVW	R0, #lo_addr(_RGB_Image_Loaded+0)
MOVT	R0, #hi_addr(_RGB_Image_Loaded+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_RGB_Init0
;RGB_Light.c,52 :: 		TFTIntern_Image(0, 60, (char *)RGB_Color_Image_SRAM_ptr, 1);
MOVW	R0, #lo_addr(_RGB_Color_Image_SRAM_ptr+0)
MOVT	R0, #hi_addr(_RGB_Color_Image_SRAM_ptr+0)
MOVS	R3, #1
LDR	R2, [R0, #0]
MOVS	R1, #60
MOVS	R0, #0
BL	_TFTIntern_Image+0
;RGB_Light.c,53 :: 		}
IT	AL
BAL	L_RGB_Init1
L_RGB_Init0:
;RGB_Light.c,55 :: 		if (Init_FAT()){                                          // displays background picture
BL	_Init_FAT+0
CMP	R0, #0
IT	EQ
BEQ	L_RGB_Init2
;RGB_Light.c,56 :: 		CopyImage_FromResources_ToSRAM(rgb_bitmap_bmp, RGB_Color_Image_SRAM_ptr);
MOVW	R0, #lo_addr(_RGB_Color_Image_SRAM_ptr+0)
MOVT	R0, #hi_addr(_RGB_Color_Image_SRAM_ptr+0)
LDR	R0, [R0, #0]
MOV	R1, R0
MOVW	R0, _rgb_bitmap_bmp
MOVT	R0, _rgb_bitmap_bmp+2
BL	_CopyImage_FromResources_ToSRAM+0
;RGB_Light.c,57 :: 		TFTIntern_Image(0, 60, (char *)RGB_Color_Image_SRAM_ptr, 1);
MOVW	R0, #lo_addr(_RGB_Color_Image_SRAM_ptr+0)
MOVT	R0, #hi_addr(_RGB_Color_Image_SRAM_ptr+0)
MOVS	R3, #1
LDR	R2, [R0, #0]
MOVS	R1, #60
MOVS	R0, #0
BL	_TFTIntern_Image+0
;RGB_Light.c,58 :: 		RGB_Image_Loaded = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_RGB_Image_Loaded+0)
MOVT	R0, #hi_addr(_RGB_Image_Loaded+0)
STRB	R1, [R0, #0]
;RGB_Light.c,59 :: 		}
L_RGB_Init2:
L_RGB_Init1:
;RGB_Light.c,60 :: 		}
L_end_RGB_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _RGB_Init
RGB_Light_GetColor_FromSD:
;RGB_Light.c,69 :: 		static unsigned int GetColor_FromSD(unsigned long Img, unsigned int xc, unsigned int yc){
; yc start address is: 8 (R2)
; xc start address is: 4 (R1)
; Img start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; yc end address is: 8 (R2)
; xc end address is: 4 (R1)
; Img end address is: 0 (R0)
; Img start address is: 0 (R0)
; xc start address is: 4 (R1)
; yc start address is: 8 (R2)
;RGB_Light.c,77 :: 		offset = Img + 6 + ((long)(800) * (yc - 1) + xc) * 2;
ADDS	R5, R0, #6
; Img end address is: 0 (R0)
SUBS	R4, R2, #1
UXTH	R4, R4
; yc end address is: 8 (R2)
MOV	R3, #800
MULS	R3, R4, R3
ADDS	R3, R3, R1
; xc end address is: 4 (R1)
LSLS	R3, R3, #1
ADDS	R4, R5, R3
;RGB_Light.c,81 :: 		ptr = MyTFT_Get_Data(offset,count,&readed);
ADD	R3, SP, #4
MOV	R2, R3
MOVW	R1, #2
MOV	R0, R4
BL	_MyTFT_Get_Data+0
;RGB_Light.c,84 :: 		color_temp = (*ptr++);
LDRB	R3, [R0, #0]
; color_temp start address is: 4 (R1)
UXTB	R1, R3
ADDS	R3, R0, #1
;RGB_Light.c,85 :: 		color_temp += (*ptr) << 8;
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R1, R3
; color_temp end address is: 4 (R1)
;RGB_Light.c,87 :: 		return color_temp;
UXTH	R0, R3
;RGB_Light.c,88 :: 		}
L_end_GetColor_FromSD:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of RGB_Light_GetColor_FromSD
RGB_Light_GetColor_FromFlash:
;RGB_Light.c,97 :: 		static unsigned int GetColor_FromFlash(TImage *Img, unsigned int xc, unsigned int yc){
; yc start address is: 8 (R2)
; xc start address is: 4 (R1)
; Img start address is: 0 (R0)
; yc end address is: 8 (R2)
; xc end address is: 4 (R1)
; Img end address is: 0 (R0)
; Img start address is: 0 (R0)
; xc start address is: 4 (R1)
; yc start address is: 8 (R2)
;RGB_Light.c,100 :: 		pColor = Img->Picture_Name + 6;
ADDW	R3, R0, #16
LDR	R3, [R3, #0]
ADDS	R5, R3, #6
;RGB_Light.c,101 :: 		pColor = pColor + ((long)(Img->Width) * (yc - 1) + xc) * 2;
ADDW	R3, R0, #10
; Img end address is: 0 (R0)
LDRH	R3, [R3, #0]
UXTH	R4, R3
SUBS	R3, R2, #1
UXTH	R3, R3
; yc end address is: 8 (R2)
MULS	R3, R4, R3
ADDS	R3, R3, R1
; xc end address is: 4 (R1)
LSLS	R3, R3, #1
ADDS	R4, R5, R3
;RGB_Light.c,102 :: 		color_temp = (*pColor++);
LDRB	R3, [R4, #0]
; color_temp start address is: 0 (R0)
UXTB	R0, R3
ADDS	R3, R4, #1
;RGB_Light.c,103 :: 		color_temp += (*pColor) << 8;
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R0, R3
; color_temp end address is: 0 (R0)
;RGB_Light.c,105 :: 		return color_temp;
UXTH	R0, R3
;RGB_Light.c,106 :: 		}
L_end_GetColor_FromFlash:
BX	LR
; end of RGB_Light_GetColor_FromFlash
RGB_Light_GetColor_FromSRAM:
;RGB_Light.c,115 :: 		static unsigned int GetColor_FromSRAM(char *Image, unsigned int xc, unsigned int yc){
; yc start address is: 8 (R2)
; xc start address is: 4 (R1)
; Image start address is: 0 (R0)
; yc end address is: 8 (R2)
; xc end address is: 4 (R1)
; Image end address is: 0 (R0)
; Image start address is: 0 (R0)
; xc start address is: 4 (R1)
; yc start address is: 8 (R2)
;RGB_Light.c,118 :: 		pColor = Image + 6;
ADDS	R5, R0, #6
; Image end address is: 0 (R0)
;RGB_Light.c,119 :: 		pColor = pColor + ((long)(800) * (yc - 1) + xc) * 2;
SUBS	R4, R2, #1
UXTH	R4, R4
; yc end address is: 8 (R2)
MOV	R3, #800
MULS	R3, R4, R3
ADDS	R3, R3, R1
; xc end address is: 4 (R1)
LSLS	R3, R3, #1
ADDS	R4, R5, R3
;RGB_Light.c,120 :: 		color_temp = (*pColor++);
LDRB	R3, [R4, #0]
; color_temp start address is: 0 (R0)
UXTB	R0, R3
ADDS	R3, R4, #1
;RGB_Light.c,121 :: 		color_temp += (*pColor) << 8;
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R0, R3
; color_temp end address is: 0 (R0)
;RGB_Light.c,123 :: 		return color_temp;
UXTH	R0, R3
;RGB_Light.c,124 :: 		}
L_end_GetColor_FromSRAM:
BX	LR
; end of RGB_Light_GetColor_FromSRAM
RGB_Light_DisplayColor:
;RGB_Light.c,133 :: 		static void DisplayColor(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;RGB_Light.c,134 :: 		Circle1.Color = MyColors.color_16bit;
MOVW	R0, #lo_addr(RGB_Light_MyColors+4)
MOVT	R0, #hi_addr(RGB_Light_MyColors+4)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_Circle1+26)
MOVT	R0, #hi_addr(_Circle1+26)
STRH	R1, [R0, #0]
;RGB_Light.c,135 :: 		DrawCircle(&Circle1);
MOVW	R0, #lo_addr(_Circle1+0)
MOVT	R0, #hi_addr(_Circle1+0)
BL	_DrawCircle+0
;RGB_Light.c,136 :: 		}
L_end_DisplayColor:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of RGB_Light_DisplayColor
RGB_Light_Display_color_text:
;RGB_Light.c,145 :: 		static void Display_color_text(TLabel *label, short val) {
; val start address is: 4 (R1)
SUB	SP, SP, #32
STR	LR, [SP, #0]
STR	R0, [SP, #28]
SXTB	R7, R1
; val end address is: 4 (R1)
; val start address is: 28 (R7)
;RGB_Light.c,149 :: 		ptr = label->Caption;
LDR	R2, [SP, #28]
ADDS	R2, #16
LDR	R2, [R2, #0]
STR	R2, [SP, #24]
;RGB_Light.c,150 :: 		TFTIntern_Set_Pen(RGBLight.Color,  0);
MOVW	R2, #lo_addr(_RGBLight+0)
MOVT	R2, #hi_addr(_RGBLight+0)
LDRH	R2, [R2, #0]
MOVS	R1, #0
MOV	R0, R2
BL	_TFTIntern_Set_Pen+0
;RGB_Light.c,151 :: 		TFTIntern_Set_Brush(1, RGBLight.Color, 0, 0, 0, 0);
MOVS	R4, #0
MOVS	R3, #0
MOVW	R2, #lo_addr(_RGBLight+0)
MOVT	R2, #hi_addr(_RGBLight+0)
LDRH	R2, [R2, #0]
PUSH	(R4)
PUSH	(R3)
MOVS	R3, #0
UXTH	R1, R2
MOVS	R2, #0
MOVS	R0, #1
BL	_TFTIntern_Set_Brush+0
ADD	SP, SP, #8
;RGB_Light.c,152 :: 		ShortToStr(val, text);
ADD	R2, SP, #4
MOV	R1, R2
SXTB	R0, R7
; val end address is: 28 (R7)
BL	_ShortToStr+0
;RGB_Light.c,153 :: 		strcpy(text1, ptr);
ADD	R2, SP, #11
LDR	R1, [SP, #24]
MOV	R0, R2
BL	_strcpy+0
;RGB_Light.c,154 :: 		strcat(text1, text);
ADD	R3, SP, #4
ADD	R2, SP, #11
MOV	R1, R3
MOV	R0, R2
BL	_strcat+0
;RGB_Light.c,155 :: 		TFTIntern_Rectangle(label->Left, Label->Top, label->Left + 60, Label->Top + 30);
LDR	R2, [SP, #28]
ADDS	R2, #8
LDRH	R3, [R2, #0]
ADDW	R5, R3, #30
LDR	R2, [SP, #28]
ADDS	R2, R2, #6
LDRH	R2, [R2, #0]
ADDW	R4, R2, #60
SXTH	R3, R3
SXTH	R2, R2
SXTH	R1, R3
SXTH	R3, R5
SXTH	R0, R2
SXTH	R2, R4
BL	_TFTIntern_Rectangle+0
;RGB_Light.c,156 :: 		label->Caption = text1;
LDR	R2, [SP, #28]
ADDW	R3, R2, #16
ADD	R2, SP, #11
STR	R2, [R3, #0]
;RGB_Light.c,157 :: 		Drawlabel(label);
LDR	R0, [SP, #28]
BL	_DrawLabel+0
;RGB_Light.c,158 :: 		label->Caption = ptr;
LDR	R2, [SP, #28]
ADDW	R3, R2, #16
LDR	R2, [SP, #24]
STR	R2, [R3, #0]
;RGB_Light.c,159 :: 		}
L_end_Display_color_text:
LDR	LR, [SP, #0]
ADD	SP, SP, #32
BX	LR
; end of RGB_Light_Display_color_text
RGB_Light_Drive_RGB_Diode:
;RGB_Light.c,168 :: 		static void Drive_RGB_Diode(TColors *colors){
; colors start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R5, R0
; colors end address is: 0 (R0)
; colors start address is: 20 (R5)
;RGB_Light.c,169 :: 		PWM_T1CCP0_Set_Duty((int)pwm_period1 / 32 * Colors->Red + 1, _PWM_INVERTED_DISABLE);
MOVW	R1, #lo_addr(RGB_Light_pwm_period1+0)
MOVT	R1, #hi_addr(RGB_Light_pwm_period1+0)
LDRSH	R1, [R1, #0]
ASRS	R2, R1, #5
SXTH	R2, R2
LDRB	R1, [R5, #0]
MULS	R1, R2, R1
SXTH	R1, R1
ADDS	R1, R1, #1
SXTH	R1, R1
SXTH	R0, R1
MOVS	R1, #0
BL	_PWM_T1CCP0_Set_Duty+0
;RGB_Light.c,170 :: 		PWM_T1CCP1_Set_Duty((int)pwm_period2 / 64 * colors->Green + 1, _PWM_INVERTED_DISABLE);
MOVW	R1, #lo_addr(RGB_Light_pwm_period2+0)
MOVT	R1, #hi_addr(RGB_Light_pwm_period2+0)
LDRSH	R1, [R1, #0]
ASRS	R2, R1, #6
SXTH	R2, R2
ADDS	R1, R5, #1
LDRB	R1, [R1, #0]
MULS	R1, R2, R1
SXTH	R1, R1
ADDS	R1, R1, #1
SXTH	R1, R1
SXTH	R0, R1
MOVS	R1, #0
BL	_PWM_T1CCP1_Set_Duty+0
;RGB_Light.c,171 :: 		PWM_T3CCP1_Set_Duty((int)pwm_period3 / 32 * Colors->Blue + 1, _PWM_INVERTED_DISABLE);
MOVW	R1, #lo_addr(RGB_Light_pwm_period3+0)
MOVT	R1, #hi_addr(RGB_Light_pwm_period3+0)
LDRSH	R1, [R1, #0]
ASRS	R2, R1, #5
SXTH	R2, R2
ADDS	R1, R5, #2
; colors end address is: 20 (R5)
LDRB	R1, [R1, #0]
MULS	R1, R2, R1
SXTH	R1, R1
ADDS	R1, R1, #1
SXTH	R1, R1
SXTH	R0, R1
MOVS	R1, #0
BL	_PWM_T3CCP1_Set_Duty+0
;RGB_Light.c,172 :: 		}
L_end_Drive_RGB_Diode:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of RGB_Light_Drive_RGB_Diode
_RGB_OFF:
;RGB_Light.c,181 :: 		void RGB_OFF(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;RGB_Light.c,182 :: 		PWM_T1CCP0_Stop();
BL	_PWM_T1CCP0_Stop+0
;RGB_Light.c,183 :: 		PWM_T1CCP1_Stop();
BL	_PWM_T1CCP1_Stop+0
;RGB_Light.c,184 :: 		PWM_T3CCP1_Stop();
BL	_PWM_T3CCP1_Stop+0
;RGB_Light.c,186 :: 		LED_R = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(LED_R+0)
MOVT	R0, #hi_addr(LED_R+0)
STR	R1, [R0, #0]
;RGB_Light.c,187 :: 		LED_G = 0;
MOVW	R0, #lo_addr(LED_G+0)
MOVT	R0, #hi_addr(LED_G+0)
STR	R1, [R0, #0]
;RGB_Light.c,188 :: 		LED_B = 0;
MOVW	R0, #lo_addr(LED_B+0)
MOVT	R0, #hi_addr(LED_B+0)
STR	R1, [R0, #0]
;RGB_Light.c,189 :: 		}
L_end_RGB_OFF:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _RGB_OFF
_PickColor:
;RGB_Light.c,198 :: 		void PickColor(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;RGB_Light.c,200 :: 		ycoo = Ycoord - 60;
MOVW	R0, #lo_addr(_Ycoord+0)
MOVT	R0, #hi_addr(_Ycoord+0)
LDRH	R0, [R0, #0]
SUBW	R2, R0, #60
MOVW	R0, #lo_addr(RGB_Light_ycoo+0)
MOVT	R0, #hi_addr(RGB_Light_ycoo+0)
STRH	R2, [R0, #0]
;RGB_Light.c,201 :: 		xcoo = Xcoord;
MOVW	R0, #lo_addr(_Xcoord+0)
MOVT	R0, #hi_addr(_Xcoord+0)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(RGB_Light_xcoo+0)
MOVT	R0, #hi_addr(RGB_Light_xcoo+0)
STRH	R1, [R0, #0]
;RGB_Light.c,202 :: 		if ((ycoo > 0) && (ycoo < 374)){
SXTH	R0, R2
CMP	R0, #0
IT	LE
BLE	L__PickColor8
MOVW	R0, #lo_addr(RGB_Light_ycoo+0)
MOVT	R0, #hi_addr(RGB_Light_ycoo+0)
LDRSH	R0, [R0, #0]
CMP	R0, #374
IT	GE
BGE	L__PickColor7
L__PickColor6:
;RGB_Light.c,205 :: 		mycolor = GetColor_FromSRAM((char *)RGB_Color_Image_SRAM_ptr, xcoo, ycoo);
MOVW	R0, #lo_addr(RGB_Light_ycoo+0)
MOVT	R0, #hi_addr(RGB_Light_ycoo+0)
LDRSH	R2, [R0, #0]
MOVW	R0, #lo_addr(RGB_Light_xcoo+0)
MOVT	R0, #hi_addr(RGB_Light_xcoo+0)
LDRSH	R1, [R0, #0]
MOVW	R0, #lo_addr(_RGB_Color_Image_SRAM_ptr+0)
MOVT	R0, #hi_addr(_RGB_Color_Image_SRAM_ptr+0)
LDR	R0, [R0, #0]
BL	RGB_Light_GetColor_FromSRAM+0
;RGB_Light.c,208 :: 		MyColors.color_16bit = mycolor;
MOVW	R1, #lo_addr(RGB_Light_MyColors+4)
MOVT	R1, #hi_addr(RGB_Light_MyColors+4)
STRH	R0, [R1, #0]
;RGB_Light.c,209 :: 		MyColors.Red = mycolor >> 11;
LSRS	R2, R0, #11
MOVW	R1, #lo_addr(RGB_Light_MyColors+0)
MOVT	R1, #hi_addr(RGB_Light_MyColors+0)
STRB	R2, [R1, #0]
;RGB_Light.c,210 :: 		MyColors.Green = (mycolor >> 5) & 0x3F;
LSRS	R1, R0, #5
UXTH	R1, R1
AND	R2, R1, #63
MOVW	R1, #lo_addr(RGB_Light_MyColors+1)
MOVT	R1, #hi_addr(RGB_Light_MyColors+1)
STRB	R2, [R1, #0]
;RGB_Light.c,211 :: 		MyColors.Blue = mycolor & 0x1F;
AND	R1, R0, #31
MOVW	R0, #lo_addr(RGB_Light_MyColors+2)
MOVT	R0, #hi_addr(RGB_Light_MyColors+2)
STRB	R1, [R0, #0]
;RGB_Light.c,214 :: 		DisplayColor();
BL	RGB_Light_DisplayColor+0
;RGB_Light.c,215 :: 		Display_color_text(&Label11, MyColors.Red);
MOVW	R0, #lo_addr(RGB_Light_MyColors+0)
MOVT	R0, #hi_addr(RGB_Light_MyColors+0)
LDRB	R0, [R0, #0]
SXTB	R1, R0
MOVW	R0, #lo_addr(_Label11+0)
MOVT	R0, #hi_addr(_Label11+0)
BL	RGB_Light_Display_color_text+0
;RGB_Light.c,216 :: 		Display_color_text(&Label12, MyColors.Green);
MOVW	R0, #lo_addr(RGB_Light_MyColors+1)
MOVT	R0, #hi_addr(RGB_Light_MyColors+1)
LDRB	R0, [R0, #0]
SXTB	R1, R0
MOVW	R0, #lo_addr(_Label12+0)
MOVT	R0, #hi_addr(_Label12+0)
BL	RGB_Light_Display_color_text+0
;RGB_Light.c,217 :: 		Display_color_text(&Label13, MyColors.Blue);
MOVW	R0, #lo_addr(RGB_Light_MyColors+2)
MOVT	R0, #hi_addr(RGB_Light_MyColors+2)
LDRB	R0, [R0, #0]
SXTB	R1, R0
MOVW	R0, #lo_addr(_Label13+0)
MOVT	R0, #hi_addr(_Label13+0)
BL	RGB_Light_Display_color_text+0
;RGB_Light.c,220 :: 		Drive_RGB_Diode(&MyColors);
MOVW	R0, #lo_addr(RGB_Light_MyColors+0)
MOVT	R0, #hi_addr(RGB_Light_MyColors+0)
BL	RGB_Light_Drive_RGB_Diode+0
;RGB_Light.c,202 :: 		if ((ycoo > 0) && (ycoo < 374)){
L__PickColor8:
L__PickColor7:
;RGB_Light.c,222 :: 		}
L_end_PickColor:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _PickColor
