#line 1 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
#line 1 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
#line 27 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
typedef struct
 {
 unsigned char ss ;
 unsigned char mn ;
 unsigned char hh ;
 unsigned char md ;
 unsigned char wd ;
 unsigned char mo ;
 unsigned int yy ;
 } TimeStruct ;
#line 41 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
extern long Time_jd1970 ;
#line 46 "c:/users/richard/desktop/mmedia 5/mikromedia_5_tiva_code/mikroc pro for arm/__time.h"
long Time_dateToEpoch(TimeStruct *ts) ;
long Time_dateDiff(TimeStruct *t1, TimeStruct *t2);
void Time_epochToDate(long e, TimeStruct *ts) ;
#line 8 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
typedef struct Time {
 short ampm;
 short seconds;
 short minutes;
 short hours;
 short day;
 short month;
 int year;
} TTime;

TTime MyTime;


static unsigned long RTC_Time, old_RTC_Time;
static unsigned long RTC_Date, old_RTC_Date;
#line 31 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
static void HibernateRTCSet(TimeStruct *temp) {
 unsigned long tmptmp = 0;

 tmptmp = (unsigned long)temp->hh*3600;
 tmptmp += temp->mn*60;
 tmptmp += temp->ss;

 while(!HIB_CTL_WRC_bit)
 ;
 HIB_RTCLD = tmptmp;
}
#line 50 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
static void HibernateRTCEnable() {
 while(!HIB_CTL_WRC_bit);
 HIB_CTL = 0x40;
 while(!HIB_CTL_WRC_bit);
 HIB_RTCM0 = 86400;
 while(!HIB_CTL_WRC_bit);
 HIB_IM = 0x01;
 while(!HIB_CTL_WRC_bit);
 HIB_CTL = 0x41;
}
#line 68 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
static unsigned long HibernateRTCGet(TimeStruct *temp) {
 unsigned long clk;

 clk = HIB_RTCC;
 temp->hh = (clk%86400)/3600;
 temp->mn = (clk%3600)/60;
 temp->ss = clk%60;

 return clk;
}
#line 86 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
void RTC_Init(){
TimeStruct My_Time;

 My_Time.ss = 15;
 My_Time.mn = 35;
 My_Time.hh = 11;
 My_Time.md = 10;
 My_Time.mo = 4;
 My_Time.yy = 2013;
 if ((HIB_CTL & 0x40) != 0x40){
 HibernateRTCSet(&My_Time);
 }
 HibernateRTCEnable();
}
#line 108 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
void Set_RTC(TTime *RTCC_Time){
TimeStruct My_Time;

 My_Time.ss = RTCC_Time->seconds;
 My_Time.mn = RTCC_Time->minutes;
 My_Time.hh = RTCC_Time->hours + RTCC_Time->ampm * 12;
 My_Time.md = RTCC_Time->day;
 My_Time.mo = RTCC_Time->month;
 My_Time.yy = RTCC_Time->year;

 HibernateRTCSet(&My_Time);
}
#line 128 "C:/Users/richard/Desktop/MMEDIA 5/mikromedia_5_TIVA_Code/mikroC PRO for ARM/RTCC_driver.c"
char RTCC_Read(TTime *RTCC_Time){
 char temp = 0;
 TimeStruct My_Time;

 RTC_Time = HibernateRTCGet(&My_Time);

 if (RTC_Time != Old_RTC_Time){
 RTCC_Time->seconds = my_time.ss;
 RTCC_Time->minutes = my_time.mn;
 if (my_time.hh == 0){
 RTCC_Time->ampm = 0;
 RTCC_Time->hours = 12;
 }
 else if (my_time.hh == 12){
 RTCC_Time->ampm = 1;
 RTCC_Time->hours = 12;
 }
 else{
 RTCC_Time->hours = my_time.hh % 12;
 RTCC_Time->ampm = my_time.hh / 12;
 }
 RTCC_Time->day = my_time.md;
 RTCC_Time->month = my_time.mo;
 RTCC_Time->year = my_time.yy;

 Old_RTC_Time = RTC_Time;
 temp = 1;
 }

 return temp;
}
