// variables
typedef struct  RollingWheel {
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  unsigned int  ImageHeight;
  const code char    *Picture_Name;
  unsigned int  currentlevel;
  int          active;
  int           position;
  char          levels;
} TRoller;

extern TRoller Hour1Roll, Hour2Roll, Minute1Roll, Minute2Roll, AmPm;

// functions
char Roll_Get_Level(TRoller *Roller);
void MyBoxOnPress(TRoller *Roller);
void Roll_Set_Level(TRoller *Roller, char level);
void Roller_Init();
void HoursTens();
void HoursOnes();
void MinutesTens();
void MinutesOnes();
void AmPmRun();
void Deactivate_All_Rollers();
void RTC_Example_init();
void doRTC_Example();
void checkRTC();
char Set_MyRTCC();